﻿* Encoding: UTF-8.

* *** Version History.

* *** Overview of data
* *** The main RAAAP-2 data were collected by Qualtrics and the CASSSP data has been processed and appended
* *** So the RAAAP2 Main with CASSSP.sav file contains 4,325 records of 299 variables
* *** This syntax file will systematically check the data and cleanse and anonymise it
* *** See XXXXX for details

* *** In Summary this SPSS Syntax file is:
* *** To cleanse and anonymise the data ready for analyses

* *** Background
* *** This is from the INORMS RAAAP initiative - herein called RAAAP-2 (or RAAAP2).
* *** See: https://inorms.net/activities/raaap-taskforce/raaap-survey-2019/.
* *** Version 1: Simon Kerridge.
* *** 6th May 2020, SRK - based on syntax from original RAAAP project (Simon Kerridge and Stephanie Scott).
* *** The overall appoach is: open the CASSSP Data (processed in Excel).sav file.
* *** for each variable, adjust the attributes so that they match those in the main RAAAP-2 Dataset, in order that they can be matched for merging.
* *** Save this as a new CASSSP Data (processed in Excel and SPSS).spss file - ready to be merged.
* *** v5 (3rd Jan 2021) all initial transforms and checks complete.
* *** Still need to:.
* *** Check variable types and labels. DONE.
* *** Check transforms are correct. DONE.
* *** Backcodings.DONE.
* *** Final check of variables [any labels missing in the data?] - all done, final issues were 5 instances of Country=999 (Other).
* *** Final check for anonymity -  in text responses. DONE.
* *** v11 (8th Dec 2021) now has all of the above complete..
* *** v12 (17th Dec 2021) one additional text anonymising added after feedback from Patrice Ajai-Ajagbe - Thanks Patrice!
* *** and while I am here, particular huge thanks to Patrice for all her mazing work on the text anonmisation!
* *** v13 (23rd Dec 2021) moved country back coding to before creating regions... so that they are included in those region variables!
* *** POST initial data publication
* *** v14 (16th May 2023) added values labels to IE_AssociationImpact & IE_AssociationEngagement that were somehow missing!

* *** NOTE THAT The datasets still need to be signed off by the Co-PIs. ***.

* Open the raw data.
* *** CHANGE THIS FILEPATH to that actual data for the real analyses.
CD 'C:\Users\srk\Dropbox\RAAAP-SRK\Main Data Cleansing'.
* *** change for other paths here.- and actually no need really - are working across directories

GET
  FILE='C:\Users\srk\Dropbox\RAAAP-SRK\Main Data Cleansing\RAAAP2 Main with CASSSP.sav'
    PASSWORD='4~6w9u>`8v2^2_<r0}<~'.
DATASET NAME MainData WINDOW=FRONT.

* *** Now look and and cleanse variables (299) that and anonymise data (4,325 records) as required
* *** we will also look to harmonise with RAAAP-1 data formats

DATASET ACTIVATE MainData.

* *** Phase 1 - review variables names, structure, labels, roles etc.


* This section removes the unwanted variables - ie those that contain no data - they are either just question text or unretrieved data.
DELETE VARIABLES Status.
DELETE VARIABLES Progress.
DELETE VARIABLES Duration__in_seconds_. 
DELETE VARIABLES Finished.
DELETE VARIABLES RecordedDate.
* deletes variables that have no content (eg questions text only) from the start of Section A.

* ResponseId.
* This is the unique id for a response - no changes needed. - This variable does not relate the the variable of the same name in the RAAAP-1 dataset.
* that is - there is no tracking between surveys.  So the same repondent would have a different ResponseId fro RAAAP-1 and RAAAP-2
* Similarly, in the unlikely case where a ResponseId is the same from RAAAP-1 to RAAAP-2 it does not indicate that this is the same respondent

DELETE VARIABLES DistributionChannel Q2_1.

* Q2_1
* Is the consent marker - not needed, as all consented
* Note that Q2_1 is the statement of consent - this is not retained as all respondents had to selected "Agree" in order to take the survey.

* UserLanguage
* NOTE that UserLanguage was for all 4,193 responses "EN" - English.
* HOWEVER, the 132 additional responses collected by CASSSP in China have been imported and the UserLanguage set to "CN".
* *** See attitional information on this process in the CASSSP Directory. 

VARIABLE LABELS StartDate "0. Start Date".
VARIABLE LABELS EndDate "0. End Date".
VARIABLE LABELS Responseid "0. Response Id".
VARIABLE LABELS UserLanguage "0. User Language".

* YearsEmployed.
* Qualtrics codings already match RAAAP-1.  *** HOWEVER there is more granularity... and we would need to create.
* *** YearsEmployedGrouped to exactly match the RAAAP-1 Data... AND/OR we could maybe use the even more granular data from RAAAP-1 to match the RAAAP-2 data!.
* *** in any case these should be ordinals.
MISSING VALUES YearsEmployed (-99).
VARIABLE LABELS YearsEmployed '1. Approx Years as a Research Administrator'.
VARIABLE LEVEL YearsEmployed(ORDINAL).
FORMATS YearsEmployed(f8.1).
ADD VALUE LABELS YearsEmployed -99 "No Response".
EXECUTE.
* *** NOTE that the Chinese questionnaire only asked for years 0-9, and then 10+.
ADD VALUE LABELS YearsEmployed 28 ">=10".
* *** so most year analyses would have to be done on the non-CN data.
EXECUTE.

RECODE YearsEmployed
    (0.0 = 0)
    (0.5, 1.0, 2.0, 3.0, 4.0 = 2)
    (5.0, 6.0, 7.0, 8.0, 9.0 = 7)
    (12.0 = 12)
    (17.0 = 17)
    (22.0 = 22)
    (27.0 = 27)
    (28.0 = 28)
    (32.0 = 32)
    (37.0 = 37)
    (40.0 = 40)
    (-99=SYSMIS)
    (ELSE=Copy)
INTO YearsEmployedGrouped.
FORMATS YearsEmployedGrouped(f8).
ADD VALUE LABELS YearsEmployedGrouped 0 "Never" 2 "<5" 7 "5-9" 12 "10-14" 17 "15-19" 22 "20-24" 27 "25-29" 28 ">=10 (China)" 32 "30-34" 37 "35-39" 40 ">=40" -99 "No Response".
VARIABLE LABELS YearsEmployedGrouped "1a. Approx Years (Banded) as a Research Administrator".
VARIABLE LEVEL YearsEmployedGrouped (ORDINAL).
EXECUTE.

* *** CHECK is (see spreadsheet) row 14 actually there... if so will need to delete it.
* *** It is not... this comment can be ignored - it s an artifact of an export to excel.

* CurrentRoleLevel.
* VARIABLE LABELS CurrentRoleLevel "Define your current RA role". already in from Qualtrics.
MISSING VALUES CurrentRoleLevel (-99).
VARIABLE LABELS CurrentRoleLevel "2. Define your current RA role".
ADD VALUE LABELS CurrentRoleLevel -99 "No Response".
VARIABLE LEVEL CurrentRoleLevel (NOMINAL). /* perhaps should be ORDINAL - but this matched RAAAP-1.
EXECUTE.
* *** SHOULD it be ORDINAL rather than NOMINAL??? <-- RAAAP-1 used NOMINAL, so stick with that


* CurrentRoleLevelDet.
* is a string, and may well end up in a separate datafile to protect anonymity.
RENAME VARIABLES CurrentRoleLevelDet=CurrentRoleLevelDetails.
VARIABLE LABELS CurrentRoleLevelDetails "2a. Details of current RA role".
RECODE CurrentRoleLevelDetails ("-99"="").
MISSING VALUES CurrentRoleLevelDetails ("").
VALUE LABELS CurrentRoleLevelDetails "" "No Response".
EXECUTE.
* *** 129 responses - should cross check with CurrentRoleLevel to ensure consistency?.
* *** all of these list CurrentRoleLevel as "Not Sure" - so yes probably worth doing!
* *** check with core group.

* CurrentEmploymentSta
* is the CurrentEmploymentStatus - a match for RAAAP-1.
RENAME VARIABLES CurrentEmploymentSta=CurrentEmploymentStatus.
VARIABLE LABELS CurrentEmploymentStatus "3. Current Employment Status".
MISSING VALUES CurrentEmploymentStatus (-99).
ADD VALUE LABELS CurrentEmploymentStatus -99 "No Response".
VARIABLE LEVEL CurrentEmploymentStatus (NOMINAL).
EXECUTE.

* CurrentEmploymentSD.
* is a string, and may well end up in a separate datafile to protect anonymity.
RENAME VARIABLES CurrentEmploymentSD=CurrentEmploymentStatusDetails.
VARIABLE LABELS CurrentEmploymentStatusDetails "3a. Details of current employment status".
RECODE CurrentEmploymentStatusDetails ("-99"="").
MISSING VALUES CurrentEmploymentStatusDetails ("").
VALUE LABELS CurrentEmploymentStatusDetails "" "No Response".
EXECUTE.

* CurrentEmploymentTyp.
* NEW variable for RAAAP-2.
RENAME VARIABLES CurrentEmploymentTyp=CurrentEmploymentType.
VARIABLE LABELS CurrentEmploymentType "4. Current Employment Type".
MISSING VALUES CurrentEmploymentType (-99).
ADD VALUE LABELS CurrentEmploymentType -99 "No Response".
VARIABLE LEVEL CurrentEmploymentType (NOMINAL).
EXECUTE.

* CurrentEmploymentTD.
* NEW variable for RAAAP-2.
RENAME VARIABLES CurrentEmploymentTD=CurrentEmploymentTypeDetails.
VARIABLE LABELS CurrentEmploymentTypeDetails "4a. Details of current employment type".
RECODE CurrentEmploymentTypeDetails ("-99"="").
MISSING VALUES CurrentEmploymentTypeDetails ("").
VALUE LABELS CurrentEmploymentTypeDetails "" "No Response".
EXECUTE.

* ResponsibilityFor_1.
* does ther person work in the areas of Proposal Development.
* RAAAP-1 has ResponsibilityForProposalDevelopment - with 4 levels - yes we just have Yes/No - hence change of variable name.
RENAME VARIABLES ResponsibilityFor_1=WorksInProposalDevelopment.
VARIABLE LABELS WorksInProposalDevelopment "5a. Do you work in the area of Proposal Development?". /* trying to retain Q numbers.
VALUE LABELS WorksInProposalDevelopment 1 "Yes".
MISSING VALUES WorksInProposalDevelopment (-99).
ADD VALUE LABELS WorksInProposalDevelopment -99 "No Response".
VARIABLE LEVEL WorksInProposalDevelopment (NOMINAL).
EXECUTE.
* **** CHECK how to show "No" for where they did not tick the box ***.
* **** OR do I really want to do this... maybe better to retain the more meaningful label...??? Not sure! The variable is now meaningful.. so that is OK?.

RENAME VARIABLES ResponsibilityFor_2=WorksInProjectSupport.
VARIABLE LABELS WorksInProjectSupport "5b. Do you work in the area of Project Support?". /* trying to retain Q numbers.
VALUE LABELS WorksInProjectSupport 1 "Yes".
MISSING VALUES WorksInProjectSupport (-99).
ADD VALUE LABELS WorksInProjectSupport -99 "No Response".
VARIABLE LEVEL WorksInProjectSupport (NOMINAL).
EXECUTE.

RENAME VARIABLES ResponsibilityFor_3=WorksInTranslation.
VARIABLE LABELS WorksInTranslation "5c. Do you work in the area of Translation?". /* trying to retain Q numbers.
VALUE LABELS WorksInTranslation 1 "Yes".
MISSING VALUES WorksInTranslation (-99).
ADD VALUE LABELS WorksInTranslation -99 "No Response".
VARIABLE LEVEL WorksInTranslation (NOMINAL).
EXECUTE.

RENAME VARIABLES ResponsibilityFor_4=WorksInPGR.
VARIABLE LABELS WorksInPGR "5d. Do you work in the area of Research Student Support?". /* trying to retain Q numbers.
VALUE LABELS WorksInPGR 1 "Yes".
MISSING VALUES WorksInPGR (-99).
ADD VALUE LABELS WorksInPGR -99 "No Response".
VARIABLE LEVEL WorksInPGR (NOMINAL).
EXECUTE.

RENAME VARIABLES ResponsibilityFor_5=WorksInPolicy.
VARIABLE LABELS WorksInPolicy "5e. Do you work in the area of Policy/Governance?". /* trying to retain Q numbers.
VALUE LABELS WorksInPolicy 1 "Yes".
MISSING VALUES WorksInPolicy (-99).
ADD VALUE LABELS WorksInPolicy -99 "No Response".
VARIABLE LEVEL WorksInPolicy (NOMINAL).
EXECUTE.

RENAME VARIABLES ResponsibilityFor_6=WorksInERA.
VARIABLE LABELS WorksInERA "5f. Do you work in the area of MIS/ERA/CRIS?". /* trying to retain Q numbers.
VALUE LABELS WorksInERA 1 "Yes".
MISSING VALUES WorksInERA (-99).
ADD VALUE LABELS WorksInERA -99 "No Response".
VARIABLE LEVEL WorksInERA (NOMINAL).
EXECUTE.

RENAME VARIABLES ResponsibilityFor_7=WorksInCompliance.
VARIABLE LABELS WorksInCompliance "5g. Do you work in the area of Audit/Compliance?". /* trying to retain Q numbers.
VALUE LABELS WorksInCompliance 1 "Yes".
MISSING VALUES WorksInCompliance (-99).
ADD VALUE LABELS WorksInCompliance -99 "No Response".
VARIABLE LEVEL WorksInCompliance (NOMINAL).
EXECUTE.

RENAME VARIABLES ResponsibilityFor_8=WorksInServiceDelivery.
VARIABLE LABELS WorksInServiceDelivery "5h. Do you work in the area of Service Delivery?". /* trying to retain Q numbers.
VALUE LABELS WorksInServiceDelivery 1 "Yes".
MISSING VALUES WorksInServiceDelivery (-99).
ADD VALUE LABELS WorksInServiceDelivery -99 "No Response".
VARIABLE LEVEL WorksInServiceDelivery (NOMINAL).
EXECUTE.

RENAME VARIABLES ResponsibilityFor_9=WorksInTraining.
VARIABLE LABELS WorksInTraining "5i. Do you work in the area of Training/Communication?". /* trying to retain Q numbers.
VALUE LABELS WorksInTraining 1 "Yes".
MISSING VALUES WorksInTraining (-99).
ADD VALUE LABELS WorksInTraining -99 "No Response".
VARIABLE LEVEL WorksInTraining (NOMINAL).
EXECUTE.

RENAME VARIABLES ResponsibilityFor_10=WorksInOther.
VARIABLE LABELS WorksInOther "5j. Do you work in the area of Other?". /* trying to retain Q numbers.
VALUE LABELS WorksInOther 1 "Yes".
MISSING VALUES WorksInOther (-99).
ADD VALUE LABELS WorksInOther -99 "No Response".
VARIABLE LEVEL WorksInOther (NOMINAL).
EXECUTE.

* *** Those 10 variables now have the same data options and so compound graphs should be possible.

* *** We could also revisit RAAAP-1 data to create equivalent variable for the first 8 (training/comms was not asked as an option in RAAAP-1.


* ResponsibilityFor_OD.
* Other areas that peoepl might work in thet they have added.
* *** Possible opportunity to add new codings if many responses the same.
RENAME VARIABLES ResponsibilityForOD=WorksInOtherArea.
VARIABLE LABELS WorksInOtherArea "5j. Details of other areas worked in".
RECODE WorksInOtherArea ("-99"="").
MISSING VALUES WorksInOtherArea ("").
VALUE LABELS WorksInOtherArea "" "No Response".
EXECUTE.

* *** will nee to be checked for anonumity too.
*** MAYBE some post hoc coding *** CHECK.

* JResponsibility* set of variables
* These are the (new to RAAAP-2) Japanese sub-areas of RMA.
* NOTE that they are in sections - ticking a section implies that all subsections are worked in.
* JResponsibilityFor_10.

RENAME VARIABLES (JResponsibilityFor_10=JRespFor_RDP)
(JResponsibilityFor_11=JRespFor_RDP_Policy)
(JResponsibilityFor_12=JRespFor_RDP_InstRes)
(JResponsibilityFor_13=JRespFor_RDP_Strategy).

* IF RDP is ticked AND none of the 3 inside have been. then tick them all.
* BUT IF RDP is ticked and only SOME of the 3 inside have been then do not change ticks.
* AND SO we also need to untick RDP so that there is consitency.
* AND if all of the 3 inside have ben ticked and RDP has not, then tick RDP.

COMPUTE RDP = JRespFor_RDP_Policy+JRespFor_RDP_InstRes+JRespFor_RDP_Strategy.
DO IF (JRespFor_RDP=1 AND RDP = 0). 
    COMPUTE JRespFor_RDP_Policy=1.
    COMPUTE JRespFor_RDP_InstRes=1.
    COMPUTE JRespFor_RDP_Strategy=1.
ELSE IF (JRespFor_RDP=1 AND RANGE(RDP,1,2)). 
    COMPUTE JRespFor_RDP=0.
ELSE IF (JRespFor_RDP=0 AND RDP = 3). 
    COMPUTE JRespFor_RDP=1.
END IF.
EXECUTE.

* now harmonise the data options.
VARIABLE LABELS JRespFor_RDP "6a. Do you work in the area of J-RDP?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_RDP 1 "Yes".
MISSING VALUES JRespFor_RDP (-99).
ADD VALUE LABELS JRespFor_RDP -99 "No Response".
VARIABLE LEVEL JRespFor_RDP (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_RDP_Policy "6aa. Do you work in the area of J-RDP-Policy?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_RDP_Policy 1 "Yes".
MISSING VALUES JRespFor_RDP_Policy (-99).
ADD VALUE LABELS JRespFor_RDP_Policy -99 "No Response".
VARIABLE LEVEL JRespFor_RDP_Policy (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_RDP_InstRes "6ab. Do you work in the area of J-RDP-Institutional Research?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_RDP_InstRes 1 "Yes".
MISSING VALUES JRespFor_RDP_InstRes (-99).
ADD VALUE LABELS JRespFor_RDP_InstRes -99 "No Response".
VARIABLE LEVEL JRespFor_RDP_InstRes (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_RDP_Strategy "6ac. Do you work in the area of J-RDP-Planning?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_RDP_Strategy 1 "Yes".
MISSING VALUES JRespFor_RDP_Strategy (-99).
ADD VALUE LABELS JRespFor_RDP_Strategy -99 "No Response".
VARIABLE LEVEL JRespFor_RDP_Strategy (NOMINAL).
EXECUTE.
* the del the old ones... AFTER we have checked...!!!.
*DELETE VARIABLES JResponsibilityFor_10 TO JResponsibilityFor_13. - don't need to as we renamed
*Also delete the temporary RDP variable


RENAME VARIABLES (JResponsibilityFor_20=JRespFor_Pre)
(JResponsibilityFor_21=JRespFor_Pre_ProjPlan)
(JResponsibilityFor_22=JRespFor_Pre_FundInfo)
(JResponsibilityFor_23=JRespFor_Pre_IntNegotiation)
(JResponsibilityFor_24=JRespFor_Pre_ExtNegotiation)
(JResponsibilityFor_25=JRespFor_Pre_AppSupport).

* IF Pre is ticked AND none of the 5 inside have been. then tick them all.
* BUT IF Pre is ticked and only SOME of the 5 inside have been then do not change ticks.
* AND SO we also need to untick Pre so that there is consitency.
* AND if all of the 5 inside have ben ticked and Pre has not, then tick Pre.

COMPUTE Pre = JRespFor_Pre_ProjPlan+JRespFor_Pre_FundInfo+JRespFor_Pre_IntNegotiation+JRespFor_Pre_ExtNegotiation+JRespFor_Pre_AppSupport.
DO IF (JRespFor_Pre=1 AND Pre = 0). 
    COMPUTE JRespFor_Pre_ProjPlan=1.
    COMPUTE JRespFor_Pre_FundInfo=1.
    COMPUTE JRespFor_Pre_IntNegotiation=1.
    COMPUTE JRespFor_Pre_ExtNegotiation=1.
    COMPUTE JRespFor_Pre_AppSupport=1.
ELSE IF (JRespFor_Pre=1 AND RANGE(Pre,1,4)). 
    COMPUTE JRespFor_Pre=0.
ELSE IF (JRespFor_Pre=0 AND Pre = 5). 
    COMPUTE JRespFor_Pre=1.
END IF.
EXECUTE.

VARIABLE LABELS JRespFor_Pre "6b. Do you work in the area of J-PreAward?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Pre 1 "Yes".
MISSING VALUES JRespFor_Pre (-99).
ADD VALUE LABELS JRespFor_Pre -99 "No Response".
VARIABLE LEVEL JRespFor_Pre (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Pre_ProjPlan "6ba. Do you work in the area of J-Pre-Project Planning?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Pre_ProjPlan 1 "Yes".
MISSING VALUES JRespFor_Pre_ProjPlan (-99).
ADD VALUE LABELS JRespFor_Pre_ProjPlan -99 "No Response".
VARIABLE LEVEL JRespFor_Pre_ProjPlan (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Pre_FundInfo "6bb. Do you work in the area of J-Pre-Funding Information?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Pre_FundInfo 1 "Yes".
MISSING VALUES JRespFor_Pre_FundInfo (-99).
ADD VALUE LABELS JRespFor_Pre_FundInfo -99 "No Response".
VARIABLE LEVEL JRespFor_Pre_FundInfo (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Pre_IntNegotiation "6bc. Do you work in the area of J-Pre-Internal Negotiation?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Pre_IntNegotiation 1 "Yes".
MISSING VALUES JRespFor_Pre_IntNegotiation (-99).
ADD VALUE LABELS JRespFor_Pre_IntNegotiation -99 "No Response".
VARIABLE LEVEL JRespFor_Pre_IntNegotiation (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Pre_ExtNegotiation "6bd. Do you work in the area of J-Pre-External Negotiation?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Pre_ExtNegotiation 1 "Yes".
MISSING VALUES JRespFor_Pre_ExtNegotiation (-99).
ADD VALUE LABELS JRespFor_Pre_ExtNegotiation -99 "No Response".
VARIABLE LEVEL JRespFor_Pre_ExtNegotiation (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Pre_AppSupport "6be. Do you work in the area of J-Pre-Application Support?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Pre_AppSupport 1 "Yes".
MISSING VALUES JRespFor_Pre_AppSupport (-99).
ADD VALUE LABELS JRespFor_Pre_AppSupport -99 "No Response".
VARIABLE LEVEL JRespFor_Pre_AppSupport (NOMINAL).
EXECUTE.

* And Del 20-25 and Pre - again no need as we renamed

RENAME VARIABLES (JResponsibilityFor_30=JRespFor_Post)
(JResponsibilityFor_31=JRespFor_Post_ExtAdjust)
(JResponsibilityFor_32=JRespFor_Post_ProgressMgt)
(JResponsibilityFor_33=JRespFor_Post_Accounting)
(JResponsibilityFor_34=JRespFor_Post_ProjEval)
(JResponsibilityFor_35=JRespFor_Post_Reporting).

* IF Post is ticked AND none of the 5 inside have been. then tick them all.
* BUT IF Post is ticked and only SOME of the 5 inside have been then do not change ticks.
* AND SO we also need to untick Post so that there is consitency.
* AND if all of the 5 inside have ben ticked and Post has not, then tick Post.

COMPUTE Post = JRespFor_Post_ExtAdjust+JRespFor_Post_ProgressMgt+JRespFor_Post_Accounting+JRespFor_Post_ProjEval+JRespFor_Post_Reporting.
DO IF (JRespFor_Post=1 AND Pre = 0). 
    COMPUTE JRespFor_Post_ExtAdjust=1.
    COMPUTE JRespFor_Post_ProgressMgt=1.
    COMPUTE JRespFor_Post_Accounting=1.
    COMPUTE JRespFor_Post_ProjEval=1.
    COMPUTE JRespFor_Post_Reporting=1.
ELSE IF (JRespFor_Post=1 AND RANGE(Post,1,4)). 
    COMPUTE JRespFor_Post=0.
ELSE IF (JRespFor_Post=0 AND Post = 5). 
    COMPUTE JRespFor_Post=1.
END IF.
EXECUTE.

VARIABLE LABELS JRespFor_Post "6c. Do you work in the area of J-PostAward?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Post 1 "Yes".
MISSING VALUES JRespFor_Post (-99).
ADD VALUE LABELS JRespFor_Post -99 "No Response".
VARIABLE LEVEL JRespFor_Post (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Post_ExtAdjust "6ca. Do you work in the area of J-Post-External Adjustment?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Post_ExtAdjust 1 "Yes".
MISSING VALUES JRespFor_Post_ExtAdjust (-99).
ADD VALUE LABELS JRespFor_Post_ExtAdjust -99 "No Response".
VARIABLE LEVEL JRespFor_Post_ExtAdjust (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Post_ProgressMgt "6cb. Do you work in the area of J-Post-Progress Management?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Post_ProgressMgt 1 "Yes".
MISSING VALUES JRespFor_Post_ProgressMgt (-99).
ADD VALUE LABELS JRespFor_Post_ProgressMgt -99 "No Response".
VARIABLE LEVEL JRespFor_Post_ProgressMgt (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Post_Accounting "6cc. Do you work in the area of J-Post-Accounting?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Post_Accounting 1 "Yes".
MISSING VALUES JRespFor_Post_Accounting (-99).
ADD VALUE LABELS JRespFor_Post_Accounting -99 "No Response".
VARIABLE LEVEL JRespFor_Post_Accounting (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Post_ProjEval "6cd. Do you work in the area of J-Post-Project Evaluation?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Post_ProjEval 1 "Yes".
MISSING VALUES JRespFor_Post_ProjEval (-99).
ADD VALUE LABELS JRespFor_Post_ProjEval -99 "No Response".
VARIABLE LEVEL JRespFor_Post_ProjEval (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Post_Reporting "6ce. Do you work in the area of J-Post-Reporting?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Post_Reporting 1 "Yes".
MISSING VALUES JRespFor_Post_Reporting (-99).
ADD VALUE LABELS JRespFor_Post_Reporting -99 "No Response".
VARIABLE LEVEL JRespFor_Post_Reporting (NOMINAL).
EXECUTE.

* And Del 30-35 and Post - only need to del Post, as 30-35 were renamed.

RENAME VARIABLES (JResponsibilityFor_40=JRespFor_Other)
(JResponsibilityFor_41=JRespFor_Other_International)
(JResponsibilityFor_42=JRespFor_Other_Education)
(JResponsibilityFor_43=JRespFor_Other_Industry)
(JResponsibilityFor_44=JRespFor_Other_IP)
(JResponsibilityFor_45=JRespFor_Other_Branding)
(JResponsibilityFor_46=JRespFor_Other_PR)
(JResponsibilityFor_47=JRespFor_Other_Events)
(JResponsibilityFor_48=JRespFor_Other_Safety)
(JResponsibilityFor_49=JRespFor_Other_Compliance).

* IF Other is ticked AND none of the 9 inside have been. then tick them all.
* BUT IF Other is ticked and only SOME of the 9 inside have been then do not change ticks.
* AND SO we also need to untick Other so that there is consitency.
* AND if all of the 9 inside have ben ticked and Other has not, then tick Other.

COMPUTE Other = JRespFor_Other_Education+JRespFor_Other_International+JRespFor_Other_Industry+JRespFor_Other_IP+
JRespFor_Other_Branding+JRespFor_Other_PR+JRespFor_Other_Events+JRespFor_Other_Safety+JRespFor_Other_Compliance.
DO IF (JRespFor_Other=1 AND Pre = 0). 
    COMPUTE JRespFor_Other_Education=1.
    COMPUTE JRespFor_Other_International=1.
    COMPUTE JRespFor_Other_Industry=1.
    COMPUTE JRespFor_Other_IP=1.
    COMPUTE JRespFor_Other_Branding=1.
    COMPUTE JRespFor_Other_PR=1.
    COMPUTE JRespFor_Other_Events=1.
    COMPUTE JRespFor_Other_Safety=1.
    COMPUTE JRespFor_Other_Compliance=1.
ELSE IF (JRespFor_Other=1 AND RANGE(Post,1,8)). 
    COMPUTE JRespFor_Other=0.
ELSE IF (JRespFor_Other=0 AND Post = 9). 
    COMPUTE JRespFor_Other=1.
END IF.
EXECUTE.

VARIABLE LABELS JRespFor_Other "6d. Do you work in the area of J-Other?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Other 1 "Yes".
MISSING VALUES JRespFor_Other (-99).
ADD VALUE LABELS JRespFor_Other -99 "No Response".
VARIABLE LEVEL JRespFor_Other (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Other_Education "6da. Do you work in the area of J-Other-Education?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Other_Education 1 "Yes".
MISSING VALUES JRespFor_Other_Education (-99).
ADD VALUE LABELS JRespFor_Other_Education -99 "No Response".
VARIABLE LEVEL JRespFor_Other_Education (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Other_International "6db. Do you work in the area of J-Other-International Collaboration?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Other_International 1 "Yes".
MISSING VALUES JRespFor_Other_International (-99).
ADD VALUE LABELS JRespFor_Other_International -99 "No Response".
VARIABLE LEVEL JRespFor_Other_International (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Other_Industry "6dc. Do you work in the area of J-Other-Industry Collaboration?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Other_Industry 1 "Yes".
MISSING VALUES JRespFor_Other_Industry (-99).
ADD VALUE LABELS JRespFor_Other_Industry -99 "No Response".
VARIABLE LEVEL JRespFor_Other_Industry (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Other_IP "6dd. Do you work in the area of J-Other-Intellectual Property?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Other_IP 1 "Yes".
MISSING VALUES JRespFor_Other_IP (-99).
ADD VALUE LABELS JRespFor_Other_IP -99 "No Response".
VARIABLE LEVEL JRespFor_Other_IP (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Other_Branding "6de. Do you work in the area of J-Other-Institution Branding?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Other_Branding 1 "Yes".
MISSING VALUES JRespFor_Other_Branding (-99).
ADD VALUE LABELS JRespFor_Other_Branding -99 "No Response".
VARIABLE LEVEL JRespFor_Other_Branding (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Other_PR "6df. Do you work in the area of J-Other-Public Relations?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Other_PR 1 "Yes".
MISSING VALUES JRespFor_Other_PR (-99).
ADD VALUE LABELS JRespFor_Other_PR -99 "No Response".
VARIABLE LEVEL JRespFor_Other_PR (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Other_Events "6dg. Do you work in the area of J-Other-Events?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Other_Events 1 "Yes".
MISSING VALUES JRespFor_Other_Events (-99).
ADD VALUE LABELS JRespFor_Other_Events -99 "No Response".
VARIABLE LEVEL JRespFor_Other_Events (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Other_Safety "6dh. Do you work in the area of J-Other-Safety?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Other_Safety 1 "Yes".
MISSING VALUES JRespFor_Other_Safety (-99).
ADD VALUE LABELS JRespFor_Other_Safety -99 "No Response".
VARIABLE LEVEL JRespFor_Other_Safety (NOMINAL).
EXECUTE.
VARIABLE LABELS JRespFor_Other_Compliance "6di. Do you work in the area of J-Other-Compliance?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_Other_Compliance 1 "Yes".
MISSING VALUES JRespFor_Other_Compliance (-99).
ADD VALUE LABELS JRespFor_Other_Compliance -99 "No Response".
VARIABLE LEVEL JRespFor_Other_Compliance (NOMINAL).
EXECUTE.

* And Del 40-49 and Other - just Other to delete, 40-49 were renamed.

RENAME VARIABLES JResponsibilityFor_50=JRespFor_SomethingElse.
VARIABLE LABELS JRespFor_SomethingElse "6e. Do you work in the area of J-Something Else Entirelty?". /* trying to retain Q numbers.
VALUE LABELS JRespFor_SomethingElse 1 "Yes".
MISSING VALUES JRespFor_SomethingElse (-99).
ADD VALUE LABELS JRespFor_SomethingElse -99 "No Response".
VARIABLE LEVEL JRespFor_SomethingElse (NOMINAL).
EXECUTE.

* JResponsibilityFor_OD.
* Other areas that people might work in thet they have added.
* *** Possible opportunity to add new codings if many responses the same.
RENAME VARIABLES JResponsibilityForOD=JRespFor_SomethingElseD.
VARIABLE LABELS JRespFor_SomethingElseD "6e. Details of other areas worked in".
RECODE JRespFor_SomethingElseD ("-99"="").
MISSING VALUES JRespFor_SomethingElseD ("").
VALUE LABELS JRespFor_SomethingElseD "" "No Response".
EXECUTE.

* *** and that is I think all of the Japanese areas recoded
* *** QUESTION is it useful to have a variable of "Works in any sub-section of a section, ie (6aa OR 6ab OR 6ac)...?.
* ***.

* *** new for RAAAP-2.
VARIABLE LEVEL JobDescriptionMatch (ORDINAL).
VARIABLE LABELS JobDescriptionMatch "7. Does your job description match your duties?".
MISSING VALUES JobDescriptionMatch (-99).
ADD VALUE LABELS JobDescriptionMatch -99 "No Response".
EXECUTE.
*JobDescriptionMatchD need to do anything??? .
VARIABLE LABELS JobDescriptionMatchD "7a. Details of job description matching duties".
RECODE JobDescriptionMatchD ("-99"="").
MISSING VALUES JobDescriptionMatchD ("").
VALUE LABELS JobDescriptionMatchD "" "No Response".
EXECUTE.

* which areas to you support.
RENAME VARIABLES SubjectAreasSupport_4=SubjectAreasSupport_Science.
VARIABLE LABELS SubjectAreasSupport_Science "8a. Do you support research in the area of Science?". /* trying to retain Q numbers.
VALUE LABELS SubjectAreasSupport_Science 1 "Yes".
MISSING VALUES SubjectAreasSupport_Science (-99).
ADD VALUE LABELS SubjectAreasSupport_Science -99 "No Response".
VARIABLE LEVEL SubjectAreasSupport_Science (NOMINAL).
EXECUTE.
RENAME VARIABLES SubjectAreasSupport_5=SubjectAreasSupport_Medicine.
VARIABLE LABELS SubjectAreasSupport_Medicine "8a. Do you support research in the area of Medicine?". /* trying to retain Q numbers.
VALUE LABELS SubjectAreasSupport_Medicine 1 "Yes".
MISSING VALUES SubjectAreasSupport_Medicine (-99).
ADD VALUE LABELS SubjectAreasSupport_Medicine -99 "No Response".
VARIABLE LEVEL SubjectAreasSupport_Medicine (NOMINAL).
EXECUTE.
RENAME VARIABLES SubjectAreasSupport_6=SubjectAreasSupport_Enginering.
VARIABLE LABELS SubjectAreasSupport_Enginering "8a. Do you support research in the area of Engineering?". /* trying to retain Q numbers.
VALUE LABELS SubjectAreasSupport_Enginering 1 "Yes".
MISSING VALUES SubjectAreasSupport_Enginering (-99).
ADD VALUE LABELS SubjectAreasSupport_Enginering -99 "No Response".
VARIABLE LEVEL SubjectAreasSupport_Enginering (NOMINAL).
EXECUTE.
RENAME VARIABLES SubjectAreasSupport_7=SubjectAreasSupport_Business.
VARIABLE LABELS SubjectAreasSupport_Business "8a. Do you support research in the area of Busines?". /* trying to retain Q numbers.
VALUE LABELS SubjectAreasSupport_Business 1 "Yes".
MISSING VALUES SubjectAreasSupport_Business (-99).
ADD VALUE LABELS SubjectAreasSupport_Business -99 "No Response".
VARIABLE LEVEL SubjectAreasSupport_Business (NOMINAL).
EXECUTE.
RENAME VARIABLES SubjectAreasSupport_8=SubjectAreasSupport_SocialScience.
VARIABLE LABELS SubjectAreasSupport_SocialScience "8a. Do you support research in the area of Social Science?". /* trying to retain Q numbers.
VALUE LABELS SubjectAreasSupport_SocialScience 1 "Yes".
MISSING VALUES SubjectAreasSupport_SocialScience (-99).
ADD VALUE LABELS SubjectAreasSupport_SocialScience -99 "No Response".
VARIABLE LEVEL SubjectAreasSupport_SocialScience (NOMINAL).
EXECUTE.
RENAME VARIABLES SubjectAreasSupport_9=SubjectAreasSupport_Humanities.
VARIABLE LABELS SubjectAreasSupport_Humanities "8a. Do you support research in the area of Humanties?". /* trying to retain Q numbers.
VALUE LABELS SubjectAreasSupport_Humanities 1 "Yes".
MISSING VALUES SubjectAreasSupport_Humanities (-99).
ADD VALUE LABELS SubjectAreasSupport_Humanities -99 "No Response".
VARIABLE LEVEL SubjectAreasSupport_Humanities (NOMINAL).
EXECUTE.
RENAME VARIABLES SubjectAreasSupport_10=SubjectAreasSupport_Arts.
VARIABLE LABELS SubjectAreasSupport_Arts "8a. Do you support research in the area of Arts?". /* trying to retain Q numbers.
VALUE LABELS SubjectAreasSupport_Arts 1 "Yes".
MISSING VALUES SubjectAreasSupport_Arts (-99).
ADD VALUE LABELS SubjectAreasSupport_Arts -99 "No Response".
VARIABLE LEVEL SubjectAreasSupport_Arts (NOMINAL).
EXECUTE.
RENAME VARIABLES SubjectAreasSupport_11=SubjectAreasSupport_General.
VARIABLE LABELS SubjectAreasSupport_General "8a. Do you support research in the area of General?". /* trying to retain Q numbers.
VALUE LABELS SubjectAreasSupport_General 1 "Yes".
MISSING VALUES SubjectAreasSupport_General (-99).
ADD VALUE LABELS SubjectAreasSupport_General -99 "No Response".
VARIABLE LEVEL SubjectAreasSupport_General (NOMINAL).
EXECUTE.
RENAME VARIABLES SubjectAreasSupport_12=SubjectAreasSupport_Other.
VARIABLE LABELS SubjectAreasSupport_Other "8a. Do you support research in the area of Other?". /* trying to retain Q numbers.
VALUE LABELS SubjectAreasSupport_Other 1 "Yes".
MISSING VALUES SubjectAreasSupport_Other (-99).
ADD VALUE LABELS SubjectAreasSupport_Other -99 "No Response".
VARIABLE LEVEL SubjectAreasSupport_Other (NOMINAL).
EXECUTE.
* *** could be interesting to see how many subject areas are covered by each individual...?.
* *** ALSO question - if they ticked General/All should we back fill all the other areas...
* *** maybe do the same as for Japan responsibility areas - only tick them all if none are ticked..?.
* *** also if all other areas are ticked, then maybe we should autotick General/All?.


RENAME VARIABLES SubjectAreasSupportO=SubjectAreasSupport_OD.
VARIABLE LABELS SubjectAreasSupport_OD "8. Please give details (of other areas of research that you support)". /* trying to retain Q numbers.
RECODE SubjectAreasSupport_OD ("-99"="").
MISSING VALUES SubjectAreasSupport_OD ("").
VALUE LABELS SubjectAreasSupport_OD "" "No Response".
* and repeat for other areas.
* PLus the Other description.SubjectAreasSupportO.


VARIABLE LEVEL EducationAligned (NOMINAL).
MISSING VALUES EducationAligned (-99).
ADD VALUE LABELS EducationAligned -99 "No Response".
EXECUTE.
VARIABLE LEVEL EducationAlignedDet (NOMINAL).
RECODE EducationAlignedDet ("-99"="").
MISSING VALUES EducationAlignedDet ("").
VALUE LABELS EducationAlignedDet "" "No Response".
EXECUTE.

VARIABLE LEVEL EducationAlignImp (NOMINAL).
MISSING VALUES EducationAlignImp (-99).
ADD VALUE LABELS EducationAlignImp -99 "No Response".
EXECUTE.
RENAME VARIABLES EducationAlignImpD=EducationAlignImpDet. /* to be a little more consistent.
VARIABLE LEVEL EducationAlignImpDet (NOMINAL).
RECODE EducationAlignImpDet ("-99"="").
MISSING VALUES EducationAlignImpDet ("").
VALUE LABELS EducationAlignImpDet "" "No Response".

* InstitutionCharacter - not quite a match for RAAAP-1 as College was added in RAAAP-2.
* But before we do that - let's backcode!
* Backcode InstitutionCharacterDetails (as was done in RAAAP-1). Approx 10 changes made.
* RAAAP-2 85 to check, 41 changes made.

DO IF ANY(ResponseID,"R_1erPpQN318XNVyL", "R_2tD8TBFHUIDhFWz", "R_1mW5DqgHttGrASu", "R_Uonsj3XA1NWBdLP", "R_3n8jq1hswT9DTFC", "R_1K8frMOlHMlCNQR", "R_d5SksCj1STwCHQJ").
    COMPUTE InstitutionCharacter=8.
END IF.
DO IF ANY(ResponseID,"R_2meSMBmf8Ep3jO1", "R_25ABTDSOQY157l8", "R_3PFqzPx7qHVxqAp", "R_3MrJCEiZVdPvmqu").
    COMPUTE InstitutionCharacter=9.
END IF.
DO IF ANY(ResponseID,"R_2QRhLPxLiVOQDYC", "R_22zwxz1fxQYv6D8", "R_9oE6aWKXeLorFsJ").
    COMPUTE InstitutionCharacter=10.
END IF.
DO IF ANY(ResponseID,"R_1YrwS1gcjlbQELL", "R_qygQNxEPSUXoqRP", "R_OB7wmweZ1joAlhL", "R_3kv4nrhZlLhXcuD", "R_32WSAfLpz1fM39L").
    COMPUTE InstitutionCharacter=11.
END IF.
DO IF ANY(ResponseID,"R_PXPD0UQ4jj9veWB", "R_1ImHRtM7rRdMlxu", "R_2tor3EOy7CWlDjp", "R_2rGxygDTE2vhUMV").
    COMPUTE InstitutionCharacter=13.
END IF.
DO IF ANY(ResponseID,"R_3lS3eiZDIZ7lMl3", "R_pN99oNCLR2dTUZz", "R_3fWbRgFsk1iwQWS", "R_3KTTqIUJmZc7hqS", "R_3dEobaeGYOfctUx", "R_1gwP1hHBuQvvhVA").
    COMPUTE InstitutionCharacter=14.
END IF.
DO IF ANY(ResponseID,"R_2DZe5qudIz5OneQ", "R_28D3bOswsDkMtwa", "R_3jZ4o5fQ3LPRiRs", "R_3mepuWAWGKykN7X", "R_sOjFYTeuZFBKOn7", "R_55BxLuDlGSFpusp", "R_1ImA0hQJy5ebDHQ", "R_1ghxf0uNcUJcJvd").
    COMPUTE InstitutionCharacter=15.
END IF.
DO IF ANY(ResponseID,"R_3erSD3UZg8RJdOj", "R_33dqsLAT6qb2UvT", "R_2Yr1pQS8HnCwLF7", "R_3CUdJy410TbD94M").
    COMPUTE InstitutionCharacter=17.
END IF.
IF ResponseID="R_2tKxtWUHKjUM1CJ" InstitutionCharDet="We are a small german university of applied sciences [deleted]".
IF ResponseID="R_PXPD0UQ4jj9veWB" InstitutionCharDet="Private company owned by the Technical University and teh City of XXX for purpose of knowledge transfer and engagement with industry and wider society.".
IF ResponseID="R_V2n1PaLz8jgaglX" InstitutionCharDet="Non profit hospital Public Health Commission for city of XXX.  [deleted]".
EXECUTE.

RENAME VARIABLES (InstitutionCharacter = InstitutionCharacter2). /* so the RAAAP-2 version is called 2 at the end.
COMPUTE InstitutionCharacter = InstitutionCharacter2. /* then create the variable that will be RAAAP-1 comparable.
VARIABLE LABELS InstitutionCharacter "11r1. How would you characterize your institution, irrespective of size?". /* trying to retain Q numbers.
VARIABLE LABELS InstitutionCharacter2 "11. How would you characterize your institution, irrespective of size?". /* trying to retain Q numbers.
FORMATS InstitutionCharacter (f8).
VARIABLE LEVEL InstitutionCharacter (NOMINAL).
MISSING VALUES InstitutionCharacter (-99).
* align with RAAAP-1 is OK - however NOTE a new option. (17=College) - For RAAAP-1 compatability...
IF InstitutionCharacter=17 InstitutionCharacter=88. 
* so College is reported as Not Sure in the RAAAP-1 compatible InstitutoinCharacter variable.
* IF anyone want to revisit the RAAAP-1 data to create a new 17 coding then they can!.
VALUE LABELS InstitutionCharacter 8 "University - PUI" 9 "University - Research Active" 10 "University - Research Intensive" 11 "Research Institute" 12 "Research Funder"
13 "Private Company" 14 "Hospital" 15 "Charity" 16 "Government Department" 88 "Not Sure" -99 "No Response".
EXECUTE.
* Back to the original RAAAP-2 variable.
VARIABLE LEVEL InstitutionCharacter2 (NOMINAL).
MISSING VALUES InstitutionCharacter2 (-99).
ADD VALUE LABELS InstitutionCharacter2 -99 "No Response".
EXECUTE.

VARIABLE LEVEL InstitutionType (NOMINAL).
* InstitutionTypeDet is String2000 [default] and matches to RAAAP-1 data.
* *** NEED to change field size from Int40 to Int8.  (and in  many other places too).

VARIABLE LEVEL OrgDepartment (NOMINAL).
* *** GENERAL POINT need to add Missing Values --> -99.
MISSING VALUES OrgDepartment (-99).
* OrgDepartmentDetails is the RAAAP-1 name (probably should have been OrgDepartmentDet) so leave to show that the field is the same as RAAAP-1.

VARIABLE LEVEL NumRARoles(NOMINAL).
* CHECK RAAAP-1 - it seems to be Scale... probably an error.
FORMATS NumRARoles (f8.0).
* NumRARolesDetails - *** check it is the same as RAAAP-1

* NumYears* are not in RAAAP-1 (it asked my many institutions worked at rather then for how long).
* So these are new data and hence only need to be internally constent.

VARIABLE LEVEL NumYearsPUI (ORDINAL). 
FORMATS NumYearsPUI(f8.1).
MISSING VALUES NumYearsPUI (-99).
VARIABLE LABELS NumYearsPUI "15a. How many years have you worked in Predominantly Undergraduate Institutions". /* trying to retain Q numbers.

VARIABLE LEVEL NumYearsUniActive (ORDINAL). 
FORMATS NumYearsUniActive(f8.1).
MISSING VALUES NumYearsUniActive (-99).
VARIABLE LABELS NumYearsUniActive "15b. How many years have you worked in Research Active Universities". /* trying to retain Q numbers.

VARIABLE LEVEL NumYearsUniIntense (ORDINAL). 
FORMATS NumYearsUniIntense(f8.1).
MISSING VALUES NumYearsUniIntense (-99).
VARIABLE LABELS NumYearsUniIntense "15c. How many years have you worked in Research Intensive Universities". /* trying to retain Q numbers.

VARIABLE LEVEL NumYearsCollege (ORDINAL). 
FORMATS NumYearsCollege(f8.1).
MISSING VALUES NumYearsCollege (-99).
VARIABLE LABELS NumYearsCollege "15d. How many years have you worked in Colleges". /* trying to retain Q numbers.

VARIABLE LEVEL NumYearsInstitute (ORDINAL). 
FORMATS NumYearsInstitute(f8.1).
MISSING VALUES NumYearsInstitute (-99).
VARIABLE LABELS NumYearsInstitute "15e. How many years have you worked in Research Institutes". /* trying to retain Q numbers.

VARIABLE LEVEL NumYearsFunder (ORDINAL). 
FORMATS NumYearsFunder(f8.1).
MISSING VALUES NumYearsFunder (-99).
VARIABLE LABELS NumYearsFunder "15f. How many years have you worked in Research Funders". /* trying to retain Q numbers.

VARIABLE LEVEL NumYearsCompany (ORDINAL). 
FORMATS NumYearsCompany(f8.1).
MISSING VALUES NumYearsCompany (-99).
VARIABLE LABELS NumYearsCompany "15g. How many years have you worked in Companies". /* trying to retain Q numbers.

VARIABLE LEVEL NumYearsHospital (ORDINAL). 
FORMATS NumYearsHospital(f8.1).
MISSING VALUES NumYearsHospital (-99).
VARIABLE LABELS NumYearsHospital "15h. How many years have you worked in Hospitals". /* trying to retain Q numbers.

VARIABLE LEVEL NumYearsCharity (ORDINAL). 
FORMATS NumYearsCharity(f8.1).
MISSING VALUES NumYearsCharity (-99).
VARIABLE LABELS NumYearsCharity "15i. How many years have you worked in Charities". /* trying to retain Q numbers.

VARIABLE LEVEL NumYearsOGD (ORDINAL). 
FORMATS NumYearsOGD(f8.1).
MISSING VALUES NumYearsOGD (-99).
VARIABLE LABELS NumYearsOGD "15j. How many years have you worked in Government Departments". /* trying to retain Q numbers.

VARIABLE LEVEL NumYearsOther (ORDINAL). 
FORMATS NumYearsOther(f8.1).
MISSING VALUES NumYearsOther (-99).
VARIABLE LABELS NumYearsOther "15k. How many years have you worked in Other places". /* trying to retain Q numbers.

RENAME VARIABLES NumYearsOther_TEXT=NumYearsOtherD.
VARIABLE LABELS NumYearsOtherD "15k. Please give details (of other places you have worked)". /* trying to retain Q numbers.

VARIABLE LABELS NumYearsWorkedAtDet "15. If you would like to provide more information please do so". /* trying to retain Q numbers.
EXECUTE.

VARIABLE LEVEL FirstRoleLevel (ORDINAL).
* maybe should be nominal 1..4 are ordinal, 5 is not...
MISSING VALUES FirstRoleLevel (-99).
ADD VALUE LABELS FirstRoleLevel -99 "No Response".

* FirstRoleLevelDet.
* is a string, and may well end up in a separate datafile to protect anonymity.
RENAME VARIABLES FirstRoleLevelDet=FirstRoleLevelDetails.
VARIABLE LABELS FirstRoleLevelDetails "16. Details of first RA role".
RECODE FirstRoleLevelDetails ("-99"="").
MISSING VALUES FirstRoleLevelDetails ("").
VALUE LABELS FirstRoleLevelDetails "" "No Response".
EXECUTE.

VARIABLE LEVEL JoinRAReason (NOMINAL). /* Not in RAAAP-1 data, but could be generated (I think).
MISSING VALUES JoinRAReason (-99).
ADD VALUE LABELS JoinRAReason -99 "No Response".
EXECUTE.

RENAME VARIABLES JoinRAResonDetails=JoinRAMoreDetails. /* To match RAAAP-1 <-- but this is new?.
VARIABLE LABELS JoinRAMoreDetails "17. Please give details (of how you became an RMA)". /* trying to retain Q numbers.

* JoinRAInterested - * exact match to RAAAP-1.
VARIABLE LABELS JoinRAInterested "18a. I became an RMA because: interested in profession". /* trying to retain Q numbers.
VARIABLE LEVEL JoinRAInterested (ORDINAL).
MISSING VALUES JoinRAInterested (-99).
ADD VALUE LABELS JoinRAInterested -99 "No Response".
EXECUTE.
* JoinRASkillsMatch - * exact match to RAAAP-1.
VARIABLE LABELS JoinRASkillsMatch "18b. I became an RMA because: matched my skills". /* trying to retain Q numbers.
VARIABLE LEVEL JoinRASkillsMatch (ORDINAL).
MISSING VALUES JoinRASkillsMatch (-99).
ADD VALUE LABELS JoinRASkillsMatch -99 "No Response".
EXECUTE.
* JoinRATemporary - * exact match to RAAAP-1.
VARIABLE LABELS JoinRATemporary "18c. I became an RMA because: it was a temporary role". /* trying to retain Q numbers.
VARIABLE LEVEL JoinRATemporary (ORDINAL).
MISSING VALUES JoinRATemporary (-99).
ADD VALUE LABELS JoinRATemporary -99 "No Response".
EXECUTE.
* JoinRAFriend - * exact match to RAAAP-1.
VARIABLE LABELS JoinRAFriend "18d. I became an RMA because: a friend recommended it". /* trying to retain Q numbers.
VARIABLE LEVEL JoinRAFriend (ORDINAL).
MISSING VALUES JoinRAFriend (-99).
ADD VALUE LABELS JoinRAFriend -99 "No Response".
EXECUTE.
* JoinRAJustApplied - * exact match to RAAAP-1.
VARIABLE LABELS JoinRAJustApplied "18e. I became an RMA because: a position was available". /* trying to retain Q numbers.
VARIABLE LEVEL JoinRAJustApplied (ORDINAL).
MISSING VALUES JoinRAJustApplied (-99).
ADD VALUE LABELS JoinRAJustApplied -99 "No Response".
EXECUTE.
* JoinRAResearcher - * exact match to RAAAP-1.
VARIABLE LABELS JoinRAResearcher "18f. I became an RMA because: moved from research". /* trying to retain Q numbers.
VARIABLE LEVEL JoinRAResearcher (ORDINAL).
MISSING VALUES JoinRAResearcher (-99).
ADD VALUE LABELS JoinRAResearcher -99 "No Response".
EXECUTE.
* JoinRAAdmin - * exact match to RAAAP-1.
VARIABLE LABELS JoinRAAdmin "18g. I became an RMA because: moved from other admin". /* trying to retain Q numbers.
VARIABLE LEVEL JoinRAAdmin (ORDINAL).
MISSING VALUES JoinRAAdmin (-99).
ADD VALUE LABELS JoinRAAdmin -99 "No Response".
EXECUTE.
* *** these next ones are new to RAAAP-2 (based on feedback from RAAAP-1)
* JoinRALocal - * no exact match to RAAAP-1, but analysis of JoinRAOther1,2,3 could perhaps be done.
VARIABLE LABELS JoinRALocal "18h. I became an RMA because: wanted a local job". /* trying to retain Q numbers.
VARIABLE LEVEL JoinRALocal (ORDINAL).
MISSING VALUES JoinRALocal (-99).
ADD VALUE LABELS JoinRALocal -99 "No Response".
EXECUTE.
* JoinRAUni - * no exact match to RAAAP-1, but analysis of JoinRAOther1,2,3 could perhaps be done.
VARIABLE LABELS JoinRAUni "18i. I became an RMA because: wanted a to work at this organisation". /* trying to retain Q numbers.
VARIABLE LEVEL JoinRAUni (ORDINAL).
MISSING VALUES JoinRAUni (-99).
ADD VALUE LABELS JoinRAUni -99 "No Response".
EXECUTE.
* JoinRAOther - * no exact match to RAAAP-1, but analysis of JoinRAOther1,2,3 could perhaps be done.
VARIABLE LABELS JoinRAOther "18z. I became an RMA because: some other reason". /* trying to retain Q numbers.
VARIABLE LEVEL JoinRAOther (ORDINAL).
MISSING VALUES JoinRAOther (-99).
ADD VALUE LABELS JoinRAOther -99 "No Response".
EXECUTE.
* JoinRAOtherDetails
* is a string, and may well end up in a separate datafile to protect anonymity.
RENAME VARIABLES JoinRAOtherDetails=JoinRAOtherDet.
VARIABLE LABELS JoinRAOtherDet "18. Details of other reason for becoming an RMA".
RECODE JoinRAOtherDet ("-99"="").
MISSING VALUES JoinRAOtherDet ("").
VALUE LABELS JoinRAOtherDet "" "No Response".
EXECUTE.

* *** Now reasons for staying an RMA - again soe are direct matches, some are new
* StayRAGoodPay - * exact match to RAAAP-1.
VARIABLE LABELS StayRAGoodPay "19a. I stayed an RMA because: it pays well". /* trying to retain Q numbers.
VARIABLE LEVEL StayRAGoodPay (ORDINAL).
MISSING VALUES StayRAGoodPay (-99).
ADD VALUE LABELS StayRAGoodPay -99 "No Response".
EXECUTE.
* StayRANotBoring - * exact match to RAAAP-1.
VARIABLE LABELS StayRANotBoring "19b. I stayed an RMA because: it is never boring". /* trying to retain Q numbers.
VARIABLE LEVEL StayRANotBoring (ORDINAL).
MISSING VALUES StayRANotBoring (-99).
ADD VALUE LABELS StayRANotBoring -99 "No Response".
EXECUTE.
* StayRAAdvancement - * exact match to RAAAP-1.
VARIABLE LABELS StayRAAdvancement "19c. I stayed an RMA because: opportunity for advancement". /* trying to retain Q numbers.
VARIABLE LEVEL StayRAAdvancement (ORDINAL).
MISSING VALUES StayRAAdvancement (-99).
ADD VALUE LABELS StayRAAdvancement -99 "No Response".
EXECUTE.
* StayRANoOpportunity - * exact match to RAAAP-1.
VARIABLE LABELS StayRANoOpportunity "19d. I stayed an RMA because: no opportunity to change". /* trying to retain Q numbers.
VARIABLE LEVEL StayRANoOpportunity (ORDINAL).
MISSING VALUES StayRANoOpportunity (-99).
ADD VALUE LABELS StayRANoOpportunity -99 "No Response".
EXECUTE.
* StayRACouldntMove - * exact match to RAAAP-1.
VARIABLE LABELS StayRACouldntMove "19e. I stayed an RMA because: unsuccessful trying to move". /* trying to retain Q numbers.
VARIABLE LEVEL StayRACouldntMove (ORDINAL).
MISSING VALUES StayRACouldntMove (-99).
ADD VALUE LABELS StayRACouldntMove -99 "No Response".
EXECUTE.
* StayRASecurity - * exact match to RAAAP-1.
VARIABLE LABELS StayRASecurity "19f. I stayed an RMA because: job security". /* trying to retain Q numbers.
VARIABLE LEVEL StayRASecurity (ORDINAL).
MISSING VALUES StayRASecurity (-99).
ADD VALUE LABELS StayRASecurity -99 "No Response".
EXECUTE.
* StayRAFun - * exact match to RAAAP-1.
VARIABLE LABELS StayRAFun "19g. I stayed an RMA because: its a fun profession". /* trying to retain Q numbers.
VARIABLE LEVEL StayRAFun (ORDINAL).
MISSING VALUES StayRAFun (-99).
ADD VALUE LABELS StayRAFun -99 "No Response".
EXECUTE.
* StayRANotWant - * exact match to RAAAP-1.
VARIABLE LABELS StayRANotWant "19h. I stayed an RMA because: I don't want to move". /* trying to retain Q numbers.
VARIABLE LEVEL StayRANotWant (ORDINAL).
MISSING VALUES StayRANotWant (-99).
ADD VALUE LABELS StayRANotWant -99 "No Response".
EXECUTE.
* StayRAFaculty - * exact match to RAAAP-1.
VARIABLE LABELS StayRAFaculty "19i. I stayed an RMA because: I like working with faculty". /* trying to retain Q numbers.
VARIABLE LEVEL StayRAFaculty (ORDINAL).
MISSING VALUES StayRAFaculty (-99).
ADD VALUE LABELS StayRAFaculty -99 "No Response".
EXECUTE.
* StayRAChallenging - * exact match to RAAAP-1.
VARIABLE LABELS StayRAChallenging "19j. I stayed an RMA because: I like the challenging work". /* trying to retain Q numbers.
VARIABLE LEVEL StayRAChallenging (ORDINAL).
MISSING VALUES StayRAChallenging (-99).
ADD VALUE LABELS StayRAChallenging -99 "No Response".
EXECUTE.
* *** these are new ones for RAAAP-2, based on feedback from RAAAP-1.  Coult *try* to match to RAAAP-1 StatRAOther1,2,3..
* StayRANewProfession - * this is a new one for RAAAP-2.
VARIABLE LABELS StayRANewProfession "19k. I stayed an RMA because: help shaping a new profession". /* trying to retain Q numbers.
VARIABLE LEVEL StayRANewProfession (ORDINAL).
MISSING VALUES StayRANewProfession (-99).
ADD VALUE LABELS StayRANewProfession -99 "No Response".
EXECUTE.
* StayRATooLate - * this is a new one for RAAAP-2.
VARIABLE LABELS StayRATooLate "19l. I stayed an RMA because: too late to change career". /* trying to retain Q numbers.
VARIABLE LEVEL StayRATooLate (ORDINAL).
MISSING VALUES StayRATooLate (-99).
ADD VALUE LABELS StayRATooLate -99 "No Response".
EXECUTE.
* StayRADontIntend - * this is a new one for RAAAP-2.
VARIABLE LABELS StayRADontIntend "19m. I stayed an RMA because: do not intend to stay". /* trying to retain Q numbers.
VARIABLE LEVEL StayRADontIntend (ORDINAL).
MISSING VALUES StayRADontIntend (-99).
ADD VALUE LABELS StayRADontIntend -99 "No Response".
EXECUTE.
* StayRACouldntMove.0 - * this is a new one for RAAAP-2.
RENAME VARIABLES StayRACouldntMove.0=StayRAWantToMove.
VARIABLE LABELS StayRAWantToMove "19n. I stayed an RMA because: but I want to move". /* trying to retain Q numbers.
VARIABLE LEVEL StayRAWantToMove (ORDINAL).
MISSING VALUES StayRAWantToMove (-99).
ADD VALUE LABELS StayRAWantToMove -99 "No Response".
EXECUTE.
* StayRAOther - * not exact match to RAAAP-1, but could try to align with StayRAOther1,2,3..
VARIABLE LABELS StayRAOther "19z. I stayed an RMA because: some other reason". /* trying to retain Q numbers.
VARIABLE LEVEL StayRAOther (ORDINAL).
MISSING VALUES StayRAOther (-99).
ADD VALUE LABELS StayRAOther -99 "No Response".
EXECUTE.
* StayRANotStayed_1 - * this is a new one for RAAAP-2.
RENAME VARIABLES StayRANotStayed_1=StayRANotStayed.
VARIABLE LABELS StayRANotStayed "19x. I stayed an RMA because: I have left / am leaving". /* trying to retain Q numbers.
VARIABLE LEVEL StayRANotStayed (ORDINAL).
MISSING VALUES StayRANotStayed (-99).
ADD VALUE LABELS StayRANotStayed -99 "No Response".
EXECUTE.
* StayRAOtherDetails
* is a string, and may well end up in a separate datafile to protect anonymity.
RENAME VARIABLES StayRAOtherDetails=StayRAOtherDet.
VARIABLE LABELS StayRAOtherDet "19z. Details of other reason for staying an RMA".
RECODE StayRAOtherDet ("-99"="").
MISSING VALUES StayRAOtherDet ("").
VALUE LABELS StayRAOtherDet "" "No Response".
EXECUTE.

* *** Now qualifications - these have been revamped since RAAAP-1, so now we ask about qualifications before and during being an RMA
* *** RAAAP-1 was the highest qual... so to get that we will have to join these two piece of RAAAP-2 data.  May as well do that while we are here!
* *** Also note that RAAAP-2 added "Foundation" as a level between "High School" and "Bachelor's".
VARIABLE LABELS HighestQualBefore "20. Highest academic qualification before becoming an RMA". /* trying to retain Q numbers.
VARIABLE LEVEL HighestQualBefore (ORDINAL).
MISSING VALUES HighestQualBefore (-99).
ADD VALUE LABELS HighestQualBefore -99 "No Response".
EXECUTE.
* *** HighestQualBeforeSub.
RENAME VARIABLES HighestQualBeforeSub=HighestQualSubjectBefore.
VARIABLE LABELS HighestQualSubjectBefore "20a. Highest academic qualification subject area before becoming an RMA". /* trying to retain Q numbers.
VARIABLE LEVEL HighestQualSubjectBefore (NOMINAL).
FORMATS HighestQualSubjectBefore(f8.1).
MISSING VALUES HighestQualSubjectBefore (-99).
ADD VALUE LABELS HighestQualSubjectBefore -99 "No Response".
EXECUTE.
* HigestQualBeforeSD
* is a string, and may well end up in a separate datafile to protect anonymity.
RENAME VARIABLES HigestQualBeforeSD=HighestQualSubjectBeforeDet.
VARIABLE LABELS HighestQualSubjectBeforeDet "20b. Highest academic qualification subject details before becoming an RMA".
RECODE HighestQualSubjectBeforeDet ("-99"="").
MISSING VALUES HighestQualSubjectBeforeDet ("").
VALUE LABELS HighestQualSubjectBeforeDet "" "No Response".
EXECUTE.
* *** one needs some anonymisation.
IF ResponseID="R_3IW6Vb5X8Y9fS1d" HighestQualSubjectBeforeDet="PhD on Integrative Biology of Invertebrates".

* *** HighestQualification --> should actually be HighestQualDuring.
RENAME VARIABLES HighestQualification=HighestQualDuring.
VARIABLE LABELS HighestQualDuring "20c. Highest academic qualification while being an RMA". /* trying to retain Q numbers.
VARIABLE LEVEL HighestQualDuring (ORDINAL).
MISSING VALUES HighestQualDuring (-99).
ADD VALUE LABELS HighestQualDuring -99 "No Response".
EXECUTE.
* *** HighestQualSubject.
RENAME VARIABLES HighestQualSubject=HighestQualSubjectDuring.
VARIABLE LABELS HighestQualSubjectDuring "20d. Highest academic qualification subject area while being an RMA". /* trying to retain Q numbers.
VARIABLE LEVEL HighestQualSubjectDuring (NOMINAL).
FORMATS HighestQualSubjectDuring(f8.1).
MISSING VALUES HighestQualSubjectDuring (-99).
ADD VALUE LABELS HighestQualSubjectDuring -99 "No Response".
ADD VALUE LABELS HighestQualSubjectDuring 6 "Engineeting". /* to match 20b and 20r1.
EXECUTE.
* HighestQualSubjectD
* is a string, and may well end up in a separate datafile to protect anonymity.
RENAME VARIABLES HighestQualSubjectD=HighestQualSubjectDuringDet.
VARIABLE LABELS HighestQualSubjectDuringDet "20e. Highest academic qualification subject details while being an RMA".
RECODE HighestQualSubjectDuringDet ("-99"="").
MISSING VALUES HighestQualSubjectDuringDet ("").
VALUE LABELS HighestQualSubjectDuringDet "" "No Response".
EXECUTE.

* *** Now create a variable to directly match RAAAP-1 data.
COMPUTE HighestQualification=MAX(HighestQualBefore,HighestQualDuring).
VARIABLE LABELS HighestQualification "20r1. Highest academic qualification".
VARIABLE LEVEL HighestQualification (ORDINAL).
MISSING VALUES HighestQualification (-99).
ADD VALUE LABELS HighestQualification -99 "No Response".
* IF HighestQualification=5.5 HighestQualification=5. /* as this was not in RAAAP-1. but have to do this below as HighestQualification is used to determine HighestQualificationSubject.
ADD VALUE LABELS HighestQualification 4 "None" 5 "High School" 5.5 "Foundation" 6 "Bachelor's" 7 "Master's" 8 "Doctorate".
EXECUTE.



* And now something similar for subject area.
COMPUTE HighestQualificationSubject=HighestQualSubjectBefore.
DO IF (HighestQualification >= HighestQualBefore).
DO IF SYSMIS(HighestQualSubjectDuring). 
COMPUTE HighestQualificationSubject=HighestQualSubjectBefore.
ELSE.
COMPUTE HighestQualificationSubject=HighestQualSubjectDuring.
END IF.
END IF.
IF HighestQualificationSubject=99 HighestQualificationSubject=HighestQualSubjectBefore. /*if higher level is n/a then take the first area to make it comparable with RAAAP-1.
* *** note that this assumes that for RAAAP data people would have chosen the subject area of their most recent (eg) masters if they have done one while being an RMA.
VARIABLE LEVEL HighestQualificationSubject (NOMINAL).
MISSING VALUES HighestQualificationSubject (-99).
ADD VALUE LABELS HighestQualificationSubject -99 "No Response".
EXECUTE.
APPLY DICTIONARY from *
/SOURCE VARIABLES = HighestQualSubjectBefore
/TARGET VARIABLES = HighestQualificationSubject
/NEWVARS.
VARIABLE LABELS HighestQualificationSubject "20r1. Highest academic qualification subject ". /* matches RAAAP-1.
EXECUTE.
IF HighestQualification=5.5 HighestQualification=5. /* as this was not in RAAAP-1.
EXECUTE.

STRING HighestQualificationSubjectDet (A2000). /* probably too long, but keep them the same...
COMPUTE HighestQualificationSubjectDet=(HighestQualSubjectBeforeDet).
IF (HighestQualification >= HighestQualBefore) HighestQualificationSubjectDet=HighestQualSubjectDuringDet.
* *** Same logic used for details in case it might be useful for people later on?  Easiest to do it here!?
* *** Although that gives two places to check for anonymisation.
VARIABLE WIDTH HighestQualSubjectBeforeDet (32). /* in an attempt to rid myself of the annoying warning from the Apply Dictionary.
EXECUTE.
APPLY DICTIONARY from *
/SOURCE VARIABLES = HighestQualSubjectBeforeDet
/TARGET VARIABLES = HighestQualificationSubjectDet
/NEWVARS.
* *** WARNING ColumnWidth for HighestQualSubjectBeforeDet is 15 but HighestQualificationSubjectDet is left at 32.
* *** this warning can be ignored.
VARIABLE LABELS HighestQualificationSubjectDet "20r1. Highest academic qualification subject details ". /* matches RAAAP-1.
RECODE HighestQualificationSubjectDet ("-99"="").
MISSING VALUES HighestQualificationSubjectDet ("").
VALUE LABELS HighestQualificationSubjectDet "" "No Response".
EXECUTE.

* *** Now the section on professional qualifications.
* *** Many are a direct match for RAAAP-1.
* *** ARMS ***.
RENAME VARIABLES ProfessionalQuals_1=PQ_AU_ARMF.
* *** PQ_AU_ARMF is a direct match to RAAAP-1.
VARIABLE LABELS PQ_AU_ARMF "21a. Professional Qualification - Australasia - ARM(F)".
VALUE LABELS PQ_AU_ARMF 1 "Yes".
MISSING VALUES PQ_AU_ARMF (-99).
ADD VALUE LABELS PQ_AU_ARMF -99 "No Response".
VARIABLE LEVEL PQ_AU_ARMF (NOMINAL).
EXECUTE.
RENAME VARIABLES ProfessionalQuals_2=PQ_AU_ARMA.
* *** PQ_AU_ARMP is NOT a direct match to RAAAP-1. Professional --> Advanced - is it equivalent?.
VARIABLE LABELS PQ_AU_ARMA "21b. Professional Qualification - Australasia - ARM(A)".
VALUE LABELS PQ_AU_ARMA 1 "Yes".
MISSING VALUES PQ_AU_ARMA (-99).
ADD VALUE LABELS PQ_AU_ARMA -99 "No Response".
VARIABLE LEVEL PQ_AU_ARMA (NOMINAL).
EXECUTE.
* *** CARA ***.
RENAME VARIABLES ProfessionalQuals_3=PQ_CA_CRA.
* *** PQ_CA_CRA is a direct match to RAAAP-1.
VARIABLE LABELS PQ_CA_CRA "21c. Professional Qualification - Canada - CRA".
VALUE LABELS PQ_CA_CRA 1 "Yes".
MISSING VALUES PQ_CA_CRA (-99).
ADD VALUE LABELS PQ_CA_CRA -99 "No Response".
VARIABLE LEVEL PQ_CA_CRA (NOMINAL).
EXECUTE.
RENAME VARIABLES ProfessionalQuals_4=PQ_CA_CRM.
* *** PQ_CA_CRM is a direct match to RAAAP-1.
VARIABLE LABELS PQ_CA_CRM "21d. Professional Qualification - Canada - CRM".
VALUE LABELS PQ_CA_CRM 1 "Yes".
MISSING VALUES PQ_CA_CRM (-99).
ADD VALUE LABELS PQ_CA_CRM -99 "No Response".
VARIABLE LEVEL PQ_CA_CRM (NOMINAL).
EXECUTE.
* *** EARMA ***.
RENAME VARIABLES ProfessionalQuals_5=PQ_EU_CRA.
* *** PQ_EU_CRA is a direct match to RAAAP-1.
VARIABLE LABELS PQ_EU_CRA "21e. Professional Qualification - Europe - CRA".
VALUE LABELS PQ_EU_CRA 1 "Yes".
MISSING VALUES PQ_EU_CRA (-99).
ADD VALUE LABELS PQ_EU_CRA -99 "No Response".
VARIABLE LEVEL PQ_EU_CRA (NOMINAL).
EXECUTE.
RENAME VARIABLES ProfessionalQuals_6=PQ_EU_CRM.
* *** PQ_EU_CRM is a direct match to RAAAP-1.
VARIABLE LABELS PQ_EU_CRM "21f. Professional Qualification - Europe - CRM".
VALUE LABELS PQ_EU_CRM 1 "Yes".
MISSING VALUES PQ_EU_CRM (-99).
ADD VALUE LABELS PQ_EU_CRM -99 "No Response".
VARIABLE LEVEL PQ_EU_CRM (NOMINAL).
EXECUTE.
RENAME VARIABLES ProfessionalQuals_7=PQ_EU_CLRM.
* *** PQ_EU_CLRM is a direct match to RAAAP-1.
VARIABLE LABELS PQ_EU_CLRM "21g. Professional Qualification - Europe - CLRM".
VALUE LABELS PQ_EU_CLRM 1 "Yes".
MISSING VALUES PQ_EU_CLRM (-99).
ADD VALUE LABELS PQ_EU_CLRM -99 "No Response".
VARIABLE LEVEL PQ_EU_CLRM (NOMINAL).
EXECUTE.
* *** United Kingom ***.
RENAME VARIABLES ProfessionalQuals_8=PQ_UK_CRA.
* *** PQ_UK_CRA is a direct match to RAAAP-1.
VARIABLE LABELS PQ_UK_CRA "21h. Professional Qualification - UK - CRA".
VALUE LABELS PQ_UK_CRA 1 "Yes".
MISSING VALUES PQ_UK_CRA (-99).
ADD VALUE LABELS PQ_UK_CRA -99 "No Response".
VARIABLE LEVEL PQ_UK_CRA (NOMINAL).
EXECUTE.
RENAME VARIABLES ProfessionalQuals_9=PQ_UK_CRM.
* *** PQ_UK_CRM is a direct match to RAAAP-1.
VARIABLE LABELS PQ_UK_CRM "21i. Professional Qualification - UK - CRM".
VALUE LABELS PQ_UK_CRM 1 "Yes".
MISSING VALUES PQ_UK_CRM (-99).
ADD VALUE LABELS PQ_UK_CRM -99 "No Response".
VARIABLE LEVEL PQ_UK_CRM (NOMINAL).
EXECUTE.
RENAME VARIABLES ProfessionalQuals_10=PQ_UK_CLRM.
* *** PQ_UK_CLRM is a direct match to RAAAP-1.
VARIABLE LABELS PQ_UK_CLRM "21j. Professional Qualification - UK - CLRM".
VALUE LABELS PQ_UK_CLRM 1 "Yes".
MISSING VALUES PQ_UK_CLRM (-99).
ADD VALUE LABELS PQ_UK_CLRM -99 "No Response".
VARIABLE LEVEL PQ_UK_CLRM (NOMINAL).
EXECUTE.
* *** US [RACC] ***.
RENAME VARIABLES ProfessionalQuals_20=PQ_US_CRA.
* *** PQ_US_CRA is a direct match to RAAAP-1.
VARIABLE LABELS PQ_US_CRA "21k. Professional Qualification - US - CRA".
VALUE LABELS PQ_US_CRA 1 "Yes".
MISSING VALUES PQ_US_CRA (-99).
ADD VALUE LABELS PQ_US_CRA -99 "No Response".
VARIABLE LEVEL PQ_US_CRA (NOMINAL).
EXECUTE.
RENAME VARIABLES ProfessionalQuals_12=PQ_US_CPRA.
* *** PQ_US_CPRA is a direct match to RAAAP-1.
VARIABLE LABELS PQ_US_CPRA "21l. Professional Qualification - US - CPRA".
VALUE LABELS PQ_US_CPRA 1 "Yes".
MISSING VALUES PQ_US_CPRA (-99).
ADD VALUE LABELS PQ_US_CPRA -99 "No Response".
VARIABLE LEVEL PQ_US_CPRA (NOMINAL).
EXECUTE.
RENAME VARIABLES ProfessionalQuals_13=PQ_US_CFRA.
* *** PQ_US_CFRA is a direct match to RAAAP-1.
VARIABLE LABELS PQ_US_CFRA "21m. Professional Qualification - US - CFRA".
VALUE LABELS PQ_US_CFRA 1 "Yes".
MISSING VALUES PQ_US_CFRA (-99).
ADD VALUE LABELS PQ_US_CFRA -99 "No Response".
VARIABLE LEVEL PQ_US_CFRA (NOMINAL).
EXECUTE.
* *** other US ***.
RENAME VARIABLES ProfessionalQuals_14=PQ_US_CIP.
* *** PQ_US_CIP is a direct match to RAAAP-1.
VARIABLE LABELS PQ_US_CIP "21n. Professional Qualification - US - CIP".
VALUE LABELS PQ_US_CIP 1 "Yes".
MISSING VALUES PQ_US_CIP (-99).
ADD VALUE LABELS PQ_US_CIP -99 "No Response".
VARIABLE LEVEL PQ_US_CIP (NOMINAL).
EXECUTE.
RENAME VARIABLES ProfessionalQuals_15=PQ_US_CPIA.
* *** PQ_US_CPIA is a direct match to RAAAP-1.
VARIABLE LABELS PQ_US_CPIA "21o. Professional Qualification - US - CPIA".
VALUE LABELS PQ_US_CPIA 1 "Yes".
MISSING VALUES PQ_US_CPIA (-99).
ADD VALUE LABELS PQ_US_CPIA -99 "No Response".
VARIABLE LEVEL PQ_US_CPIA (NOMINAL).
EXECUTE.
* *** academic qualificiations in Research Administration ***.
RENAME VARIABLES ProfessionalQuals_16=PQ_Bachelor.
* *** PQ_Bachelor is a direct match to RAAAP-1.
VARIABLE LABELS PQ_Bachelor "21p. Professional Qualification - Bachelor's".
VALUE LABELS PQ_Bachelor 1 "Yes".
MISSING VALUES PQ_Bachelor (-99).
ADD VALUE LABELS PQ_Bachelor -99 "No Response".
VARIABLE LEVEL PQ_Bachelor (NOMINAL).
EXECUTE.
RENAME VARIABLES ProfessionalQuals_17=PQ_Master.
* *** PQ_Master is a direct match to RAAAP-1.
VARIABLE LABELS PQ_Master "21q. Professional Qualification - Master's".
VALUE LABELS PQ_Master 1 "Yes".
MISSING VALUES PQ_Master (-99).
ADD VALUE LABELS PQ_Master -99 "No Response".
VARIABLE LEVEL PQ_Master (NOMINAL).
EXECUTE.
RENAME VARIABLES ProfessionalQuals_18=PQ_Doctor.
* *** PQ_Doctor is a direct match to RAAAP-1.
VARIABLE LABELS PQ_Doctor "21r. Professional Qualification - Doctorate".
VALUE LABELS PQ_Doctor 1 "Yes".
MISSING VALUES PQ_Doctor (-99).
ADD VALUE LABELS PQ_Doctor -99 "No Response".
VARIABLE LEVEL PQ_Doctor (NOMINAL).
EXECUTE.
* *** Something else.... ***.
RENAME VARIABLES ProfessionalQuals_19=PQ_Other.
* *** PQ_Other is a direct match to RAAAP-1.
VARIABLE LABELS PQ_Other "21s. Professional Qualification - Other".
VALUE LABELS PQ_Other 1 "Yes".
MISSING VALUES PQ_Other (-99).
ADD VALUE LABELS PQ_Other -99 "No Response".
VARIABLE LEVEL PQ_Other (NOMINAL).
EXECUTE.
RENAME VARIABLES ProfessionalQuals_21=PQ_None.
* *** PQ_None is a NOT direct match to RAAAP-1.  Here we ask for a specific assertion about no professional qualifications in RMA.
VARIABLE LABELS PQ_None "21t. Professional Qualification - None".
VALUE LABELS PQ_None 1 "Yes".
MISSING VALUES PQ_None (-99).
ADD VALUE LABELS PQ_None -99 "No Response".
VARIABLE LEVEL PQ_None (NOMINAL).
EXECUTE.
*** ***.
*** ***.
*** CHECK WITH RAAAP Core Group *** What to do with the logic here.
*** - check the data.. if they tick "NONE" but have also ticked another... should we untick one of them...?
*** ***.
*** ***.

* PQ_OtherDetails. *** Direct match with RAAAP-1.
* is a string, and may well end up in a separate datafile to protect anonymity.
VARIABLE LABELS PQ_OtherDetails "21z. Details of Other professional qualifications ".
RECODE PQ_OtherDetails ("-99"="").
MISSING VALUES PQ_OtherDetails ("").
VALUE LABELS PQ_OtherDetails "" "No Response".
EXECUTE.

* *** AnyCRA has been used in some RAAAP-1 Analyses - so useful to add it here I think ***.
COMPUTE AnyCRA = 0.
VARIABLE LABELS AnyCRA "21x. Any National RA Certification".
MISSING VALUES AnyCRA (-99).
VALUE LABELS AnyCRA 1 "Yes" -99 "No Response" 0 "No".
VARIABLE LEVEL AnyCRA (NOMINAL).
FORMATS AnyCRA (f8).
EXECUTE.

DO IF MAX(PQ_AU_ARMF TO PQ_OTHER)=1.
    COMPUTE AnyCRA=1.
ELSE.
    COMPUTE AnyCRA=0.
END IF.
EXECUTE.
* *** this *SHOULD* be the reverse of PQ_None *** we shall see!!!.

* *** now so additional questions in RAAAP-2 about the usefulness of professional qualifications.
VARIABLE LABELS PQ_NoDifference "22a. PQs made no differnce to me".
VARIABLE LABELS PQ_HelpedPromotion "22b. PQs helped get promotion /  new job".
VARIABLE LABELS PQ_DoJobBetter "22c. PQs help me do job better".
VARIABLE LABELS PQ_MoreConfidence "22d. PQs give me more confidence".
VARIABLE LABELS PQ_Status "22e. PQs increase my credibility".
VARIABLE LABELS PQ_ThinkItWould "22f. PQs don'r have, but think it would help my career".
MISSING VALUES PQ_NoDifference PQ_HelpedPromotion PQ_DoJobBetter PQ_MoreConfidence PQ_Status PQ_ThinkItWould (-99).
ADD VALUE LABELS PQ_NoDifference PQ_HelpedPromotion PQ_DoJobBetter PQ_MoreConfidence PQ_Status PQ_ThinkItWould -99 "No Response".
VARIABLE LEVEL PQ_NoDifference PQ_HelpedPromotion PQ_DoJobBetter PQ_MoreConfidence PQ_Status PQ_ThinkItWould (NOMINAL).
EXECUTE.
* ProfessionalQualValD. *** Also new for RAAAP-2.
* is a string, and may well end up in a separate datafile to protect anonymity.
RENAME VARIABLES ProfessionalQualValD=PQ_OtherComments.
VARIABLE LABELS PQ_OtherComments "22z. Other comments about professional qualifications".
RECODE PQ_OtherComments ("-99"="").
MISSING VALUES PQ_OtherComments ("").
VALUE LABELS PQ_OtherComments "" "No Response".
EXECUTE.

* *** the skills section from RAAAP-1 has been depricated (at least for RAAAP-2) [in favour of Impact - see later].
* *** but a few questoins about professional development for soft skills have been included.
* *** they are [mainly] directly comparable with RAAAP-1 questions.
* *** NOTE that Menotring and coaching have been split... [and so a RAAAP-1 comparison can also be created].
* *** Plus StressManagement is new - for cross comparison with Shambrook RASperS data

* ProfessionalDev_55..70.
RENAME VARIABLES ProfessionalDev_55=PD_Comms.
VARIABLE LABELS PD_Comms "23a. Professional Development - Communication".
RENAME VARIABLES ProfessionalDev_56=PD_Collab.
VARIABLE LABELS PD_Collab "23b. Professional Development - Teamwork/Collaboration".
RENAME VARIABLES ProfessionalDev_57=PD_Adapt.
VARIABLE LABELS PD_Adapt "23c. Professional Development - Adaptability/Change Management".
RENAME VARIABLES ProfessionalDev_58=PD_ProblemSolving.
VARIABLE LABELS PD_ProblemSolving "23d. Professional Development - Problem-solving".
RENAME VARIABLES ProfessionalDev_59=PD_Observation.
VARIABLE LABELS PD_Observation "23e. Professional Development - Critical Observation".
RENAME VARIABLES ProfessionalDev_60=PD_Coaching.
VARIABLE LABELS PD_Coaching "23f. Professional Development - Coaching". /* This is a change for RAAAP-2 (part of "Mentoring and Coaching" from RAAAP-1).
RENAME VARIABLES ProfessionalDev_61=PD_StressManagement.
VARIABLE LABELS PD_StressManagement "23g. Professional Development - Stress Management".  /* This is a new one for RAAAP-2 - could be useful for cross reference with Shambrook data.
RENAME VARIABLES ProfessionalDev_62=PD_ServiceCulture.
VARIABLE LABELS PD_ServiceCulture "23h. Professional Development - Service Culture".  /* This is a new one for RAAAP-2.
RENAME VARIABLES ProfessionalDev_63=PD_InitiativeTaking.
VARIABLE LABELS PD_InitiativeTaking "23i. Professional Development - Initiative Taking".
RENAME VARIABLES ProfessionalDev_64=PD_EDI.
VARIABLE LABELS PD_EDI "23j. Professional Development - Cultural and Diversity".
RENAME VARIABLES ProfessionalDev_65=PD_TakingResponsibility.
VARIABLE LABELS PD_TakingResponsibility "23k. Professional Development - Taking Responsibility".
RENAME VARIABLES ProfessionalDev_66=PD_ProjectManagement.
VARIABLE LABELS PD_ProjectManagement "23l. Professional Development - Project Management".
RENAME VARIABLES ProfessionalDev_67=PD_MentoringOnly. /* The PD_Mentoring is used in RAAAP-1 for Mentoring and Coaching.
VARIABLE LABELS PD_MentoringOnly "23m. Professional Development - Mentoring". /* The RAAAP-1 text is OK though, for combined it is "Mentoring an Coaching".
RENAME VARIABLES ProfessionalDev_68=PD_ConflictResolution.
VARIABLE LABELS PD_ConflictResolution "23n. Professional Development - Conflict Resolution".
RENAME VARIABLES ProfessionalDev_69=PD_LanguageSkills.
VARIABLE LABELS PD_LanguageSkills "23o. Professional Development - Language Skills". /* new for RAAAP-2 - ties into the new questions on how many languages do you use at work.
RENAME VARIABLES ProfessionalDev_70=PD_Other.
VARIABLE LABELS PD_Other "23p. Professional Development - Other".
* *** add in a Mentoring and Coaching to match RAAAP-1.
COMPUTE PD_Mentoring=MAX(PD_Coaching,PD_MentoringOnly).
VARIABLE LABELS PD_Mentoring "23r1. Professional Development - Mentoring and Coaching".

VALUE LABELS PD_Comms PD_Collab PD_Adapt PD_ProblemSolving PD_Observation PD_Coaching
PD_StressManagement PD_ServiceCulture PD_InitiativeTaking PD_EDI PD_TakingResponsibility
PD_ProjectManagement PD_MentoringOnly PD_ConflictResolution PD_LanguageSkills PD_Other
PD_Mentoring 1 "Yes".
MISSING VALUES PD_Comms PD_Collab PD_Adapt PD_ProblemSolving PD_Observation PD_Coaching
PD_StressManagement PD_ServiceCulture PD_InitiativeTaking PD_EDI PD_TakingResponsibility 
PD_ProjectManagement PD_MentoringOnly PD_ConflictResolution PD_LanguageSkills PD_Other
PD_Mentoring (-99).
ADD VALUE LABELS PD_Comms PD_Collab PD_Adapt PD_ProblemSolving PD_Observation PD_Coaching
PD_StressManagement PD_ServiceCulture PD_InitiativeTaking PD_EDI PD_TakingResponsibility 
PD_ProjectManagement PD_MentoringOnly PD_ConflictResolution PD_LanguageSkills PD_Other
PD_Mentoring -99 "No Response".
VARIABLE LEVEL PD_Comms PD_Collab PD_Adapt PD_ProblemSolving PD_Observation PD_Coaching
PD_StressManagement PD_ServiceCulture PD_InitiativeTaking PD_EDI PD_TakingResponsibility 
PD_ProjectManagement PD_MentoringOnly PD_ConflictResolution PD_LanguageSkills PD_Other
PD_Mentoring (NOMINAL).
EXECUTE.

* PD_OtherDetails. exact match to RAAAP-1
* is a string, and may well end up in a separate datafile to protect anonymity.
VARIABLE LABELS PD_OtherDetails "23. Details of Other professional development".
RECODE PQ_OtherComments ("-99"="").
MISSING VALUES PQ_OtherComments ("").
VALUE LABELS PQ_OtherComments "" "No Response".
EXECUTE.

* Languages Spoken / Used is new to RAAAP-2.
MISSING VALUES LanguagesSpoken (-99).
VARIABLE LABELS LanguagesSpoken '24. Number of languages spoken'.
VARIABLE LEVEL LanguagesSpoken(ORDINAL).
FORMATS LanguagesSpoken(f8).
ADD VALUE LABELS LanguagesSpoken -99 "No Response".
EXECUTE.
MISSING VALUES LanguagesUsed (-99).
VARIABLE LABELS LanguagesUsed '25. Number of languages used at work'.
VARIABLE LEVEL LanguagesUsed(ORDINAL).
FORMATS LanguagesUsed(f8).
ADD VALUE LABELS LanguagesUsed -99 "No Response".
EXECUTE.

* *** now professional body membership.
* in RAAAP-1 on we asked main association, and other association....
* but we then created the more used "Member" [ie either of those] which we will match here.
* plus in RAAAP-2 we asked if people had participated in events of the associations, this is new to RAAAP-2.
* NB there are some "NEW" associatoins in RAAAP-2 [not ACU was not asked in RAAAP-1 but could have been - it makes more sense for "Particiated"].
* NOTE "Participated" could also include past (non current) membership of.
* *** ALSO NOTE the question on NONE - save internal consistency question as above.

RENAME VARIABLES Assoc_ACU_1=Assoc_ACU_Member.
RENAME VARIABLES Assoc_ACU_2=Assoc_ACU_Participated.
VARIABLE LABELS Assoc_ACU_Member "26am. Member of ACU (Commonwealth)".
VARIABLE LABELS Assoc_ACU_Participated "26ap. Participated in ACU (Commonwealth)".
RENAME VARIABLES Assoc_ARMA_1=Assoc_ARMA_Member.
RENAME VARIABLES Assoc_ARMA_2=Assoc_ARMA_Participated.
VARIABLE LABELS Assoc_ARMA_Member "26bm. Member of ARMA (UK)".
VARIABLE LABELS Assoc_ARMA_Participated "26bp. Participated in ARMA (UK)".
RENAME VARIABLES Assoc_ARMANL_1=Assoc_ARMANL_Member.
RENAME VARIABLES Assoc_ARMANL_2=Assoc_ARMANL_Participated.
VARIABLE LABELS Assoc_ARMANL_Member "26cm. Member of ARMANL (Netherlands)".
VARIABLE LABELS Assoc_ARMANL_Participated "26cp. Participated in ARMANL (Netherlands)".
RENAME VARIABLES Assoc_ARMS_1=Assoc_ARMS_Member.
RENAME VARIABLES Assoc_ARMS_2=Assoc_ARMS_Participated.
VARIABLE LABELS Assoc_ARMS_Member "26dm. Member of ARMS (Australasia)".
VARIABLE LABELS Assoc_ARMS_Participated "26dp. Participated in ARMS (Australasia)".
RENAME VARIABLES AssocAAssoc_AUAiations_38_1=Assoc_AUA_Member.
RENAME VARIABLES AssocAAssoc_AUAiations_38_2=Assoc_AUA_Participated.
VARIABLE LABELS Assoc_AUA_Member "26em. Member of AUA (UK)".
VARIABLE LABELS Assoc_AUA_Participated "26ep. Participated in AUA (UK)".
RENAME VARIABLES Assoc_AURAM_1=Assoc_AURAM_Member.
RENAME VARIABLES Assoc_AURAM_2=Assoc_AURAM_Participated.
VARIABLE LABELS Assoc_AURAM_Member "26fm. Member of AURAM (Austria)".
VARIABLE LABELS Assoc_AURAM_Participated "26fp. Participated in AURAM (Austria)".
RENAME VARIABLES Assoc_AUTM_1=Assoc_AUTM_Member.
RENAME VARIABLES Assoc_AUTM_2=Assoc_AUTM_Participated.
VARIABLE LABELS Assoc_AUTM_Member "26gm. Member of AUTM (USA)".
VARIABLE LABELS Assoc_AUTM_Participated "26gp. Participated in AUTM (USA)".
RENAME VARIABLES Associations_34_1=Assoc_BESTPRAC_Member.
RENAME VARIABLES Associations_34_2=Assoc_BESTPRAC_Participated.
VARIABLE LABELS Assoc_BESTPRAC_Member "26hm. Member of BESTPRAC (Europe)".
VARIABLE LABELS Assoc_BESTPRAC_Participated "26hp. Participated in BESTPRAC (Europe)".
RENAME VARIABLES Assoc_BRAMA_1=Assoc_BRAMA_Member.
RENAME VARIABLES Assoc_BRAMA_2=Assoc_BRAMA_Participated.
VARIABLE LABELS Assoc_BRAMA_Member "26im. Member of BRAMA (Brazil)".
VARIABLE LABELS Assoc_BRAMA_Participated "26ip. Participated in BRAMA (Brazil)".
RENAME VARIABLES Assoc_CabRIMA_1=Assoc_CabRIMA_Member.
RENAME VARIABLES Assoc_CabRIMA_2=Assoc_CabRIMA_Participated.
VARIABLE LABELS Assoc_CabRIMA_Member "26jm. Member of CabRIMA (Caribbean)".
VARIABLE LABELS Assoc_CabRIMA_Participated "26jp. Participated in CabRIMA (Caribbean)".
RENAME VARIABLES Assoc_CARA_1=Assoc_CARA_Member.
RENAME VARIABLES Assoc_CARA_2=Assoc_CARA_Participated.
VARIABLE LABELS Assoc_CARA_Member "26km. Member of CARA (Canada)".
VARIABLE LABELS Assoc_CARA_Participated "26kp. Participated in CARA (Canada)".
RENAME VARIABLES Assoc_CARIMA_1=Assoc_CARIMA_Member.
RENAME VARIABLES Assoc_CARIMA_2=Assoc_CARIMA_Participated.
VARIABLE LABELS Assoc_CARIMA_Member "26lm. Member of CARIMA (Central Africa)".
VARIABLE LABELS Assoc_CARIMA_Participated "26lp. Participated in CARIMA (Central Africa)".
RENAME VARIABLES Associations_35_1=Assoc_CASSSP_Member.
RENAME VARIABLES Associations_35_2=Assoc_CASSSP_Participated.
VARIABLE LABELS Assoc_CASSSP_Member "26mm. Member of CASSSP (China)".
VARIABLE LABELS Assoc_CASSSP_Participated "26mp. Participated in CASSSP (China)".
RENAME VARIABLES AssociatioAssoc_CLASPns_45_1=Assoc_CLASP_Member.
RENAME VARIABLES AssociatioAssoc_CLASPns_45_2=Assoc_CLASP_Participated.
VARIABLE LABELS Assoc_CLASP_Member "26nm. Member of CLASP (USA)".
VARIABLE LABELS Assoc_CLASP_Participated "26np. Participated in CLASP (USA)".
RENAME VARIABLES Assoc_COGR_1=Assoc_COGR_Member.
RENAME VARIABLES Assoc_COGR_2=Assoc_COGR_Participated.
VARIABLE LABELS Assoc_COGR_Member "26om. Member of COGR (USA)".
VARIABLE LABELS Assoc_COGR_Participated "26op. Participated in COGR (USA)".
RENAME VARIABLES Assoc_DARMA_1=Assoc_DARMA_Member.
RENAME VARIABLES Assoc_DARMA_2=Assoc_DARMA_Participated.
VARIABLE LABELS Assoc_DARMA_Member "26pm. Member of DARMA (Denmark)".
VARIABLE LABELS Assoc_DARMA_Participated "26pp. Participated in DARMA (Denmark)".
RENAME VARIABLES Assoc_EARIMA_1=Assoc_EARIMA_Member.
RENAME VARIABLES Assoc_EARIMA_2=Assoc_EARIMA_Participated.
VARIABLE LABELS Assoc_EARIMA_Member "26qm. Member of EARIMA (Eastern Africa)".
VARIABLE LABELS Assoc_EARIMA_Participated "26qp. Participated in EARIMA (Eastern Africa)".
RENAME VARIABLES Assoc_EARMA_1=Assoc_EARMA_Member.
RENAME VARIABLES Assoc_EARMA_2=Assoc_EARMA_Participated.
VARIABLE LABELS Assoc_EARMA_Member "26rm. Member of EARMA (Europe)".
VARIABLE LABELS Assoc_EARMA_Participated "26rp. Participated in EARMA (Europe)".
RENAME VARIABLES Assoc_FDP_1=Assoc_FDP_Member.
RENAME VARIABLES Assoc_FDP_2=Assoc_FDP_Participated.
VARIABLE LABELS Assoc_FDP_Member "26sm. Member of FDP (USA)".
VARIABLE LABELS Assoc_FDP_Participated "26sp. Participated in FDP (USA)".
RENAME VARIABLES Assoc_FinnARMA_1=Assoc_FinnARMA_Member.
RENAME VARIABLES Assoc_FinnARMA_2=Assoc_FinnARMA_Participated.
VARIABLE LABELS Assoc_FinnARMA_Member "26tm. Member of Finn-ARMA (Finland)".
VARIABLE LABELS Assoc_FinnARMA_Participated "26tp. Participated in Finn-ARMA (Finland)".
RENAME VARIABLES Assoc_GARMA_1=Assoc_GARMA_Member.
RENAME VARIABLES Assoc_GARMA_2=Assoc_GARMA_Participated.
VARIABLE LABELS Assoc_GARMA_Member "26um. Member of FORTRAMA (Germany)".
VARIABLE LABELS Assoc_GARMA_Participated "26up. Participated in FORTRAMA (Germany)".
RENAME VARIABLES Assoc_IceARMA_1=Assoc_IceARMA_Member.
RENAME VARIABLES Assoc_IceARMA_2=Assoc_IceARMA_Participated.
VARIABLE LABELS Assoc_IceARMA_Member "26vm. Member of IceARMA (Iceland)".
VARIABLE LABELS Assoc_IceARMA_Participated "26vp. Participated in IceARMA (Iceland)".
RENAME VARIABLES Associations_37_1=Assoc_IRMI_Member.
RENAME VARIABLES Associations_37_2=Assoc_IRMI_Participated.
VARIABLE LABELS Assoc_IRMI_Member "26wm. Member of IRMI (India)". /* could also be listed as India Alliance?.
VARIABLE LABELS Assoc_IRMI_Participated "26wp. Participated in IRMI (India)".
RENAME VARIABLES Associations_36_1=Assoc_INORMS_Member.
RENAME VARIABLES Associations_36_2=Assoc_INORMS_Participated.
VARIABLE LABELS Assoc_INORMS_Member "26xm. Member of INORMS (Global)". /* although not officially a member organisation - I wonder how many associate with the INORMS umbrella.
VARIABLE LABELS Assoc_INORMS_Participated "26xp. Participated in INORMS (Global)".
RENAME VARIABLES Assoc_Italy_1=Assoc_Italy_Member.
RENAME VARIABLES Assoc_Italy_2=Assoc_Italy_Participated.
VARIABLE LABELS Assoc_Italy_Member "26ym. Member of Italian grouping (Italy)". /* no official name for Italian grouping as yet.
VARIABLE LABELS Assoc_Italy_Participated "26yp. Participated in Italian grouping (Italy)".
RENAME VARIABLES Assoc_NARA_1=Assoc_NARMA_Member.
RENAME VARIABLES Assoc_NARA_2=Assoc_NARMA_Participated.
VARIABLE LABELS Assoc_NARMA_Member "26zm. Member of NARMA (Norway)".
VARIABLE LABELS Assoc_NARMA_Participated "26zp. Participated in NARMA (Norway)".
RENAME VARIABLES Assoc_NCURA_1=Assoc_NCURA_Member.
RENAME VARIABLES Assoc_NCURA_2=Assoc_NCURA_Participated.
VARIABLE LABELS Assoc_NCURA_Member "26aam. Member of NCURA (USA)".
VARIABLE LABELS Assoc_NCURA_Participated "26aap. Participated in NCURA (USA)".
RENAME VARIABLES Assoc_NCURA_1.0=Assoc_NORDP_Member.
RENAME VARIABLES Assoc_NCURA_2.0=Assoc_NORDP_Participated.
VARIABLE LABELS Assoc_NORDP_Member "26abm. Member of NORDP (USA)".
VARIABLE LABELS Assoc_NORDP_Participated "26abp. Participated in NORDP (USA)".
RENAME VARIABLES Assoc_PIC_1=Assoc_PIC_Member.
RENAME VARIABLES Assoc_PIC_2=Assoc_PIC_Participated.
VARIABLE LABELS Assoc_PIC_Member "26acm. Member of PIC (Portugal)".
VARIABLE LABELS Assoc_PIC_Participated "26acp. Participated in PIC (Portugal)".
RENAME VARIABLES Assoc_PrU_1=Assoc_PrU_Member.
RENAME VARIABLES Assoc_PrU_2=Assoc_PrU_Participated.
VARIABLE LABELS Assoc_PrU_Member "26adm. Member of PraxisUnico (UK)".
VARIABLE LABELS Assoc_PrU_Participated "26adp. Participated in PraxisUnico (UK)".
RENAME VARIABLES Assoc_RMANJ_1=Assoc_RMANJ_Member.
RENAME VARIABLES Assoc_RMANJ_2=Assoc_RMANJ_Participated.
VARIABLE LABELS Assoc_RMANJ_Member "26aem. Member of RMAN-J (Japan)".
VARIABLE LABELS Assoc_RMANJ_Participated "26aep. Participated in RMAN-J (Japan)".
RENAME VARIABLES Assoc_SARIMA_1=Assoc_SARIMA_Member.
RENAME VARIABLES Assoc_SARIMA_2=Assoc_SARIMA_Participated.
VARIABLE LABELS Assoc_SARIMA_Member "26afm. Member of SARIMA (Southern Africa)".
VARIABLE LABELS Assoc_SARIMA_Participated "26afp. Participated in SARIMA (Southern Africa)".
RENAME VARIABLES Assoc_SRAI_1=Assoc_SRAI_Member.
RENAME VARIABLES Assoc_SRAI_2=Assoc_SRAI_Participated.
VARIABLE LABELS Assoc_SRAI_Member "26agm. Member of SRAI (USA)".
VARIABLE LABELS Assoc_SRAI_Participated "26agp. Participated in SRAI (USA)".
RENAME VARIABLES Assoc_SWARMA_1=Assoc_SWARMA_Member.
RENAME VARIABLES Assoc_SWARMA_2=Assoc_SWARMA_Participated.
VARIABLE LABELS Assoc_SWARMA_Member "26ahm. Member of Swedish association (Sweden)".
VARIABLE LABELS Assoc_SWARMA_Participated "26ahp. Participated in Swedish association (Sweden)".
RENAME VARIABLES Assoc_WARIMA_1=Assoc_WARIMA_Member.
RENAME VARIABLES Assoc_WARIMA_2=Assoc_WARIMA_Participated.
VARIABLE LABELS Assoc_WARIMA_Member "26aim. Member of WARIMA (Western Africa)".
VARIABLE LABELS Assoc_WARIMA_Participated "26aip. Participated in WARIMA (Western Africa)".
RENAME VARIABLES Assoc_None_1=Assoc_None_Member.
RENAME VARIABLES Assoc_None_2=Assoc_None_Participated.
VARIABLE LABELS Assoc_None_Member "26axm. Member of None of the above".
VARIABLE LABELS Assoc_None_Participated "26axp. Participated in None of the above".
RENAME VARIABLES Assoc_Other_1=Assoc_Other_Member.
RENAME VARIABLES Assoc_Other_2=Assoc_Other_Participated.
VARIABLE LABELS Assoc_Other_Member "26azm. Member of Other association".
VARIABLE LABELS Assoc_Other_Participated "26azp. Participated in Other association".

* Assoc_OtherDetails. exact match to RAAAP-1.
* is a string, and may well end up in a separate datafile to protect anonymity.
VARIABLE LABELS Assoc_OtherDetails "26az. Details of Other association(s)".
RECODE Assoc_OtherDetails ("-99"="").
MISSING VALUES Assoc_OtherDetails ("").
VALUE LABELS Assoc_OtherDetails "" "No Response".
EXECUTE.

VALUE LABELS
Assoc_ACU_Member Assoc_ACU_Participated
Assoc_ARMA_Member Assoc_ARMA_Participated
Assoc_ARMANL_Member Assoc_ARMANL_Participated
Assoc_ARMS_Member Assoc_ARMS_Participated
Assoc_AUA_Member Assoc_AUA_Participated
Assoc_AURAM_Member Assoc_AURAM_Participated
Assoc_AUTM_Member Assoc_AUTM_Participated
Assoc_BESTPRAC_Member Assoc_BESTPRAC_Participated
Assoc_BRAMA_Member Assoc_BRAMA_Participated
Assoc_CabRIMA_Member Assoc_CabRIMA_Participated
Assoc_CARA_Member Assoc_CARA_Participated
Assoc_CARIMA_Member Assoc_CARIMA_Participated
Assoc_CASSSP_Member Assoc_CASSSP_Participated
Assoc_CLASP_Member Assoc_CLASP_Participated
Assoc_COGR_Member Assoc_COGR_Participated
Assoc_DARMA_Member Assoc_DARMA_Participated
Assoc_EARIMA_Member Assoc_EARIMA_Participated
Assoc_EARMA_Member Assoc_EARMA_Participated
Assoc_FDP_Member Assoc_FDP_Participated
Assoc_FinnARMA_Member Assoc_FinnARMA_Participated
Assoc_GARMA_Member Assoc_GARMA_Participated
Assoc_IceARMA_Member Assoc_IceARMA_Participated
Assoc_IRMI_Member Assoc_IRMI_Participated
Assoc_INORMS_Member Assoc_INORMS_Participated
Assoc_Italy_Member Assoc_Italy_Participated
Assoc_NARMA_Member Assoc_NARMA_Participated
Assoc_NCURA_Member Assoc_NCURA_Participated
Assoc_NORDP_Member Assoc_NORDP_Participated
Assoc_PIC_Member Assoc_PIC_Participated
Assoc_PrU_Member Assoc_PrU_Participated
Assoc_RMANJ_Member Assoc_RMANJ_Participated
Assoc_SARIMA_Member Assoc_SARIMA_Participated
Assoc_SRAI_Member Assoc_SRAI_Participated
Assoc_SWARMA_Member Assoc_SWARMA_Participated
Assoc_WARIMA_Member Assoc_WARIMA_Participated
Assoc_None_Member Assoc_None_Participated
Assoc_Other_Member Assoc_Other_Participated
1 "Yes".
MISSING VALUES
Assoc_ACU_Member Assoc_ACU_Participated
Assoc_ARMA_Member Assoc_ARMA_Participated
Assoc_ARMANL_Member Assoc_ARMANL_Participated
Assoc_ARMS_Member Assoc_ARMS_Participated
Assoc_AUA_Member Assoc_AUA_Participated
Assoc_AURAM_Member Assoc_AURAM_Participated
Assoc_AUTM_Member Assoc_AUTM_Participated
Assoc_BESTPRAC_Member Assoc_BESTPRAC_Participated
Assoc_BRAMA_Member Assoc_BRAMA_Participated
Assoc_CabRIMA_Member Assoc_CabRIMA_Participated
Assoc_CARA_Member Assoc_CARA_Participated
Assoc_CARIMA_Member Assoc_CARIMA_Participated
Assoc_CASSSP_Member Assoc_CASSSP_Participated
Assoc_CLASP_Member Assoc_CLASP_Participated
Assoc_COGR_Member Assoc_COGR_Participated
Assoc_DARMA_Member Assoc_DARMA_Participated
Assoc_EARIMA_Member Assoc_EARIMA_Participated
Assoc_EARMA_Member Assoc_EARMA_Participated
Assoc_FDP_Member Assoc_FDP_Participated
Assoc_FinnARMA_Member Assoc_FinnARMA_Participated
Assoc_GARMA_Member Assoc_GARMA_Participated
Assoc_IceARMA_Member Assoc_IceARMA_Participated
Assoc_IRMI_Member Assoc_IRMI_Participated
Assoc_INORMS_Member Assoc_INORMS_Participated
Assoc_Italy_Member Assoc_Italy_Participated
Assoc_NARMA_Member Assoc_NARMA_Participated
Assoc_NCURA_Member Assoc_NCURA_Participated
Assoc_NORDP_Member Assoc_NORDP_Participated
Assoc_PIC_Member Assoc_PIC_Participated
Assoc_PrU_Member Assoc_PrU_Participated
Assoc_RMANJ_Member Assoc_RMANJ_Participated
Assoc_SARIMA_Member Assoc_SARIMA_Participated
Assoc_SRAI_Member Assoc_SRAI_Participated
Assoc_SWARMA_Member Assoc_SWARMA_Participated
Assoc_WARIMA_Member Assoc_WARIMA_Participated
Assoc_None_Member Assoc_None_Participated
Assoc_Other_Member Assoc_Other_Participated
(-99).
ADD VALUE LABELS 
Assoc_ACU_Member Assoc_ACU_Participated
Assoc_ARMA_Member Assoc_ARMA_Participated
Assoc_ARMANL_Member Assoc_ARMANL_Participated
Assoc_ARMS_Member Assoc_ARMS_Participated
Assoc_AUA_Member Assoc_AUA_Participated
Assoc_AURAM_Member Assoc_AURAM_Participated
Assoc_AUTM_Member Assoc_AUTM_Participated
Assoc_BESTPRAC_Member Assoc_BESTPRAC_Participated
Assoc_BRAMA_Member Assoc_BRAMA_Participated
Assoc_CabRIMA_Member Assoc_CabRIMA_Participated
Assoc_CARA_Member Assoc_CARA_Participated
Assoc_CARIMA_Member Assoc_CARIMA_Participated
Assoc_CASSSP_Member Assoc_CASSSP_Participated
Assoc_CLASP_Member Assoc_CLASP_Participated
Assoc_COGR_Member Assoc_COGR_Participated
Assoc_DARMA_Member Assoc_DARMA_Participated
Assoc_EARIMA_Member Assoc_EARIMA_Participated
Assoc_EARMA_Member Assoc_EARMA_Participated
Assoc_FDP_Member Assoc_FDP_Participated
Assoc_FinnARMA_Member Assoc_FinnARMA_Participated
Assoc_GARMA_Member Assoc_GARMA_Participated
Assoc_IceARMA_Member Assoc_IceARMA_Participated
Assoc_IRMI_Member Assoc_IRMI_Participated
Assoc_INORMS_Member Assoc_INORMS_Participated
Assoc_Italy_Member Assoc_Italy_Participated
Assoc_NARMA_Member Assoc_NARMA_Participated
Assoc_NCURA_Member Assoc_NCURA_Participated
Assoc_NORDP_Member Assoc_NORDP_Participated
Assoc_PIC_Member Assoc_PIC_Participated
Assoc_PrU_Member Assoc_PrU_Participated
Assoc_RMANJ_Member Assoc_RMANJ_Participated
Assoc_SARIMA_Member Assoc_SARIMA_Participated
Assoc_SRAI_Member Assoc_SRAI_Participated
Assoc_SWARMA_Member Assoc_SWARMA_Participated
Assoc_WARIMA_Member Assoc_WARIMA_Participated
Assoc_None_Member Assoc_None_Participated
Assoc_Other_Member Assoc_Other_Participated
 -99 "No Response".
VARIABLE LEVEL
Assoc_ACU_Member Assoc_ACU_Participated
Assoc_ARMA_Member Assoc_ARMA_Participated
Assoc_ARMANL_Member Assoc_ARMANL_Participated
Assoc_ARMS_Member Assoc_ARMS_Participated
Assoc_AUA_Member Assoc_AUA_Participated
Assoc_AURAM_Member Assoc_AURAM_Participated
Assoc_AUTM_Member Assoc_AUTM_Participated
Assoc_BESTPRAC_Member Assoc_BESTPRAC_Participated
Assoc_BRAMA_Member Assoc_BRAMA_Participated
Assoc_CabRIMA_Member Assoc_CabRIMA_Participated
Assoc_CARA_Member Assoc_CARA_Participated
Assoc_CARIMA_Member Assoc_CARIMA_Participated
Assoc_CASSSP_Member Assoc_CASSSP_Participated
Assoc_CLASP_Member Assoc_CLASP_Participated
Assoc_COGR_Member Assoc_COGR_Participated
Assoc_DARMA_Member Assoc_DARMA_Participated
Assoc_EARIMA_Member Assoc_EARIMA_Participated
Assoc_EARMA_Member Assoc_EARMA_Participated
Assoc_FDP_Member Assoc_FDP_Participated
Assoc_FinnARMA_Member Assoc_FinnARMA_Participated
Assoc_GARMA_Member Assoc_GARMA_Participated
Assoc_IceARMA_Member Assoc_IceARMA_Participated
Assoc_IRMI_Member Assoc_IRMI_Participated
Assoc_INORMS_Member Assoc_INORMS_Participated
Assoc_Italy_Member Assoc_Italy_Participated
Assoc_NARMA_Member Assoc_NARMA_Participated
Assoc_NCURA_Member Assoc_NCURA_Participated
Assoc_NORDP_Member Assoc_NORDP_Participated
Assoc_PIC_Member Assoc_PIC_Participated
Assoc_PrU_Member Assoc_PrU_Participated
Assoc_RMANJ_Member Assoc_RMANJ_Participated
Assoc_SARIMA_Member Assoc_SARIMA_Participated
Assoc_SRAI_Member Assoc_SRAI_Participated
Assoc_SWARMA_Member Assoc_SWARMA_Participated
Assoc_WARIMA_Member Assoc_WARIMA_Participated
Assoc_None_Member Assoc_None_Participated
Assoc_Other_Member Assoc_Other_Participated
(NOMINAL).
EXECUTE.


* *** now country of employment and will also need to create AnalysisRegion of Employment to match RAAAP-1.
* *** ALTHOUGH the data checking should (must!) be done beforehand.
* *** so that if country is not given, but affiliation later is, eh UoKent, then we can backcode UK as CountryOfEmployment and hence AnalysisRegionOfEmployment
* *** CHECK *** all calculated fields need to be done after backcoding
* *** Checked 30/11/21 SRK - backcoding done before recoding and new variable creation.

* *** Also for the first XXX responses need to check Australia states as we had to change the questionnaire mid-flight to allow additoinal options that were missed off.
* *** for example ACT (Australian Capital Territory) was not included in the initial list. Lots of backcoding will be required.


* *** BACKCODING - based on Employer... if country is missing but an employer is provided then this can probably be back coded, maybe state too
* *** NOTE that other things could also be looked at - for example institution type, and character
* *** 1989 provided instition. Of those 5 selected other, 10 did not answer.
* *** All 10 can be backcoded based on institutoin name, 3 US ones can have states, and one UK one a nation.
* *** Note that two were from Gibralta - these a a British Overseas Territory, so coded as UK, but with no nation.
DO IF ANY(ResponseID,"CN50","CN74","CN96","CN98").
    COMPUTE CountryOfEmployment=103. /* China.
END IF.
IF ResponseID="R_1pxrVaIOFUgEUOm" CountryOfEmployment=241. /* Japan.
DO IF (ResponseID="R_10UWyI0aPZ3eKlS").
    COMPUTE CountryOfEmployment=501.
    COMPUTE StateOfEmployment=515. /* US, Indiana.
END IF.
IF ResponseID="R_1kUoksM5AYSQFfN" CountryOfEmployment=501. /* US (no state).
DO IF ANY(ResponseID,"R_3ltVlhM8mefwwzx","R_3ml2HNUI2sVhDPw").
    COMPUTE CountryOfEmployment=501.
    COMPUTE StateOfEmployment=506. /* US, California.
END IF.
DO IF (ResponseID="R_2AEdO39HDWY5yPI").
    COMPUTE CountryOfEmployment=499.
    COMPUTE StateOfEmployment=151. /* UK, England.
END IF.
* *** Australia - no missing states/territories.
* *** Canada - one missing province.
IF ResponseID="R_3kwghP1nX81ldwQ" ProvinceOfEmployment=2. /* BC.
* *** UK - no missing nations.
* *** US - three missing states.
IF ResponseID="R_2fwjy0EDiQnAU4n" StateOfEmployment=534. /* NC.
IF ResponseID="R_Q0rynSCm1OGL7FL" StateOfEmployment=510. /* FL.
IF ResponseID="R_1jV9T1O4c7PQRDs" StateOfEmployment=522. /* MA.

* *** backcoding done.

VARIABLE LABELS CountryOfEmployment "27. Country of Employment".
VARIABLE LEVEL CountryOfEmployment (NOMINAL).
MISSING VALUES CountryOfEmployment (-99).
ADD VALUE LABELS CountryOfEmployment -99 "No Response".
IF CountryOfEmployment=382 CountryOfEmployment=381. /* for some reason Poland was coded as 382 from Qualtrics rather than 381 as in RAAAP-1 - so change back for consistency.
ADD VALUE LABELS CountryOfEmployment 381 "Poland".
* also change some value labels to match RAAAP-1.
ADD VALUE LABELS CountryOfEmployment 215 "Hong Kong" 471 "Tanzania" 499 "United Kingdom" 501 "United States".

* ***.
* *** NEED to check for back coding and add these in here so that the three region variables that follow are correctly constructed.
* ***.

* *** now create ContinentOfEmployment, RegionOfEmployment and AnalysisRegionOfEmployment, to match RAAAP-1.

* *** add continent

COMPUTE ContinentOfEmployment = CountryOfEmployment.

ADD VALUE LABELS ContinentOfEmployment 1001 "Africa".
ADD VALUE LABELS ContinentOfEmployment 1002 "Asia".
ADD VALUE LABELS ContinentOfEmployment 1003 "Europe".
ADD VALUE LABELS ContinentOfEmployment 1004 "North America".
ADD VALUE LABELS ContinentOfEmployment 1005 "South America".
ADD VALUE LABELS ContinentOfEmployment 1006 "Oceania".
ADD VALUE LABELS ContinentOfEmployment 1007 "Antarctica".
ADD VALUE LABELS ContinentOfEmployment 1999 "OTHER".
if sysmis(ContinentOfEmployment) ContinentOfEmployment = -99.
MISSING VALUES ContinentOfEmployment (-99).
ADD VALUE LABELS ContinentOfEmployment -99 "No Response".

* *** These translations are taken from wikipedia, some seem strange eg Turkey counts as Asia... but OK.
* *** ALSO note that in general this turned out to not be so useful for analyses due to the distribution of data - AnalysisRegionOfEmployment is probably the best.

if ContinentOfEmployment = 7 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 31 ContinentOfEmployment = 1006.
if ContinentOfEmployment = 33 ContinentOfEmployment = 1003. /* there was no 35 in RAAAP-1, nor in RAAAP-2.... hmmm.
if ContinentOfEmployment = 35 ContinentOfEmployment = 1002.
if ContinentOfEmployment = 43 ContinentOfEmployment = 1004. /* 43 Barbados - new in RAAAP-2 data.
if ContinentOfEmployment = 47 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 61 ContinentOfEmployment = 1003. /* 61 Bosnia and Herzegovina - new in RAAAP-2 data.
if ContinentOfEmployment = 63 ContinentOfEmployment = 1001.
if ContinentOfEmployment = 65 ContinentOfEmployment = 1005.
if ContinentOfEmployment = 71 ContinentOfEmployment = 1003. /* 71 Bulgaria - new in RAAAP-2 data.
if ContinentOfEmployment = 81 ContinentOfEmployment = 1001.
if ContinentOfEmployment = 83 ContinentOfEmployment = 1004.
if ContinentOfEmployment = 101 ContinentOfEmployment = 1005.
if ContinentOfEmployment = 103 ContinentOfEmployment = 1002. /* 103 China - new in RAAAP-2 data.
if ContinentOfEmployment = 121 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 127 ContinentOfEmployment = 1002.
if ContinentOfEmployment = 133 ContinentOfEmployment = 1003. /* 133 Czech Republic - new in RAAAP-2 data.
if ContinentOfEmployment = 135 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 139 ContinentOfEmployment = 1004. /* 139 Dominica - new in RAAAP-2 data.
if ContinentOfEmployment = 151 ContinentOfEmployment = 1003. /* no 151 in RAAAP-2, nor RAAAP-1.
if ContinentOfEmployment = 153 ContinentOfEmployment = 1001. /* 153 Equitorial Guinea - new in RAAAP-2 .data.
if ContinentOfEmployment = 157 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 171 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 173 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 181 ContinentOfEmployment = 1001.
if ContinentOfEmployment = 185 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 187 ContinentOfEmployment = 1001.
if ContinentOfEmployment = 191 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 215 ContinentOfEmployment = 1002.
if ContinentOfEmployment = 217 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 219 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 221 ContinentOfEmployment = 1002. /* 221 India - new in RAAAP-2 data.
if ContinentOfEmployment = 223 ContinentOfEmployment = 1002. /* 223 Indonesia - in RAAAP-1 not in RAAAP-2 :-(.
if ContinentOfEmployment = 227 ContinentOfEmployment = 1002. /* 227 Iraq in RAAAP-1 not in RAAAP-2 :-(.
if ContinentOfEmployment = 229 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 233 ContinentOfEmployment = 1002. /* 233 Israel in RAAAP-1 not in RAAAP-2 :-(.
if ContinentOfEmployment = 235 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 239 ContinentOfEmployment = 1004.
if ContinentOfEmployment = 241 ContinentOfEmployment = 1002.
if ContinentOfEmployment = 247 ContinentOfEmployment = 1002. /* 247 Kazakhstan in 1 not in 2.
if ContinentOfEmployment = 249 ContinentOfEmployment = 1001. /* 249 Kenya in 1 not in 2.
if ContinentOfEmployment = 265 ContinentOfEmployment = 1003. /* 265 Latvia - new in RAAAP-2 data.
if ContinentOfEmployment = 271 ContinentOfEmployment = 1001. /* 271 Liberia - new in RAAAP-2 data.
if ContinentOfEmployment = 277 ContinentOfEmployment = 1003. /* 277 Lithuania - new in RAAAP-2 data.
if ContinentOfEmployment = 279 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 283 ContinentOfEmployment = 1003. /* 283 North Macedonia - new in RAAAP-2 data.
if ContinentOfEmployment = 287 ContinentOfEmployment = 1001.
if ContinentOfEmployment = 289 ContinentOfEmployment = 1002.
if ContinentOfEmployment = 295 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 307 ContinentOfEmployment = 1004.
if ContinentOfEmployment = 323 ContinentOfEmployment = 1001. /* 323 Morocco - new in RAAAP-2 data.
if ContinentOfEmployment = 325 ContinentOfEmployment = 1001.
if ContinentOfEmployment = 327 ContinentOfEmployment = 1001. /* 327 Namibia in 1 not in 2.
if ContinentOfEmployment = 333 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 339 ContinentOfEmployment = 1006.
if ContinentOfEmployment = 345 ContinentOfEmployment = 1001.
if ContinentOfEmployment = 353 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 357 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 375 ContinentOfEmployment = 1005. /* 375 Peru - new in RAAAP-2 data.
if ContinentOfEmployment = 381 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 383 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 385 ContinentOfEmployment = 1004. /* 385 Pueto Rico in 1 not 2.
if ContinentOfEmployment = 387 ContinentOfEmployment = 1002.
if ContinentOfEmployment = 395 ContinentOfEmployment = 1001.
if ContinentOfEmployment = 403 ContinentOfEmployment = 1002.
if ContinentOfEmployment = 405 ContinentOfEmployment = 1003. /* 405 not in 1 or 2.
if ContinentOfEmployment = 407 ContinentOfEmployment = 1001. /* 407 Senegal - new in RAAAP-2 data.
if ContinentOfEmployment = 409 ContinentOfEmployment = 1003. /* 409 Serbia - new in RAAAP-2 data.
if ContinentOfEmployment = 411 ContinentOfEmployment = 1004. /* 411 Seychelles - new in RAAAP-2 data.
if ContinentOfEmployment = 413 ContinentOfEmployment = 1001. /* 413 Sierra Leone in 1 not in 2.
if ContinentOfEmployment = 415 ContinentOfEmployment = 1002.
if ContinentOfEmployment = 419 ContinentOfEmployment = 1003. /* 419 Slovakia - new in RAAAP-2 data.
if ContinentOfEmployment = 421 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 425 ContinentOfEmployment = 1001. /* 425 Somalia - new in RAAAP-2 data.
if ContinentOfEmployment = 427 ContinentOfEmployment = 1001.
if ContinentOfEmployment = 435 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 443 ContinentOfEmployment = 1004. /* 443 Saint Kitts and Nevis - new in RAAAP-2 data.
if ContinentOfEmployment = 461 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 463 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 469 ContinentOfEmployment = 1002. /* 469 Tajikistan in 1 not in 2.
if ContinentOfEmployment = 471 ContinentOfEmployment = 1001.
if ContinentOfEmployment = 473 ContinentOfEmployment = 1002. /* 472 Thailand in 1 not in 2.
if ContinentOfEmployment = 485 ContinentOfEmployment = 1002. /* 285 Turkey in 1 not in 2
if ContinentOfEmployment = 493 ContinentOfEmployment = 1001.
if ContinentOfEmployment = 497 ContinentOfEmployment = 1002.
if ContinentOfEmployment = 499 ContinentOfEmployment = 1003.
if ContinentOfEmployment = 501 ContinentOfEmployment = 1004.
if ContinentOfEmployment = 552 ContinentOfEmployment = 1004. /* 552 not in 1 or 2.
if ContinentOfEmployment = 554 ContinentOfEmployment = 1005. /* 554 Uruguay - new in RAAAP-2 data.
if ContinentOfEmployment = 564 ContinentOfEmployment = 1002. /* 564 Viet Nam - new in RAAAP-2 data.
if ContinentOfEmployment = 566 ContinentOfEmployment = 1003. /* 566 not in 1 or 2.
if ContinentOfEmployment = 576 ContinentOfEmployment = 1001.
if ContinentOfEmployment = 999 ContinentOfEmployment = 1999. /* 999 is OTHER.

FORMATS ContinentOfEmployment(f8).
ADD VALUE LABELS ContinentOfEmployment -99 "No Response".
VARIABLE LABELS ContinentOfEmployment "27x. Continent of Employment".
VARIABLE LEVEL ContinentOfEmployment (NOMINAL).
execute.
* ***NOTE that there a 5 "OTHER" responses to Country... [999] these will pass through to ContinentOfEmployment.
* *** And to RegionOfEmployment and AnalysisRegionOfEmployment.

COMPUTE RegionOfEmployment = CountryOfEmployment.

ADD VALUE LABELS RegionOfEmployment 2001 "Africa".
ADD VALUE LABELS RegionOfEmployment 2002 "Americas (rest of)".
ADD VALUE LABELS RegionOfEmployment 2003 "Asia".
ADD VALUE LABELS RegionOfEmployment 2004 "Canada".
ADD VALUE LABELS RegionOfEmployment 2005 "Europe (rest of)".
ADD VALUE LABELS RegionOfEmployment 2006 "Oceania".
ADD VALUE LABELS RegionOfEmployment 2007 "Scandinavia".
ADD VALUE LABELS RegionOfEmployment 2008 "UK".
ADD VALUE LABELS RegionOfEmployment 2009 "USA".
ADD VALUE LABELS RegionOfEmployment 2999 "OTHER".
if sysmis(RegionOfEmployment) RegionOfEmployment = -99.
MISSING VALUES RegionOfEmployment (-99).
ADD VALUE LABELS RegionOfEmployment -99 "No Response".

if RegionOfEmployment = 7 RegionOfEmployment = 2005.
if RegionOfEmployment = 31 RegionOfEmployment = 2006.
if RegionOfEmployment = 33 RegionOfEmployment = 2005.
if RegionOfEmployment = 35 RegionOfEmployment = 2003.
if RegionOfEmployment = 43 RegionOfEmployment = 2002. /* 43 Barbados - new in RAAAP-2 data.
if RegionOfEmployment = 47 RegionOfEmployment = 2005.
if RegionOfEmployment = 61 RegionOfEmployment = 2005. /* 61 Bosnia and Herzegovina - new in RAAAP-2 data.
if RegionOfEmployment = 63 RegionOfEmployment = 2001.
if RegionOfEmployment = 65 RegionOfEmployment = 2002.
if RegionOfEmployment = 71 RegionOfEmployment = 2005. /* 71 Bulgaria - new in RAAAP-2 data.
if RegionOfEmployment = 81 RegionOfEmployment = 2001.
if RegionOfEmployment = 83 RegionOfEmployment = 2004.
if RegionOfEmployment = 101 RegionOfEmployment = 2002.
if RegionOfEmployment = 103 RegionOfEmployment = 2003. /* 103 China - new in RAAAP-2 data.
if RegionOfEmployment = 121 RegionOfEmployment = 2005.
if RegionOfEmployment = 127 RegionOfEmployment = 2005.
if RegionOfEmployment = 133 RegionOfEmployment = 2005. /* 133 Czech Republic - new in RAAAP-2 data.
if RegionOfEmployment = 135 RegionOfEmployment = 2007.
if RegionOfEmployment = 139 RegionOfEmployment = 2002. /* 139 Dominica - new in RAAAP-2 data.
if RegionOfEmployment = 151 RegionOfEmployment = 2008.
if RegionOfEmployment = 153 RegionOfEmployment = 2001. /* 153 Equitorial Guinea - new in RAAAP-2 data.
if RegionOfEmployment = 157 RegionOfEmployment = 2005.
if RegionOfEmployment = 171 RegionOfEmployment = 2007.
if RegionOfEmployment = 173 RegionOfEmployment = 2005.
if RegionOfEmployment = 181 RegionOfEmployment = 2001.
if RegionOfEmployment = 185 RegionOfEmployment = 2005.
if RegionOfEmployment = 187 RegionOfEmployment = 2001.
if RegionOfEmployment = 191 RegionOfEmployment = 2005.
if RegionOfEmployment = 215 RegionOfEmployment = 2003.
if RegionOfEmployment = 217 RegionOfEmployment = 2005.
if RegionOfEmployment = 219 RegionOfEmployment = 2007.
if RegionOfEmployment = 221 RegionOfEmployment = 2003. /* 221 India - new in RAAAP-2 data.
if RegionOfEmployment = 223 RegionOfEmployment = 2003.
if RegionOfEmployment = 227 RegionOfEmployment = 2003.
if RegionOfEmployment = 229 RegionOfEmployment = 2005.
if RegionOfEmployment = 233 RegionOfEmployment = 2003.
if RegionOfEmployment = 235 RegionOfEmployment = 2005.
if RegionOfEmployment = 239 RegionOfEmployment = 2002.
if RegionOfEmployment = 241 RegionOfEmployment = 2003.
if RegionOfEmployment = 247 RegionOfEmployment = 2003.
if RegionOfEmployment = 249 RegionOfEmployment = 2001.
if RegionOfEmployment = 265 RegionOfEmployment = 2005. /* 265 Latvia - new in RAAAP-2 data.
if RegionOfEmployment = 271 RegionOfEmployment = 2001. /* 271 Liberia - new in RAAAP-2 data.
if RegionOfEmployment = 277 RegionOfEmployment = 2005. /* 277 Lithuania - new in RAAAP-2 data.
if RegionOfEmployment = 279 RegionOfEmployment = 2005.
if RegionOfEmployment = 283 RegionOfEmployment = 2005. /* 283 North Macedonia - new in RAAAP-2 data.
if RegionOfEmployment = 287 RegionOfEmployment = 2001.
if RegionOfEmployment = 289 RegionOfEmployment = 2003.
if RegionOfEmployment = 295 RegionOfEmployment = 2005.
if RegionOfEmployment = 307 RegionOfEmployment = 2002.
if RegionOfEmployment = 323 RegionOfEmployment = 2001. /* 323 Morocco - new in RAAAP-2 data.
if RegionOfEmployment = 325 RegionOfEmployment = 2001.
if RegionOfEmployment = 327 RegionOfEmployment = 2001.
if RegionOfEmployment = 333 RegionOfEmployment = 2005.
if RegionOfEmployment = 339 RegionOfEmployment = 2006.
if RegionOfEmployment = 345 RegionOfEmployment = 2001.
if RegionOfEmployment = 353 RegionOfEmployment = 2008.
if RegionOfEmployment = 357 RegionOfEmployment = 2007.
if RegionOfEmployment = 375 RegionOfEmployment = 2002. /* 375 Peru - new in RAAAP-2 data.
if RegionOfEmployment = 381 RegionOfEmployment = 2005.
if RegionOfEmployment = 383 RegionOfEmployment = 2005.
if RegionOfEmployment = 385 RegionOfEmployment = 2002.
if RegionOfEmployment = 387 RegionOfEmployment = 2003.
if RegionOfEmployment = 395 RegionOfEmployment = 2001.
if RegionOfEmployment = 403 RegionOfEmployment = 2003.
if RegionOfEmployment = 405 RegionOfEmployment = 2008.
if RegionOfEmployment = 407 RegionOfEmployment = 2001. /* 407 Senegal - new in RAAAP-2 data.
if RegionOfEmployment = 409 RegionOfEmployment = 2005. /* 409 Serbia - new in RAAAP-2 data.
if RegionOfEmployment = 411 RegionOfEmployment = 2002. /* 411 Seychelles - new in RAAAP-2 data.
if RegionOfEmployment = 413 RegionOfEmployment = 2001.
if RegionOfEmployment = 415 RegionOfEmployment = 2003.
if RegionOfEmployment = 419 RegionOfEmployment = 2005. /* 419 Slovakia - new in RAAAP-2 data.
if RegionOfEmployment = 421 RegionOfEmployment = 2005.
if RegionOfEmployment = 425 RegionOfEmployment = 2001. /* 425 Somalia - new in RAAAP-2 data.
if RegionOfEmployment = 427 RegionOfEmployment = 2001.
if RegionOfEmployment = 435 RegionOfEmployment = 2005.
if RegionOfEmployment = 443 RegionOfEmployment = 2002. /* 443 Saint Kitts and Nevis - new in RAAAP-2 data.
if RegionOfEmployment = 461 RegionOfEmployment = 2007.
if RegionOfEmployment = 463 RegionOfEmployment = 2005.
if RegionOfEmployment = 469 RegionOfEmployment = 2003.
if RegionOfEmployment = 471 RegionOfEmployment = 2001.
if RegionOfEmployment = 473 RegionOfEmployment = 2003.
if RegionOfEmployment = 485 RegionOfEmployment = 2003.
if RegionOfEmployment = 493 RegionOfEmployment = 2001.
if RegionOfEmployment = 497 RegionOfEmployment = 2003.
if RegionOfEmployment = 499 RegionOfEmployment = 2008.
if RegionOfEmployment = 501 RegionOfEmployment = 2009.
if RegionOfEmployment = 552 RegionOfEmployment = 2009.
if RegionOfEmployment = 554 RegionOfEmployment = 2002. /* 554 Uruguay - new in RAAAP-2 data.
if RegionOfEmployment = 564 RegionOfEmployment = 2003. /* 564 Viet Nam - new in RAAAP-2 data.
if RegionOfEmployment = 566 RegionOfEmployment = 2008.
if RegionOfEmployment = 576 RegionOfEmployment = 2001.
if RegionOfEmployment = 999 RegionOfEmployment = 2999. /* 999 is OTHER.

FORMATS RegionOfEmployment(f8).
ADD VALUE LABELS RegionOfEmployment -99 "No Response".
VARIABLE LABELS RegionOfEmployment "27y. Region of Employment".
VARIABLE LEVEL RegionOfEmployment (NOMINAL).
execute.

* this is the geographic variable that has most been used for analysis in RAAAP-1.
COMPUTE AnalysisRegionOfEmployment = RegionOfEmployment.

ADD VALUE LABELS AnalysisRegionOfEmployment 3001 "Canada".
ADD VALUE LABELS AnalysisRegionOfEmployment 3002 "Europe (excl UK)".
ADD VALUE LABELS AnalysisRegionOfEmployment 3003 "Oceania".
ADD VALUE LABELS AnalysisRegionOfEmployment 3004 "Rest of World".
ADD VALUE LABELS AnalysisRegionOfEmployment 3005 "UK".
ADD VALUE LABELS AnalysisRegionOfEmployment 3006 "USA".
if sysmis(AnalysisRegionOfEmployment) AnalysisRegionOfEmployment = -99.
MISSING VALUES AnalysisRegionOfEmployment (-99).
ADD VALUE LABELS AnalysisRegionOfEmployment -99 "No Response".

if AnalysisRegionOfEmployment = 2001 AnalysisRegionOfEmployment = 3004.
if AnalysisRegionOfEmployment = 2002 AnalysisRegionOfEmployment = 3004.
if AnalysisRegionOfEmployment = 2003 AnalysisRegionOfEmployment = 3004.
if AnalysisRegionOfEmployment = 2004 AnalysisRegionOfEmployment = 3001.
if AnalysisRegionOfEmployment = 2005 AnalysisRegionOfEmployment = 3002.
if AnalysisRegionOfEmployment = 2006 AnalysisRegionOfEmployment = 3003.
if AnalysisRegionOfEmployment = 2007 AnalysisRegionOfEmployment = 3002.
if AnalysisRegionOfEmployment = 2008 AnalysisRegionOfEmployment = 3005.
if AnalysisRegionOfEmployment = 2009 AnalysisRegionOfEmployment = 3006.
IF AnalysisRegionOfEmployment = 2999 AnalysisRegionOfEmployment = -99.   /* 999 is OTHER.

FORMATS AnalysisRegionOfEmployment(f8).
ADD VALUE LABELS AnalysisRegionOfEmployment -99 "No Response".
VARIABLE LABELS AnalysisRegionOfEmployment "27z. Analysis Region of Employment".
VARIABLE LEVEL AnalysisRegionOfEmployment (NOMINAL).
execute.

* now the sub-regions for those associations that requested it - Australia, Canada, UK, US.
* Australia.
* *** NOTE that some were added, in-flight, after initial feedback.
* row 101 (how ironic!) has one of the added regions, so we need to maually check the first 100 entries.
* There are 2 rows where comments and/or selection of university means that the correct state/territory can be attributed
* There are a further 3 rows where none is selected... but also no country is selected so nothing can be gleaned.
* *** however there are another 3 (or 5 in the first 100 reponses) where "Prefer not to say" has been selected.
* *** The two gave an indictation of the state/territory in institution/comments; so it seems likely that these three are also form the "missing" areas. 
* *** so we cannot know which.
* *** hence Australian State/Territory should not be used as an input for sensitive statistical analyses.  

IF Q153="The Australian National University" AusStateOfEmployment=11. /* ACT.
IF Q153="University of Canberra" AusStateOfEmployment=11. /* ACT.
* IF Q153="Charles Darwin University" AusStateOfEmployment=13. /* NT. Actually, no, they selected SA, and CDU have a campus there so leave.
* These three potential and two actual changes checked with BW.

* *** there are many more institution checks that might be done to backcode InstitutionCharacter, InstitutionType,
* *** CountryofEmployment, AusStateOfEmployment/StateOfEmployment/ProvinceOfEmployment/NationOfEmployment.
* *** these were done in RAAAP-1.

VARIABLE LABELS AusStateOfEmployment "27a. Australian State of Employment".
MISSING VALUES AusStateOfEmployment (-99).
ADD VALUE LABELS AusStateOfEmployment -99 "No Response".
VARIABLE LEVEL AusStateOfEmployment (NOMINAL).
EXECUTE.

VARIABLE LABELS StateOfEmployment "27b. US State of Employment".
MISSING VALUES StateOfEmployment (-99).
ADD VALUE LABELS StateOfEmployment -99 "No Response".
VARIABLE LEVEL StateOfEmployment (NOMINAL).
* *** somehow one response has a US state of 151 - this is not a US state.  I don't know how it came to be in the dataset.
* *** the country is listed as UK. so the US state should be a missing value.
IF StateOfEmployment=151 StateOfEmployment=$SYSMIS.
EXECUTE.

VARIABLE LABELS ProvinceOfEmployment "27c. Canadian Province of Employment".
MISSING VALUES ProvinceOfEmployment (-99).
ADD VALUE LABELS ProvinceOfEmployment -99 "No Response".
VARIABLE LEVEL ProvinceOfEmployment (NOMINAL).
EXECUTE.

VARIABLE LABELS NationOfEmployment "27d. UK Nation of Employment".
MISSING VALUES NationOfEmployment (-99).
ADD VALUE LABELS NationOfEmployment -99 "No Response".
VARIABLE LEVEL NationOfEmployment (NOMINAL).
EXECUTE.

* AgeRange - same as in RAAAP-1. Except that it has been extended to include 65-74.
* So rename this to AgeRangeExtended, and recreate RAAAP-1 equivalend AgeRange.

RENAME VARIABLES AgeRange=AgeRangeExtended.
VARIABLE LABELS AgeRangeExtended "28. Age Range (extended)".
MISSING VALUES AgeRangeExtended (-99).
ADD VALUE LABELS AgeRangeExtended -99 "No Response".
VARIABLE LEVEL AgeRangeExtended (ORDINAL).
EXECUTE.

COMPUTE AgeRange=AgeRangeExtended.
VARIABLE LABELS AgeRange "28r1. Age Range".
MISSING VALUES AgeRange (-99).
VARIABLE LEVEL AgeRange (ORDINAL).
VALUE LABELS AgeRange 4 "24 and under" 5 "25-34" 6 "35-44" 7 "45-54" 8 "55-64" 9 "65 and over" 88 "Prefer not to provide" -99 "No Reponse".
IF AgeRange=10 AgeRange=9. 
* 65-75 --> 65 and over.
IF AgeRange=11 AgeRange=9.
* 75 and over --> 65 and over.
EXECUTE.

* Gender - same as in RAAAP-1. Except that it has been extended to include Non Binary.
* Assume that for RAAAP-1 any non-binary people would have selected "Prefer not to provide"; but could have been "No Response".
* in RAAAP-1 there were 35 Prefer not to provide and 14 No Response.
* also recode responses to match RAAAP-1.


RENAME VARIABLES Gender=GenderExtended.
VARIABLE LABELS GenderExtended "29. Gender (extended)".
RECODE GenderExtended (1=4) (2=5) (3=11).
MISSING VALUES GenderExtended (-99).
VALUE LABELS GenderExtended 4 "Male" 5 "Female" 11 "Non Binary" 88 "Prefer not to provide" -99 "No Response".
VARIABLE LEVEL GenderExtended (NOMINAL).
EXECUTE.

COMPUTE Gender=GenderExtended.
VARIABLE LABELS Gender "29r1. Gender".
MISSING VALUES Gender (-99).
VARIABLE LEVEL Gender (NOMINAL).
VALUE LABELS Gender 4 "Male" 5 "Female" 88 "Prefer not to provide" -99 "No Reponse".
IF Gender=11 Gender=88. 
* Non Binary --> Prefer not to provide, so allow comparisons with RAAAP-1.
EXECUTE.

* ***.
* *** NOW the totally new Impact section - the guest section for RAAAP-2.
* *** with thanks to the INORMS RISE working group, and in particular Julie Bayley, for these questions.
* ***.

VARIABLE LABELS IE_ImpactRelevant "30. Is Impact/Engagement relevent to you".
MISSING VALUES IE_ImpactRelevant (-99).
ADD VALUE LABELS IE_ImpactRelevant -99 "No Response".
VARIABLE LEVEL IE_ImpactRelevant (NOMINAL).
EXECUTE.

VARIABLE LABELS IE_SupportImpact "31a. I support impact in my role".
MISSING VALUES IE_SupportImpact (-99).
ADD VALUE LABELS IE_SupportImpact -99 "No Response".
VARIABLE LEVEL IE_SupportImpact (NOMINAL).
EXECUTE.
VARIABLE LABELS IE_UnderstandImpact "31b. I understand what impact is".
MISSING VALUES IE_UnderstandImpact (-99).
ADD VALUE LABELS IE_UnderstandImpact -99 "No Response".
VARIABLE LEVEL IE_UnderstandImpact (NOMINAL).
EXECUTE.
VARIABLE LABELS IE_ImpactStrategy "31c. My institution has an impact strategy".
MISSING VALUES IE_ImpactStrategy (-99).
ADD VALUE LABELS IE_ImpactStrategy -99 "No Response".
VARIABLE LEVEL IE_ImpactStrategy (NOMINAL).
EXECUTE.
VARIABLE LABELS IE_ImpactTraining "31d. I have access to impact training and development".
MISSING VALUES IE_ImpactTraining (-99).
ADD VALUE LABELS IE_ImpactTraining -99 "No Response".
VARIABLE LEVEL IE_ImpactTraining (NOMINAL).
EXECUTE.

VARIABLE LABELS IE_SupportEngagement "31e. I support engagement in my role".
MISSING VALUES IE_SupportEngagement (-99).
ADD VALUE LABELS IE_SupportEngagement -99 "No Response".
VARIABLE LEVEL IE_SupportEngagement (NOMINAL).
EXECUTE.
VARIABLE LABELS IE_UnderstandEngagement "31f. I understand what engagement is".
MISSING VALUES IE_UnderstandEngagement (-99).
ADD VALUE LABELS IE_UnderstandEngagement -99 "No Response".
VARIABLE LEVEL IE_UnderstandEngagement (NOMINAL).
EXECUTE.
VARIABLE LABELS IE_EngagementStrategy "31g. My institution has an engagement strategy".
MISSING VALUES IE_EngagementStrategy (-99).
ADD VALUE LABELS IE_EngagementStrategy -99 "No Response".
VARIABLE LEVEL IE_EngagementStrategy (NOMINAL).
EXECUTE.
VARIABLE LABELS IE_EngagementTraining "31h. I have access to engagement training and development".
MISSING VALUES IE_EngagementTraining (-99).
ADD VALUE LABELS IE_EngagementTraining -99 "No Response".
VARIABLE LEVEL IE_EngagementTraining (NOMINAL).
EXECUTE.

* IE_ImpactAtWorkDet.
* is a string, and may well end up in a separate datafile to protect anonymity.
VARIABLE LABELS IE_ImpactAtWorkDet "31o. Details of impact/engagement at work".
RECODE IE_ImpactAtWorkDet ("-99"="").
MISSING VALUES IE_ImpactAtWorkDet ("").
VALUE LABELS IE_ImpactAtWorkDet "" "No Response".
EXECUTE.

VARIABLE LABELS IE_ImpactInApplications "32a. National - level of impact in funding applications".
MISSING VALUES IE_ImpactInApplications (-99).
ADD VALUE LABELS IE_ImpactInApplications -99 "No Response".
VARIABLE LEVEL IE_ImpactInApplications (NOMINAL). /* is ORDINAL correct... for 1..4 it is I guess. But no I think it must be NOMINAL.
ADD VALUE LABELS IE_ImpactInApplications 1 "1 - low" 4 "4 - high". /* to aid readability.
EXECUTE.
VARIABLE LABELS IE_ImpactReporting "32b. National - level of impact in reporting".
MISSING VALUES IE_ImpactReporting (-99).
ADD VALUE LABELS IE_ImpactReporting -99 "No Response".
VARIABLE LEVEL IE_ImpactReporting (NOMINAL). /* is this correct... for 1..4 it is I guess.
ADD VALUE LABELS IE_ImpactReporting 1 "1 - low" 4 "4 - high". /* to aid readability.
EXECUTE.
VARIABLE LABELS IE_ImpactAssessment "32c. National - level of impact in assessment".
MISSING VALUES IE_ImpactAssessment (-99).
ADD VALUE LABELS IE_ImpactAssessment -99 "No Response".
VARIABLE LEVEL IE_ImpactAssessment (NOMINAL). /* is this correct... for 1..4 it is I guess.
ADD VALUE LABELS IE_ImpactAssessment 1 "1 - low" 4 "4 - high". /* to aid readability.
EXECUTE.
VARIABLE LABELS IE_ImpactMission "32d. Level of impact in institutional mission".
MISSING VALUES IE_ImpactMission (-99).
ADD VALUE LABELS IE_ImpactMission -99 "No Response".
VARIABLE LEVEL IE_ImpactMission (NOMINAL). /* is this correct... for 1..4 it is I guess.
ADD VALUE LABELS IE_ImpactMission 1 "1 - low" 4 "4 - high". /* to aid readability.
EXECUTE.
VARIABLE LABELS IE_ImpactOther "32e. Other impact requirements".
MISSING VALUES IE_ImpactOther (-99).
ADD VALUE LABELS IE_ImpactOther -99 "No Response".
VARIABLE LEVEL IE_ImpactOther (NOMINAL). /* is this correct... for 1..4 it is I guess.
ADD VALUE LABELS IE_ImpactOther 1 "1 - low" 4 "4 - high". /* to aid readability.
EXECUTE.

VARIABLE LABELS IE_EngagementInApplications "32f. National - level of engagement in funding applications".
MISSING VALUES IE_EngagementInApplications (-99).
ADD VALUE LABELS IE_EngagementInApplications -99 "No Response".
VARIABLE LEVEL IE_EngagementInApplications (NOMINAL). /* is this correct... for 1..4 it is I guess.
ADD VALUE LABELS IE_EngagementInApplications 1 "1 - low" 4 "4 - high". /* to aid readability.
EXECUTE.
RENAME VARIABLE IE_EngagementReports=IE_EngagementReporting.
VARIABLE LABELS IE_EngagementReporting "32g. National - level of engagement in reporting".
MISSING VALUES IE_EngagementReporting (-99).
ADD VALUE LABELS IE_EngagementReporting -99 "No Response".
VARIABLE LEVEL IE_EngagementReporting (NOMINAL). /* is this correct... for 1..4 it is I guess.
ADD VALUE LABELS IE_EngagementReporting 1 "1 - low" 4 "4 - high". /* to aid readability.
EXECUTE.
VARIABLE LABELS IE_EngagementAssessment "32h. National - level of engagement in assessment".
MISSING VALUES IE_EngagementAssessment (-99).
ADD VALUE LABELS IE_EngagementAssessment -99 "No Response".
VARIABLE LEVEL IE_EngagementAssessment (NOMINAL). /* is this correct... for 1..4 it is I guess.
ADD VALUE LABELS IE_EngagementAssessment 1 "1 - low" 4 "4 - high". /* to aid readability.
EXECUTE.
VARIABLE LABELS IE_EngagementMission "32i. Level of engagement in institutional mission".
MISSING VALUES IE_EngagementMission (-99).
ADD VALUE LABELS IE_EngagementMission -99 "No Response".
VARIABLE LEVEL IE_EngagementMission (NOMINAL). /* is this correct... for 1..4 it is I guess.
ADD VALUE LABELS IE_EngagementMission 1 "1 - low" 4 "4 - high". /* to aid readability.
EXECUTE.
VARIABLE LABELS IE_EngagementOther "32j. Other engagement requirements".
MISSING VALUES IE_EngagementOther (-99).
ADD VALUE LABELS IE_EngagementOther -99 "No Response".
VARIABLE LEVEL IE_EngagementOther (NOMINAL). /* is this correct... for 1..4 it is I guess.
ADD VALUE LABELS IE_EngagementOther 1 "1 - low" 4 "4 - high". /* to aid readability.
EXECUTE.

* IE_ImpactNationalOD.
* is a string, and may well end up in a separate datafile to protect anonymity.
VARIABLE LABELS IE_ImpactNationalOD "32ej. Details of impact/engagement at institition/nationally".
RECODE IE_ImpactNationalOD ("-99"="").
MISSING VALUES IE_ImpactNationalOD ("").
VALUE LABELS IE_ImpactNationalOD "" "No Response".
EXECUTE.

* now challenges for impact.
RENAME VARIABLES IE_ImpactChallenges_1=IE_Impact_NotJob.
VARIABLE LABELS IE_Impact_NotJob "33a. Impact - not part of job".
VALUE LABELS IE_Impact_NotJob 1 "Yes".
MISSING VALUES IE_Impact_NotJob (-99).
ADD VALUE LABELS IE_Impact_NotJob -99 "No Response".
VARIABLE LEVEL IE_Impact_NotJob (NOMINAL).
EXECUTE.
RENAME VARIABLES IE_ImpactChallenges_2=IE_Impact_LittleUnderstanding.
VARIABLE LABELS IE_Impact_LittleUnderstanding "33b. Impact - little understanding".
VALUE LABELS IE_Impact_LittleUnderstanding 1 "Yes".
MISSING VALUES IE_Impact_LittleUnderstanding (-99).
ADD VALUE LABELS IE_Impact_LittleUnderstanding -99 "No Response".
VARIABLE LEVEL IE_Impact_LittleUnderstanding (NOMINAL).
EXECUTE.
RENAME VARIABLES IE_ImpactChallenges_3=IE_Impact_SkillsNeeded.
VARIABLE LABELS IE_Impact_SkillsNeeded "33c. Impact - skills needed".
VALUE LABELS IE_Impact_SkillsNeeded 1 "Yes".
MISSING VALUES IE_Impact_SkillsNeeded (-99).
ADD VALUE LABELS IE_Impact_SkillsNeeded -99 "No Response".
VARIABLE LEVEL IE_Impact_SkillsNeeded (NOMINAL).
EXECUTE.
RENAME VARIABLES IE_ImpactChallenges_4=IE_Impact_NoExpectation.
VARIABLE LABELS IE_Impact_NoExpectation "33d. Impact - no expectation".
VALUE LABELS IE_Impact_NoExpectation 1 "Yes".
MISSING VALUES IE_Impact_NoExpectation (-99).
ADD VALUE LABELS IE_Impact_NoExpectation -99 "No Response".
VARIABLE LEVEL IE_Impact_NoExpectation (NOMINAL).
EXECUTE.
RENAME VARIABLES IE_ImpactChallenges_5=IE_Impact_LimitedResources.
VARIABLE LABELS IE_Impact_LimitedResources "33e. Impact - limited resources".
VALUE LABELS IE_Impact_LimitedResources 1 "Yes".
MISSING VALUES IE_Impact_LimitedResources (-99).
ADD VALUE LABELS IE_Impact_LimitedResources -99 "No Response".
VARIABLE LEVEL IE_Impact_LimitedResources (NOMINAL).
EXECUTE.
RENAME VARIABLES IE_ImpactChallenges_6=IE_Impact_OtherChallenge.
VARIABLE LABELS IE_Impact_OtherChallenge "33f. Impact - other challenge".
VALUE LABELS IE_Impact_OtherChallenge 1 "Yes".
MISSING VALUES IE_Impact_OtherChallenge (-99).
ADD VALUE LABELS IE_Impact_OtherChallenge -99 "No Response".
VARIABLE LEVEL IE_Impact_OtherChallenge (NOMINAL).
EXECUTE.

* IE_ImpactChallengeOD.
* is a string, and may well end up in a separate datafile to protect anonymity.
RENAME VARIABLES IE_ImpactChallengeOD=IE_Impact_OtherChallengeDet.
VARIABLE LABELS IE_Impact_OtherChallengeDet "33o. Details of other impact challenges".
RECODE IE_Impact_OtherChallengeDet ("-99"="").
MISSING VALUES IE_Impact_OtherChallengeDet ("").
VALUE LABELS IE_Impact_OtherChallengeDet "" "No Response".
EXECUTE.

* *** v14 (must have just copied the syntax from above variables in v13 - there are more value labels for these two variables.
*VARIABLE LABELS IE_AssociationImpact "34. Association - supports impact".
*VALUE LABELS IE_AssociationImpact 1 "Yes".
*MISSING VALUES IE_AssociationImpact (-99).
*ADD VALUE LABELS IE_AssociationImpact -99 "No Response".
*VARIABLE LEVEL IE_AssociationImpact (NOMINAL).
*EXECUTE.
*RENAME VARIABLES IE_AssociationEngage=IE_AssociationEngagement.
*VARIABLE LABELS IE_AssociationEngagement "35. Association - supports engagement".
*VALUE LABELS IE_AssociationEngagement 1 "Yes".
*MISSING VALUES IE_AssociationEngagement (-99).
*ADD VALUE LABELS IE_AssociationEngagement -99 "No Response".
*VARIABLE LEVEL IE_AssociationEngagement (NOMINAL).
*EXECUTE.
* *** these are the correct labels.
VARIABLE LABELS IE_AssociationImpact "34. Association - supports impact".
VALUE LABELS IE_AssociationImpact 1 "Yes - I'm involved".
ADD VALUE LABELS IE_AssociationImpact 2 "Yes - not involved".
ADD VALUE LABELS IE_AssociationImpact 3 "No - I'd like that".
ADD VALUE LABELS IE_AssociationImpact 4 "No - no need".
ADD VALUE LABELS IE_AssociationImpact 5 "Don't know".
MISSING VALUES IE_AssociationImpact (-99).
ADD VALUE LABELS IE_AssociationImpact -99 "No Response".
VARIABLE LEVEL IE_AssociationImpact (NOMINAL).
EXECUTE.
RENAME VARIABLES IE_AssociationEngage=IE_AssociationEngagement.
VARIABLE LABELS IE_AssociationEngagement "35. Association - supports engagement".
VALUE LABELS IE_AssociationEngagement 1 "Yes - I'm involved".
ADD VALUE LABELS IE_AssociationEngagement 2 "Yes - not involved".
ADD VALUE LABELS IE_AssociationEngagement 3 "No - I'd like that".
ADD VALUE LABELS IE_AssociationEngagement 4 "No - no need".
ADD VALUE LABELS IE_AssociationEngagement 5 "Don't know".
MISSING VALUES IE_AssociationEngagement (-99).
ADD VALUE LABELS IE_AssociationEngagement -99 "No Response".
VARIABLE LEVEL IE_AssociationEngagement (NOMINAL).
EXECUTE.

* IE_OtherDetails.
* is a string, and may well end up in a separate datafile to protect anonymity.
VARIABLE LABELS IE_OtherDetails "36. Other comments on impact and engagement".
RECODE IE_OtherDetails ("-99"="").
MISSING VALUES IE_OtherDetails ("").
VALUE LABELS IE_OtherDetails "" "No Response".
EXECUTE.

* now the final text boxes - direct match to RAAAP-1

VARIABLE LABELS AnyComments "37. Any Comments or Questions".
RECODE AnyComments ("-99"="") ("."="").
MISSING VALUES AnyComments ("").
VALUE LABELS AnyComments "" "No Response".
EXECUTE.

VARIABLE LABELS AnyIssues "38. Any Issues on the Survey".
RECODE AnyIssues ("-99"="") ("."="").
MISSING VALUES AnyIssues ("").
VALUE LABELS AnyIssues "" "No Response".
EXECUTE.

RENAME VARIABLES Q153=Employer.
VARIABLE LABELS Employer "39. Current Employer". /* NOTE that this will not be released as part of the anonymised datasets.
RECODE Employer ("-99"="") ("."="").
MISSING VALUES Employer ("").
VALUE LABELS Employer "" "No Response".
EXECUTE.
* *** a lots of backcoding done on Employer in RAAAP-1, should also do this for RAAAP-2.

* *** Qualtrics added some sentiment and a topic variable, these are sparsly populated and not obvious what they are correltated with, and so dropped.
DELETE VARIABLES Q209___Sentiment_Polarity Q209___Sentiment_Score Q209___Sentiment Q209___Topics.

* *** and that is it... all 299 raw variables have been processed and cleaned. Some dropped and some new ones computed.

* v6 starts here ***.
* Add a variable for YearsEmployed for Chinese Comparisons.  (there CN data had >=10 as the largest value).
RECODE YearsEmployed
    (0.0 = 0)
    (0.5 = 0.5)
    (1.0 = 1)
    (2.0 = 2)
    (3.0 = 3)
    (4.0 = 4)
    (5.0 = 5)
    (6.0 = 6)
    (7.0 = 7)
    (8.0 = 8)
    (9.0 = 9)
    (12.0,17.0, 22.0, 27.0, 28.0, 32.0, 37.0, 40.0 = 28)
    (-99=SYSMIS)
    (ELSE=Copy)
INTO YearsEmployedCNGrouped.
FORMATS YearsEmployedCNGrouped(f8).
ADD VALUE LABELS YearsEmployedCNGrouped 0 "Never" 0.5 "<1" 1 "1" 2 "2" 3 "3" 4 "4" 5 "5" 6 "6" 7 "7" 8 "8" 9 "9" 28 ">=10" -99 "No Response".
VARIABLE LABELS YearsEmployedCNGrouped "1b. Approx Years as a Research Administrator [CN]".
VARIABLE LEVEL YearsEmployedCNGrouped (ORDINAL).
EXECUTE.

DELETE VARIABLES RDP Pre Post Other.
* Those were Temp variable for doing Japanese area checking.
* *** 2/3/21 Need to double check the translations into groupings worked properly.

* *** backcodings... need to decide / agree which to do. [see Jan 2021 Advisory Group meeting]
* *** anonymisation... PAA has done a lot of preliminary work on this

* *** Based on PAA work anonymising, and some backcoding has been possible.

* *** ANONYMISATION ***.
* *** PAA has done a lot of work on this.

* *** CurrentRoleLevelDetails.
* all looks ok. One mentions 3MT but this is fairly ubquitous - so no need to edit

* *** CurrentEmploymentStatusDetails
* *** One issue related to naming of institution.
DO IF (ResponseID="R_22zgNZtSE0DAqUJ").
    COMPUTE CurrentEmploymentStatusDetails=CONCAT("I have served as president of a university for many years but was not totally involved in research management.  ",
    "Currently, I am serving as president of one of the leading community colleges in XXXX. We are working towards getting involved in research related activities soon.").
END IF.
EXECUTE.

* *** CurrentEmploymentTD.
* *** One issue related to naming of institution.
DO IF (ResponseID="R_22zgNZtSE0DAqUJ").
    COMPUTE CurrentEmploymentTypeDetails="I’m President of the XXXX Community College".
END IF.
EXECUTE.

* *** ResponsibilityForOD.
* *** Two issues related to naming of institution.
* *** Two mention UK specific initiatives - but there are sufficient UK responses for this to be OK.
DO IF (ResponseID="R_2rGxygDTE2vhUMV").
    COMPUTE WorksInOtherArea="Career Development coaching at XXXX.pt - the names (of who I assume to be consultants/ coaches) are listed on website".
END IF.
DO IF (ResponseID="R_1ooOauEiUmS4Wl7").
    COMPUTE WorksInOtherArea="Institutional Strategic Awards Office at XXXX University in XXXX, Canada, ".
END IF.
EXECUTE.

* *** JResponsibilityForOD.
* *** Two mention countries (Australia, Norway) - but there are sufficient  responses for this to be OK.

* *** JobDescriptionMatchD.
* *** Two mention countries (Holland, Portugal) - but there are sufficient  responses for this to be OK.

* *** SubjectAreasSupportO.
* No worrying text.

* *** EducationAlignImpD.
* *** Two mention countries (US, South Africa) - but there are sufficient  responses for this to be OK.

* *** InstitutionCharDet.
* *** six possible issues. four were OK.
IF ResponseID="R_2tKxtWUHKjUM1CJ" InstitutionCharDet="We are a small german university of applied sciences ... XXXX".
IF ResponseID="R_PXPD0UQ4jj9veWB" InstitutionCharDet="Private company owned by the XXXX University and teh City of XXXX for purpose of knowledge transfer and engagement with industry and wider society.".

* *** InstitutionTypeDet.
* *** six possible issues. two were OK.
IF ResponseID="R_VPwzDyK7fyqDW0h" InstitutionTypeDet="The University of XXXX is a regional University serving 16 countries in the Caribbean. It was .... There are XXXX landed campuses in XXXX and Satellite presence in other islands.".
IF ResponseID="R_3O8N8kjWWZtoLHg" InstitutionTypeDet="University of XXXX - it's complicated.  If pushed - public, but that doesn't tell the whole story".
IF ResponseID="R_V2n1PaLz8jgaglX" InstitutionTypeDet="XXXX Public Health Commission doing business as XXXX Health Alliance .which is a nonprofit hospital non 501c3 as well as a public entity.".
IF ResponseID="R_2P0aJ8cH75Vdl6u" InstitutionTypeDet="Canadian universities are all public. Wihtin U15, my university is XXXX".

* *** OrgDepartmentDetails.
* *** four possible issues.
IF ResponseID="R_yvGCWTI9QxTlEU9" OrgDepartmentDetails="University of XXXX Business School".
IF ResponseID="R_vrjdBWL6iI6W5fr" OrgDepartmentDetails="I work in the Research Directorate at XXXX University of Technology as Research Administrator".
IF ResponseID="R_3JJYXXkhmqaNHRv" OrgDepartmentDetails=CONCAT("I am situated at the department of Biomedical Engineering at the XXXX Netherlands. ",
    "But I am employed by a funding which includes XXXX (all in the Netherlands). So I am working at all these partners (traveling every week).").
IF ResponseID="R_2zo6Rmv1ckhEW3Y" OrgDepartmentDetails=CONCAT("National Institute For Science XXXX . Its not an Academic institute, ",
    "My institute mandate is to ensure the relevance of Science Technology and Innovation across all sectors and departments to improve the socio- economic development of XXXX.").

* *** NumRARolesDetails.
* *** 30 possible issues.
IF ResponseID="R_b9E2FPQRqmWISFr" NumRARolesDetails=CONCAT("Research Administrator (XXXX Health Research 18month contract)",
    "Research Administrator (Physics)",
    "Business Coordinator (Psychology)",
    "Research Funding Associate (Pre-Award for Natural and Mathematical Sciences)").
IF ResponseID="R_3kNzXO8xAcu2GNL" NumRARolesDetails=CONCAT("As an Associate Chief Lecturer in the Polytechnic and subsequently the Director, XXXX of the Polytechnic, ",
    "and the Chairman Institution Research Committee (IRC), I headed the Research Committee which is the clearing house of all research proposal and sourcing of research funding. this assignment has significantly ",
    "improved the quality of proposals submitted to funding agents like the Tetfund and National Research Fund. Appraisal of student research projects for sponsorship and projects for Science and Technology Exhibition.").
IF ResponseID="R_ALhv9lDl0w51Ic1" NumRARolesDetails=CONCAT("University of XXXX:",
    "Innovation Network Manager 2002- 2004",
    "Research Development Manager  2004-2008",
    "Bid SUpport Manager 2008-2013",
    "All effectively ht esame role but changed according to HEIF focus.",
    "XXXX University,", 
    "Research Development Manager, 2013-2016",
    "XXXX University, XXXX Research Centre",
    "Research Development Executive, 2016-Present.",
    "Effectively all these job title have covered the same role: Identification of opportunity, developmet of relationship with sponsors, support for proposals, initial project embedding, ",
    "skills development course content development and delivery, IP issues.").
IF ResponseID="R_24uxBM1as4gxvs7" NumRARolesDetails="Focal point of WAITRO at the University of XXXX".
IF ResponseID="R_BueYamPwoyjdpTz" NumRARolesDetails="Administrative Officer, XXXX University; Business and Operations Manager, XXXX University; Contracts & Grants Manager, XXXX".
IF ResponseID="R_2xM287Wqs3JI9iX" NumRARolesDetails="I worked as a Temp for XXXX University, XXXX  University, XXXX Hospital and XXXX as a full time perm.".
IF ResponseID="R_2VgtFOAOExOQHRY" NumRARolesDetails=CONCAT("I have previously in 3 universities in the UK (1. research support officer; 2 research manager; 3. Research manager). ",
    "Having escaped Brexit, I currently work as a research facilitator at the University of XXXX..").
IF ResponseID="R_3PAFujODPuwAZMO" NumRARolesDetails="7 years on ESRC funded project at XXXX;   ; 2 years on ESRC funded project at National Institute of XXXX".
IF ResponseID="R_3MGQNDH23dKufNO" NumRARolesDetails=CONCAT("I started as a Project Administrator for EU FP projects in a private consulting firm in France, then moved to a Consultant ",
    "senior position in that same company where I worked 7 years. I then took a Project Manager position in a WHO agency to manage international research projects where I worked 1 year 1/2, ",
    "before immigrating to Canada. Upon arrival in Canada, I had the opportunity to take a sabbatical replacement position in the central research services at XXXX university as a Senior grants officer ",
    "for one year in pre-award, then changed to a more senior position in the pre-award for 1 year 1/2, and have now been in charge of the post-award team for 2 years and 1/2.").
IF ResponseID="R_3IW6Vb5X8Y9fS1d" NumRARolesDetails=CONCAT("May 04-Mar 08: Grants manager; Instituto XXXX, Portugal; Responsible for the design and implementation of the pre-award ",
    "grant administration program in the Life Sciences at this biomedical research institute. Funded by IGC (8 months) and FCT Postdoctoral fellow on Promotion and Administration on Science and ",
    "Technology (36 months).; ; April 08-Mar 13: Head, Research Funding Affairs Unit /Grants Adviser; With XXXX position - Assistant Professor Level Position; Instituto XXXX, Portugal; Responsible for ",
    "coordination of the pre-award grant administration service, including the supervision of 1 team members. Funded by the prestigious Portuguese competitive program XXXX position (5-year contract ",
    "with an Assistant Professor Level Position).; ; April 2013-till today: Head, Research Funding Affairs Unit /Grants Advisor; Instituto XXXX, Portugal; XXXX is a non-profit private multi-cultural research ",
    "institute with the mission of promoting basic modern Life Science research & post-graduated education, hosting XXXX research groups working on different questions in basic biology. At the XXXX I ",
    "coordinate the pre-award grant administration service and a team of 1 to 2 persons (http://www.XXXX). The service aims to support researchers in assembling funding proposals to maximize the ",
    "available public & private funds from various national & international grant programs in the Life Science field. Understands different grant's policies and requirements, work in collaboration with ",
    "researchers, XXXX director`s, project managers, financial staff and contact with funding agencies.").
IF ResponseID="R_bCouvBfUQ6Ebxa9" NumRARolesDetails="National Institute for pharmaceutical research and development; University of XXXX Nigeria".
IF ResponseID="R_3DdsFXVCDLMmKXd" NumRARolesDetails=CONCAT("I am not counting my 5 years in technology transfer (XXXX). I have been a Subrecipient Support Manager, Assistant Director ",
    "of Sponsored Programs, Director of Sponsored Programs, Director of Academic Grants, Director of the Center for Research and Scholarship.").
IF ResponseID="R_2zo6Rmv1ckhEW3Y" NumRARolesDetails=CONCAT("Basically I am a research student when i was doing my Post graduation in Biotechnology (Stem cell research) for a year and ",
    "half and now aim working as a Principal research officer for technology department. at XXXX.").

* *** NumYearsWorkedAtDet
* **** 14 looked at, 10 anonymised.
IF ResponseID="R_3LipScrFfZa2tFV" NumYearsWorkedAtDet="I have work at both the University of XXXX and University of XXXX in research administration, since 1991.".
IF ResponseID="R_1ooo02gzo8vyv7R" NumYearsWorkedAtDet="8 yrs at the XXXX Trust as a grants Advisor; 6months at a University as a Research Development Advisor".
IF ResponseID="R_22zgNZtSE0DAqUJ" NumYearsWorkedAtDet="Served as President of the XXXX University for 19 years and now President of the XXXX in Western Liberia.".
IF ResponseID="R_Qh4KUmKvNlOR573" NumYearsWorkedAtDet="Usyd - research support in Library context 2 years, currently XXXX research support Research Office context".
IF ResponseID="R_32VEIwmnnK3zIsm" NumYearsWorkedAtDet="I began my carrier as Research funder at XXXX, India. Currently, I am working at XXXX, India".
IF ResponseID="R_3DdsFXVCDLMmKXd" NumYearsWorkedAtDet="Not counting 5 years in technology transfer (XXXX)".
IF ResponseID="R_2E13aW35uY385l0" NumYearsWorkedAtDet="I started working at XXXX a couple of years after I finished my degree, moved into RMA in 1992 and have been here ever since!".
IF ResponseID="R_3fTWlVE8041iA2L" NumYearsWorkedAtDet=CONCAT("I was a managing consultant for 13 years at one of the largest grants consultancies in Europe. I have been working for ",
    "years are separate from my time at the company (so no double counting).").
IF ResponseID="R_27QBdV8xXlfMnKi" NumYearsWorkedAtDet="The non-governmental organisation I mentioned above is called the XXXX, which is a national co-operative body XXXX in Finland.".
IF ResponseID="R_1LRTkQ7nHpJVADl" NumYearsWorkedAtDet="28 years at XXXX University, 1 year at XXXX University".

* *** FirstRoleLevelDet.
* *** 1 anonymised.
IF ResponseID="R_1PUzW5jERRCJCb2" FirstRoleLevelDetails="Special Assistant to NIH Director XXXX...so, mostly special projects in the Immediate Office of the Director.".

* *** JoinRAReasonDetails.
* *** 6 looked at, 2 anonymised.
IF ResponseID="R_2xM287Wqs3JI9iX" JoinRAMoreDetails="XXXX University was looking for Research Account Analysts.  I started as a temp and a year later got hired on.".
IF ResponseID="R_3qkvZGK8K6PIStI" JoinRAMoreDetails=CONCAT("post graduate fellowship at US Dept. of Energy in project management group.  Role was sponsor and ",
    "project monitoring.  Led to position at XXXX University where I was hired to be the project manager for a research center. With departure of accountant I was given that role as ",
    "well for proposal and post-award activities.  I found I was good at cradle to grave administration and enjoyed it.").

* *** JoinRAOtherDetails.
* *** 24 looked at, 10 anonymised.
IF ResponseID="R_2rGxygDTE2vhUMV" JoinRAMoreDetails=CONCAT("During my postdoc in USA (5 years) I completed many career development/mentoring programs, scientific ",
    "writing and scientific teaching trainings and since in my country these courses were not 'abundant' in our Universities I decided to bring these know how to Portugal. At the time ",
    "there was no space as a trainer/consultant inside Universities/Research Institutes that is why i decided to build my own project www.XXXX").
IF ResponseID="R_1ooo02gzo8vyv7R" JoinRAMoreDetails="XXXX had an excellent reputation and I wanted to work somewhere I felt I was doing something worthwhile".
IF ResponseID="R_1d7b4MWgA1yq0Bd" JoinRAMoreDetails=CONCAT("After I finished my PhD I worked for the Portuguese XXXX. At that time I was hired to support the management ",
    "of an ERA-NET and so I had the opportunity to work with many research managers/administrators from different European countries.").
IF ResponseID="R_3sgBMS7ampfrkSg" JoinRAMoreDetails=CONCAT("I started my career in federal grants administration (US Dept XXXX) for XXXX programs in New York and Iowa. I thought ",
    "research administration might align well with my interest in grants and grant administration. The opportunities that are available in this field are not very plentiful where I live as opposed to other areas of the country, however.").
IF ResponseID="R_3qkvZGK8K6PIStI" JoinRAMoreDetails=CONCAT("Chosen profession (Geology) had few jobs in the early 1980s.  Fellowship at US Dept. of XXXX was opportunity for employment and experience hoping to stay in ",
    "research or other technical role.  My career path veered toward research administration and here I am.").
IF ResponseID="R_2zInQrb1cxbDlia" JoinRAMoreDetails=CONCAT("I began my career as an attorney, and I wanted to build on this to better understand my clients needs, as most of my clients were from disadvantage or marginalized ",
    "communities. Therefore, I decided to  pursue my passion for social justice. As a result, I applied for a position in higher education in the department of community engagement and development, which was a programme out of the ",
    "Pro-Vice Chancellor's office at XXXX. After 4 years of working in community engagement and development, I then decided to apply for a position in research management where I felt I would receive the training, skills and knowledge to ",
    "write policy and procedure, so that I may contribute towards my next job, which should be policy and procedure writing to improve the lives for all those living in South Africa. This was my intention of why I choose to work in research ",
    "administration. Currently, I provide the necessary research support by engaging with and develop administrative staff researchers to improve, not only their lives through self development, but also the administrative systems within higher ",
    "education.").
IF ResponseID="R_3DdsFXVCDLMmKXd" JoinRAMoreDetails=CONCAT("I arrived via the library system at XXXX. I worked at the reference desk (biblio research support), then went freelance as information specialist working for a technical ",
    "information center, acquiring financial management and computer skills. This led to a role technology transfer back at XXXX (end of the research pipeline) then to research administration (beginning of the research pipeline).").
IF ResponseID="R_2E13aW35uY385l0" JoinRAMoreDetails=CONCAT("I was working in the XXXX registry (records management and mail services) and the Academic Registrar and Directorate decided XXXX must have a Higher Degrees Unit ",
    "when the XXXX changed from a technical college to an accredited university in XXXX.  Also the research student cohort which had been tiny until then was planned to increase due to our new university status. I was moved from the registry to ",
    "the newly formed Higher Degrees Unit and given the role of administering our Commonwealth Government funded research scholarships.").
IF ResponseID="R_prtmmQjOCcxil2h" JoinRAMoreDetails="I wanted to work for XXXX as I had experienced it before and was very happy there. It was the best place to continue doing some research even though it was not part of my job description".
IF ResponseID="R_1PbmVRoAiXbRYYH" JoinRAMoreDetails="To move back to Finland and its the only XXXX university and ... [deleted].".

* *** StayRAOtherDetails.
* *** 9 looked at, none anonymised.

* *** HighestQualOtherD.
* *** 9 looked at, none anonymised.

* *** PQ_OtherDetails.
* *** 21 looked at, 1 anonymised.
IF ResponseID="R_2uI0IHPaWUZ2u2E" JoinRAMoreDetails="Research professor for XXXX".

* *** ProfessionalQualValD.
* *** 28 looked at, none anonymised.

* *** PD_OtherDetails.
* *** 16 looked at, two anonymised.
IF ResponseID="R_2tKKSrGs7YHZ92f" PD_OtherDetails="Have attend and volunteered with SRA International for years. Currently serve as a Chapter XXXX.".
IF ResponseID="R_3IW6Vb5X8Y9fS1d" PD_OtherDetails=CONCAT("I attended several workshops on specific funding agencies or Programmes, also several 'exchange of best practices' and final I did in 2010 a Pilot Exchange XXXX of 2 ",
    "weeks at the International Research Management Fellowships Programme Office of Sponsored Research and Program, XXXX, USA. All this experience were very useful to understand 'the world of competitive funding'",
    " and to implement improvement of best practices according to our current resources.").
* *** note that there are two responses in Chinese - these do not look to be problematic.

* *** AnyComments
* *** Three looked at, 1 anonymised.  Note that two mention the PIs - but there is no risk to anonymity I think.
IF ResponseID="R_1rvsT8pGYwSL6eh" AnyComments="I would love to receive feedback on the outcome of the survey - my email address is XXXX".

* *** AnyIssues
* *** 1 looked at, 1 anonymised.  .
IF ResponseID="R_2Y8FSIQDWPiOB83" AnyIssues="Someone help me form Research management national board in Zimbabwe; Contact XXXX".

* *** Employer
* *** NOTE that these data will not be released anyway - used only for backcoding
* *** 15 looked at - 11 to be anonymised. BUT that is not done here as then anyone looking at this file could see those data.

* *** For where Employer is given by InstitutionCharacter is missing
* *** 5 entries, 4 can be back coded.
IF ResponseID="R_1erPpQN318XNVyL" InstitutionCharacter2=8. /* PUI.
IF ResponseID="R_24ueYqgZtLJsryS" InstitutionCharacter2=14. /* Hospital.
IF ResponseID="R_3kFmGcayzjDH7a1" InstitutionCharacter2=11. /* Research Institute.
IF ResponseID="R_qygQNxEPSUXoqRP" InstitutionCharacter2=11. /* Research Institute.

* *** For where Employer is given by InstitutionType is missing
* *** 0 entries.

* *** RAAAP-1 cleans up Employer into a new variable EmployerCleaned.  *** However these data are not released, and so for RAAAP-2 we can skip this (at least for now).

* *** Look at "other" associations... and backcode for them [this was done in RAAAP-1] and add new variables for where >~5 instances
* *** So we will add GPA [Grant Professionals Association], NACUBO [National Association of College and University Business Officers], NCMA [National Contract Management Association], NWM [Netzwerk Wissenschaftsmanagement], 
* *** PRIMR [Public Responsibility in Medicine & Research], SOCRA [Society of Clinical Research Associates], and URONZ [University Research Offices New Zealand]
* *** NOTE that maybe we could add MyRMA [Malaysia Association of Research Managers & Administrators] - but there was only one signalled...
* *** altogether 119 of the 417 responses warranted further attention.
* *** NOTE however that there are some subtleties.  There is an Assoc_None_Member - asserting no membership of the above - if we back code one in we should change this.
* *** ALSO note that Assoc_None_Participated will also need to be checked
* *** SAME for Assoc_Other_*  - if we change out the only info that related

COMPUTE Assoc_GPA_Member = -99.
COMPUTE Assoc_NACUBO_Member = -99.
COMPUTE Assoc_NCMA_Member = -99.
COMPUTE Assoc_NWM_Member = -99.
COMPUTE Assoc_PRIMR_Member = -99.
COMPUTE Assoc_PRIMR_Participated = -99. /* is this needed?.
* *** PRIMR was identified in RAAAP-1 so add these back in.  Now create the new ones.  But just "Member of" I think.  ADDED - there is one "PRIMR_participated"!.
COMPUTE Assoc_SOCRA_Member = -99.
COMPUTE Assoc_URONZ_Member = -99.
VARIABLE LABELS Assoc_PRIMR_Member "26bem. Member of PRIM&R (USA)".
VARIABLE LABELS Assoc_PRIMR_Participated "26bep. Participated in PRIM&R (USA)".
VARIABLE LABELS Assoc_GPA_Member "26bam. Member of GPA (USA)".
VARIABLE LABELS Assoc_NACUBO_Member "26bbm. Member of NACUBO (USA)".
VARIABLE LABELS Assoc_NCMA_Member "26bcm. Member of NCMA (USA)".
VARIABLE LABELS Assoc_NWM_Member "26bdm. Member of NWM (Germany)".
VARIABLE LABELS Assoc_SOCRA_Member "26bfm. Member of SOCRA (USA)".
VARIABLE LABELS Assoc_URONZ_Member "26bgm. Member of URONZ (NZ)".
MISSING VALUES Assoc_PRIMR_Member Assoc_PRIMR_Participated Assoc_GPA_Member Assoc_NACUBO_Member Assoc_NCMA_Member Assoc_NWM_Member
Assoc_SOCRA_Member Assoc_URONZ_Member (-99).
VALUE LABELS Assoc_PRIMR_Member Assoc_PRIMR_Participated Assoc_GPA_Member Assoc_NACUBO_Member Assoc_NCMA_Member Assoc_NWM_Member
Assoc_SOCRA_Member Assoc_URONZ_Member 1 "Yes" -99 "No Response".
VARIABLE LEVEL Assoc_PRIMR_Member Assoc_PRIMR_Participated Assoc_GPA_Member Assoc_NACUBO_Member Assoc_NCMA_Member Assoc_NWM_Member
Assoc_SOCRA_Member Assoc_URONZ_Member (NOMINAL).
FORMATS Assoc_PRIMR_Member to Assoc_URONZ_Member (f8).
EXECUTE.
* *** SHOULD these also have variables for Participated... eg Assoc_GPA_Participated - even though they will have no data?  Can be added after if wanted!?.

IF Assoc_OtherDetails="AUA" Assoc_AUA_Member=1.
IF Assoc_OtherDetails="AUA" Assoc_OtherDetails="".
EXECUTE.

IF ResponseID = "R_10Ui4ujB3rfPjrV" AND Assoc_OtherDetails="AUTM" Assoc_AUTM_Member=1.
IF ResponseID = "R_10Ui4ujB3rfPjrV" AND Assoc_OtherDetails="AUTM" Assoc_OtherDetails="".
EXECUTE.
IF ResponseID = "R_1FCyrQCIL9sXlDL" AND Assoc_OtherDetails="AUTM" Assoc_AUTM_Participated=1.
IF ResponseID = "R_1FCyrQCIL9sXlDL" AND Assoc_OtherDetails="AUTM" Assoc_Other_Participated=-99.
IF ResponseID = "R_1FCyrQCIL9sXlDL" AND Assoc_OtherDetails="AUTM" Assoc_OtherDetails="".
EXECUTE.
IF ResponseID = "R_1oo7Dci1VVD2aKZ" AND Assoc_OtherDetails="AUTM, at one point AAMC and ASPH" Assoc_AUTM_Member=1.
IF ResponseID = "R_1oo7Dci1VVD2aKZ" AND Assoc_OtherDetails="AUTM" Assoc_OtherDetails="at one point AAMC and ASPH".
EXECUTE.

DO IF ResponseID = "R_zd6Kwfe8UzVWkvL" AND Assoc_OtherDetails="BRAMA - Brazil".
    COMPUTE Assoc_BRAMA_Member=1.
    COMPUTE Assoc_Other_Member=-99.
    COMPUTE Assoc_OtherDetails="".
END IF.
EXECUTE.

DO IF ResponseID = "R_vehs0CYb6Qqp9kd" AND Assoc_OtherDetails="CLASP" .
    COMPUTE Assoc_CLASP_Member=1.
    COMPUTE Assoc_Other_Member=-99.
    COMPUTE Assoc_OtherDetails="".
END IF.
EXECUTE.

DO IF ResponseID = "R_3HSQmSrUWQL9Y4q" AND Assoc_OtherDetails="COGR, APLU" .
    COMPUTE Assoc_COGR_Member=1.
    COMPUTE Assoc_OtherDetails="APLU".
END IF.
EXECUTE.

DO IF ResponseID = "R_pxtBbQoImrAV9Yt".
    COMPUTE Assoc_CLASP_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.
EXECUTE.

DO IF ResponseID = "R_V27QjxhWWjWZtJL".
    COMPUTE Assoc_EARMA_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.
EXECUTE.

DO IF ResponseID = "R_2BxkoYOG4Q9I7hb".
    COMPUTE Assoc_BESTPRAC_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.
EXECUTE.

DO IF ANY(ResponseID, "R_29jpfu0CkB4i6UV", "R_1nZNg0WXY2LUQmm", "R_vJiAHzpWxq1X0tz", "R_1kSVJW6MoDef8t5", "R_31FQcbx5I6h1IPz", "R_3PLX8XBWIYSMgky", "R_2wFRQerr5KrNh3l",
"R_3kyT2kMLZm1DzqM", "R_C78RtzMPLb4Ysff", "R_2QAnSZdINdskCEm", "R_1dae0fMH8hHtD1g", "R_1NtduExSguhX1Kr", "R_3EL9HBiaUPWhNos").
    COMPUTE Assoc_GPA_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.
EXECUTE.
DO IF ResponseID = "R_2bIfuk6xgk5opap"  AND Assoc_OtherDetails="GPA (Grant Professionals Association); AACR (American Association for Cancer Research)" .
    COMPUTE Assoc_GPA_Member=1.
    COMPUTE Assoc_OtherDetails="AACR (American Association for Cancer Research)".
END IF.
EXECUTE.
DO IF ResponseID = "R_UtGb23i5j0oldS1"  AND Assoc_OtherDetails="GPA; NGMA; NCMA" .
    COMPUTE Assoc_GPA_Member=1.
    COMPUTE Assoc_NCMA_Member=1.
    COMPUTE Assoc_OtherDetails="NGMA". /* there are I think 5x NGMA... could create a variable for that?.
END IF.
EXECUTE.
DO IF ResponseID = "R_3MbWJxqP1SVlPAK"  AND Assoc_OtherDetails="GPC;NGMA;AUTM" .
    COMPUTE Assoc_AUTM_Member=1.
    COMPUTE Assoc_OtherDetails="GPC;NGMA". /* there are I think 5x NGMA... could create a variable for that?.
END IF.
EXECUTE.
DO IF ResponseID = "R_r8yEOaSkV2q4Ipz"  AND Assoc_OtherDetails="Grant Professionals Association, IEEE" .
    COMPUTE Assoc_GPA_Member=1.
    COMPUTE Assoc_OtherDetails="IEEE".
END IF.
EXECUTE.
DO IF ResponseID = "R_11X96FzXY7VeTZM"  AND Assoc_OtherDetails="HCCA, ACFE, GPA" .
    COMPUTE Assoc_GPA_Member=1.
    COMPUTE Assoc_OtherDetails="HCCA, ACFE".
END IF.
EXECUTE.

DO IF ResponseID = "R_2QMNmc9oT3zaXjX"  AND Assoc_OtherDetails="I am also member of PraxisAuril" .
    COMPUTE Assoc_PrU_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.
EXECUTE.

DO IF ResponseID = "R_32VEIwmnnK3zIsm"  OR ResponseID = "R_3KUTDku5Aq8g2rP" .
    COMPUTE Assoc_IRMI_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.
EXECUTE.

DO IF ResponseID = "R_sLHDVp0WRJEVSWB"  AND Assoc_OtherDetails="I was a founder member of PIC" .
    COMPUTE Assoc_PIC_Member=1.
    COMPUTE Assoc_OtherDetails="". /* for anonymisation.
END IF.
EXECUTE.

DO IF ResponseID = "R_3Gp7IYtRGpVitJC".
    COMPUTE Assoc_ARMANL_Member=1.
    COMPUTE Assoc_EARMA_Member=1.
    COMPUTE Assoc_INORMS_Member=1.
    COMPUTE Assoc_OtherDetails="". /* for anonymisation.
END IF.
EXECUTE.

DO IF ResponseID = "R_tGaBwRhKWavF59T".
    COMPUTE Assoc_ARMANL_Member=1.
    COMPUTE Assoc_OtherDetails="". /* for anonymisation.
END IF.
EXECUTE.

DO IF ResponseID = "R_3sbmVQW7OVdk4MR"  AND Assoc_OtherDetails = "Member (AUTM) Association of University Technology Managers, Partcipant (UIDP) University-Industry Partnership".
    COMPUTE Assoc_AUTM_Member=1.
    COMPUTE Assoc_OtherDetails="Partcipant (UIDP) University-Industry Partnership".
END IF.
EXECUTE.

DO IF ANY(ResponseID, "R_1FqZ08cnrqetosD", "R_3qdhyhokSHsUzl9", "R_esbn2ggzVy56IW5", "R_2Vr6tm1yt3JmsBQ", "R_3r2lYIY0hDXeqOf", "R_3CTUXtbrMsdqprI", "R_3PdBOqUJXiyAWRi", "R_3nl88uAJUIwuDcL").
    COMPUTE Assoc_NACUBO_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.
IF ResponseID ="R_3PdBOqUJXiyAWRi" Assoc_OtherDetails="AAMC Member".
IF ResponseID ="R_3nl88uAJUIwuDcL" Assoc_OtherDetails="PABUG,".

DO IF ResponseID = "R_1oaR147YXJ1AboL".
    COMPUTE Assoc_NARMA_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.
EXECUTE.

DO IF ANY(ResponseID,"R_2D0GV2RqGSXD2IK", "R_2uZLeAtWMx6tHB7", "R_3ekP3DX9ErAApPV", "R_xD8uVxsaMP8kSNH", "R_0UL04RRtelvcj4J", "R_2lO17GvpjYLMFTX").
    COMPUTE Assoc_NCMA_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.

DO IF ANY(ResponseID,"R_1mOvdK2OekdlKXt", "R_2R37wjkZ9jCH3Nq").
    COMPUTE Assoc_NCURA_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.

DO IF ANY(ResponseID,"R_YS9ywDOouGGCLoB", "R_12b5uYw7HffomR1", "R_3DUzspy4N7tPi6d", "R_oZ8PuWubJuxSKSR", "R_1MYeO45HDNYjC6t", "R_1mVDEEgW4pozDCH").
    COMPUTE Assoc_NWM_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.

DO IF ANY(ResponseID,"R_wQMfBiK9Me0F4fT", "R_29cscVOCAJ7uulQ", "R_12Lw4fXAsjySlN").
    COMPUTE Assoc_NORDP_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.

DO IF ANY(ResponseID,"R_2QAprIqLk9ED2oX", "R_3iqejeMYOfs7Z42", "R_1eQdeanKImtYF4N", "R_2D8pxSIKp3D6oSD", "R_UxZj1YoXwXEWNfH", "R_6KHZ072ArepcfAZ", "R_2EnJs375wgnNKai",
"R_1i2u4rIIUxhlKA7", "R_Zsdzc3XqmX1imPf", "R_1LA1F5KqSSdnMkK", "R_3Estw6BBokpvmLi", "R_2rkjik5j5ty59Ih", "R_3F38ujG80ti2yuA", "R_27JMAL5mq5U9P1B", "R_124OU3Skv0IjJot",
"R_9uDITlYEOpl4uXf", "R_1revBp25J9uSAye", "R_25ABTDSOQY157l8", "R_295n1q8mzJ0dJpw", "R_2CIWLprV9rBDUYt", "R_3g6hTRtPClyzxMm", "R_2uWN4Fs3obOpPNp", "R_25MHZhI0iqyWRX9",
"R_2sd1x548PrZo0Nu", "R_1l3lvs4iTFLlgEk", "R_ut5xn388bjSSHrr", "R_2rkHrmb2se2CA6Q").
    COMPUTE Assoc_PRIMR_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.
DO IF ANY(ResponseID,"R_124OU3Skv0IjJot", "R_9uDITlYEOpl4uXf").
    COMPUTE Assoc_OtherDetails="AIRI".
END IF.
IF ResponseID ="R_1revBp25J9uSAye" Assoc_OtherDetails="Biosafety Administrators Association".
IF ResponseID ="R_25ABTDSOQY157l8" Assoc_OtherDetails="OHRP".
IF ResponseID ="R_2sd1x548PrZo0Nu" Assoc_OtherDetails="APPE".
IF ResponseID ="R_ut5xn388bjSSHrr" Assoc_OtherDetails="American Osteopathic Association, American Physiological Society".

DO IF ANY(ResponseID,"R_BOZwqm5cu6Gyk37", "R_1rvsT8pGYwSL6eh").
    COMPUTE Assoc_SARIMA_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.

DO IF ANY(ResponseID,"R_21cg6bGcP3hC0le","R_tM4qqH7sih8IiHL","R_31FXp4EirOXCIEc").
    COMPUTE Assoc_SRAI_Member=1.
    COMPUTE Assoc_OtherDetails="". /* anon.
END IF.

DO IF ANY(ResponseID,"R_1k1x5Ep2eCAsKVl", "R_ZaC03d6SsTdMcA9", "R_2co8vZ1Wiud4rcg", "R_1dNvmRSpf7H5OFx", "R_3JwqHxEVGWgWGRn", "R_2wFtvgpiHskB0Q1", "R_3PAf9W4wX95kcKn", "R_O8NwraVAHevnos1", "R_eba2BnF9LM1OWE9", "R_22F9hu6O1NKmzYO").
    COMPUTE Assoc_SOCRA_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.
IF ResponseID ="R_O8NwraVAHevnos1" Assoc_OtherDetails="MAGI".
IF ResponseID ="R_eba2BnF9LM1OWE9" Assoc_OtherDetails="ACRP".
IF ResponseID ="R_22F9hu6O1NKmzYO" Assoc_OtherDetails="ACRP".

DO IF ANY(ResponseID,"R_Wdls9zMWyhRysX7").
    COMPUTE Assoc_SWARMA_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.

DO IF ANY(ResponseID,"R_1nPAH4PDUDcaY4C", "R_3s7ITtQIIF6kwOb", "R_2saQf1tiKSuII9c", "R_DdVX300RDSr71Pb", "R_esXM2uea4QWKUAp", "R_1LOlQLa692DgkN4").
    COMPUTE Assoc_URONZ_Member=1.
    COMPUTE Assoc_OtherDetails="".
END IF.
IF ResponseID ="R_22F9hu6O1NKmzYO" Assoc_ARMS_Member=1.

DO IF ANY(ResponseID,"R_2xPC4kBekB64qSL").
    COMPUTE Assoc_PrU_Member=1.
    COMPUTE Assoc_OtherDetails="Vitae, NCCPE".
END IF.

IF ResponseID ="R_QmOxIoy4QNim97X" Assoc_EARMA_Participated=1.
IF ResponseID ="R_2dFqJK7tBTOof9S" Assoc_ACU_Member=1.
IF ResponseID ="R_3k5EITemlS0cLa8" Assoc_PRIMR_Participated=1.

IF ResponseID ="R_xneSaboheeJnXWh" Assoc_OtherDetails="University of XXXX - Portugal".

* ***.
* Backcode InstitutionTypeDetails (as was done in RAAAP-1). Approx 20 changes made.
* *** RAAAP-2, 75 to check, 43 changes to make.
DO IF ANY(ResponseID,"R_2TAY0rGBI8WndYY", "R_3RsfVin2diod9m2", "R_a94wbTv1orTBfvX", "R_2DZe5qudIz5OneQ", "R_3PAFujODPuwAZMO", "R_DnLpqEtR2dGnDuV",
"R_1kOKWrDVpP6dUIJ", "R_2rA4e5asAnel26V", "R_2fcZ2ndZFJGI7j0", "R_Xj3qjTe1LhKSnvP", "R_uy4s5qG1pAxvLGx", "R_12GxDFrmPhLVmoK", "R_3O8N8kjWWZtoLHg",
"R_Zmmz1jy5DR2HO93", "R_3e39Omnjg5QNR2t", "R_V2n1PaLz8jgaglX", "R_xEZJ2JQ2e9qrtAd", "R_bd3CoxG0TrrFtxD", "R_3dT8hznN9iucs8p", "R_3mepuWAWGKykN7X",
"R_VPwzDyK7fyqDW0h", "R_2RTXfw99ASaABQ0", "R_O22p99nvlzf8MY9", "R_1CwHX9V0GQxz16l", "R_3O9VwFXQEI431Id", "R_2UgEEQLI8eY2cc1", "R_2P0aJ8cH75Vdl6u",
"R_9oE6aWKXeLorFsJ", "R_2Ba1SlCPMhMEr0H", "R_2y4qiuHQvY8B49P", "R_A7mxkFRRqTKheI9", "R_pASB6Ra37F46gRr", "R_1MKzDsrcYBFtsSX", "R_3CUdJy410TbD94M",
"R_Ze1SEWceaIGFL9v", "R_2ya9CB5dQr5nj7O", "R_9ykZbe4SY3FIjy9", "R_2cjv5FB75Z7oN2P", "CN75").
    COMPUTE InstitutionType=4.
END IF.
DO IF ANY(ResponseID,"R_DHV0z0mJnxBynf3", "R_1ilzUWeQMyxD3ey").
    COMPUTE InstitutionType=5.
END IF.

DO IF ANY(ResponseID,"R_1dae0fMH8hHtD1g", "R_2rGxygDTE2vhUMV").
    COMPUTE InstitutionType=6.
END IF.
IF ResponseID="R_3O8N8kjWWZtoLHg" InstitutionTypeDet="University of XXX - it's complicated.  If pushed - public, but that doesn't tell the whole story".
IF ResponseID="R_VPwzDyK7fyqDW0h" InstitutionTypeDet="The University of XXX is a regional University serving ... [deleted]".
IF ResponseID="R_2P0aJ8cH75Vdl6u" InstitutionTypeDet="Canadian universities are all public. [deleted]".
EXECUTE.

* ***.
* Backcode InstitutionCharacterDetails (as was done in RAAAP-1). Approx 10 changes made.
* *** these are moved up nearer the top of this syntax file as they need to affect the InstitutionCharacter transforms.
* RAAAP-2 85 to check, 41 changes made.


* *** BACKCODING ***.
* *** NOTE - these will have to be moved up so that transforms that use them (eg AnalysisRegionOfEmployment) use the back coded data!.

* Employer... if Employer listed and no Country given, then backcode the country - possibly also the state/territory/nation.
* Employer - in RAAAP-1 the Employer was cleaned up. (eg "U of Kent" --> "University of Kent" BUT Employer was not retained in the published data, so no need for this in RAAAP-2.

* ResponsibilityForOtherDetails - was backcoded in RAAAP-1... hmm, this will be a lot of work maybe....<-- perhaps not worth the effort?.

* *** There are 436 RAAAP-2 entries in "WorksInOtherArea".   examples inclide "Ethics", "Research Finance"... so plenty of back-coding COULD be done!!! ***.



* *** CurrentRoleLevel ***
* *** Was this back-coded in RAAAP-1....?  It should have been!
* *** 129 checked, 89 updated.

DO IF ANY(ResponseID,"R_3iQob8F7MCHnPEZ", "R_1jChYfbQLz54jX0", "R_2fk9hekS17usMvx", "R_1d5jHoEKfets1EU", "R_3F5nO3i2yBlhYop", "R_VJZU0aOYEIj1ar7", "R_3PAf9W4wX95kcKn", "R_1EhVjRLAmXa63Ms", "R_1KNkVlUgRgccget",
"R_1GCtuIpcwcpyDGc", "R_pszf1pexHLfu4sF", "R_10UWyI0aPZ3eKlS", "R_DkpDkQXwNvsfcPL", "R_31MhI8Hu5VeXjO6", "R_3iDo4b4SzhPsMwK", "R_usiRlxEB2v8YFNv", "R_3VpEHKUW9ARAWzf").
    COMPUTE CurrentRoleLevel=2.
END IF.
DO IF ANY(ResponseID,"R_dba2MFIArPVlHCV", "R_2VI2kOvL4ARFQ64", "R_aXLjV86AbNHbrNv", "R_2sXtwkB22B6zZjC", "R_2bUGM5VmVcHSpHk", "R_6PxpC7x5uqovjnX", "R_DNNctV47cRrmVvr", "R_3LipScrFfZa2tFV", "R_rrRzriFJpjdthQZ",
"R_veM00LehRjZw2pr", "R_2CpsTMQcc5so7HU", "R_1LbsawmnemDMf44", "R_3fwVSb60fcDa3eZ", "R_2cdpHHKSJyKDMmw", "R_bwQX31jhobqaKWJ", "R_3nJCIS4c0sDdDoW", "R_1OCrrP1nomKgSsb", "R_2rA4e5asAnel26V", "R_1pzZOKUuMCj3rL8",
"R_3oSoBxnFGbUqOKs", "R_3HXFM0gr3G0dCz9", "R_3HB2b3YcxOTZsgk", "R_1FfcyzBI09066qi", "R_AoJKmcp3YGFExdD", "R_Z9ofgT8nOPLGasN", "R_2YgJp5UkUVuxgDf", "R_1dyki9oxXrVhffL", "R_1n2Z1z0qqymrJ6l", "R_1dtz2Wj7XjmSviG",
"R_3Jhje1pEQrE8JAB", "R_1OIEtYtAiqkYi90", "R_OjsPFQdtxwEP2YF", "R_ufevCDYiIggHVsd", "R_Y9vPPVCvAglPasV", "R_vP6FEtBm9XC4uUV", "R_2zJc8BrUbQUmI4s", "R_1d0U4R1x4mXKBUz", "R_3iVCg2CyuGmFIsR", "R_1OZXLZMNFKbGzXX",
"R_Uu3MJD27OC3WOsN", "R_302fYV60SQL3t28", "R_11hhC6kObbvTprN", "R_DdVX300RDSr71Pb", "R_2RTXfw99ASaABQ0", "R_2lRgQBZIbKPqnHX", "R_31Y2CEUhdctk2Hf", "R_3HnSZ3t2a59MVH5", "R_1g10sAR6j8G76ma", "R_2fJ0L1sVfJMEm13",
"R_21aLChnt6Irt0YN", "R_3LjMvhTeBtH4h1l", "R_2aM6bhHfag4V1R2", "R_2q4OHwb0DD4ngpq", "R_3EnHJ7CidDCvUsC", "R_31XcjkORAMJW3y8", "R_3qwWGyGlSwTHp9t", "R_2Ba1SlCPMhMEr0H", "R_2qdZBEGe8jTApAT", "R_2y4qiuHQvY8B49P",
"R_1Qm6otiSswIOEIl", "R_C78RtzMPLb4Ysff", "R_1MWfULn69QwgGwv", "R_3R7n1MyyurJmaZP", "R_d5SksCj1STwCHQJ", "R_cAdUjNhXPupbLgd", "R_pASB6Ra37F46gRr", "R_1jVerfArWW0JW23", "R_yvGCWTI9QxTlEU9", "R_1FCyrQCIL9sXlDL",
"R_1K2Xdze1LCvzEAU", "R_9Reuz8AUulYR5m1", "R_1OHqUZIaks6OjkO").
    COMPUTE CurrentRoleLevel=3.
END IF.
EXECUTE.


* *** ALSO NEED TO CHECK COMMENTS for any things that respondents wanted to change ***.
* *** 213 Comments in AnyComments.
* *** 117 Comments in AnyIssues.
* *** ISSUES:
* *** include more countries in the list (eg Gibraltar).
* *** include more associationson the list, (eg ASTP, NABI).
* *** ensure that all Australian Territories are included! [this was adjusted and sorted]
* *** please include  netzwerkwissenschaft.de in the dissemination - I think this should be: https://www.netzwerk-wissenschaftsmanagement.de/
* *** please add JD as a degree options [not clear to me if this is a masters or doctorate level!!!]. Also what about PgD, PgC...add these too?.

* *** LOOK AT row 1880,1881 - are thse duplicates??? Drop the second one (as the first include NumYearsAsRMA.
* *** They are almost identical - and most of the comments are identical.  So delete one of these records.
SELECT IF (ResponseID <> "R_3q7l5aSF2yxW591").
EXECUTE.

* *** Check 2226 - comment wonders of they have done already? - There does not appear to be a similar record.
* *** So this leaves us 4,324 valid records.

* *** CHECK VARIABLE LEVELS [ORDINAL, NOMINAL].
* *** Checks done 31/10/21.

* *** ReOrder Variables to match the questionnaire - as best we can!.

add files file *
/keep ResponseId
StartDate TO YearsEmployed
YearsEmployedGrouped
YearsEmployedCNGrouped
CurrentRoleLevel TO InstitutionCharDet
InstitutionCharacter
InstitutionType TO HighestQualSubjectDuringDet
HighestQualification
HighestQualificationSubject
HighestQualificationSubjectDet
PQ_AU_ARMF TO PQ_None
AnyCRA
PQ_OtherDetails TO PD_Other
PD_Mentoring
PD_OtherDetails TO Assoc_GARMA_Participated
Assoc_GPA_Member
Assoc_IceARMA_Member TO Assoc_Italy_Participated
Assoc_NACUBO_Member
Assoc_NARMA_Member TO Assoc_NARMA_Participated
Assoc_NCMA_Member
Assoc_NCURA_Member TO Assoc_NORDP_Participated
Assoc_NWM_Member
Assoc_PIC_Member TO Assoc_PIC_Participated
Assoc_PRIMR_Member
Assoc_PRIMR_Participated
Assoc_PrU_Member TO Assoc_SARIMA_Participated
Assoc_SOCRA_Member
Assoc_SRAI_Member TO Assoc_SWARMA_Participated
Assoc_URONZ_Member
Assoc_WARIMA_Member TO NationOfEmployment
ContinentOfEmployment
RegionOfEmployment
AnalysisRegionOfEmployment
AgeRangeExtended
AgeRange
GenderExtended
Gender
IE_ImpactRelevant TO Employer
ALL.
EXECUTE.

* *** there are still some inconsistencied in the data... eg.
* *** ASSOC_URONZ_Member has "No Response", whereas.
* *** ASSOC_SWARMA_Member has "" [SYSMIS?] for no answer.
* *** Probably should fix this... but need to release the data - it is well overdue!!!.

* *** and now save our work!.
SAVE OUTFILE='RAAAP-2 All Cleansed Data 20211223.sav'. /* THIS is the file that will go to the next step in the data cleansing process.
* *** ie splitting the file to keep the responses anonymous.


     




