﻿* Encoding: UTF-8.

* *** RAAAP-2 project, unfunded, but sponsored by INORMSS
* *** 31st October 2021, SRK
* *** * This file is based on the syntax file from RAAAP-1
* *** * Simon Kerridge and Stephanie F Scott
* *** * 29th July 2017, SRK
* *** * This should be run on the dataset that has been previously processed with the cleanup syntax
* *** * and hence the data set has the tidied up data as per the Data Analysis Plan
* *** * This is to take all (well most) of the text fields out to leave just the anonymous data for sharing
* *** * it produces 15 datasets.  The Main dataset, Career dataset, Employer and 12 other files with text responses
* *** * other than the main dataset, these are anonymised by linking only the geographic RegionOfAnalysis
* *** * the main dataset containly (mainly) only non text responses and is hence anonymous.
* *** * the various datasets are then sorted in order that records between datasets cannot be matched - protecting anonymity
* *** * Whilst the syntax was mainly developed by SRK it was checked and before and after data checks were
* *** * undertaken with SFS.
* *** THIS file used the original RAAAP one as a template.
* *** For RAAAP-2 there are a total of 17 datasets - with some new ones and some changed depricated.
* *** revised 9th Dec 2021 to read the final cleansed dataset, final revision 10th Dec 2021 to add RAAAP-1 mapping table below.
* *** revised 23rd Dec 2021 to read the most up to date cleansed data file.


* *** RAAAP-1 datasets                                   RAAAP-2.datasets
* *** =============================    ====================================
* *** MainDataset                                            MainDataset (equivalent, but with some new fields).
* *** AnyComments                                         AnyComments (identical)
* *** AnyIssues                                               AnyIssues (identical)
* *** <<not in RAAAP-1>>                               AreasWorkingIn [NEW]
* *** CareerDataset                                          CareerDataset (equivalent) plus incorporates equivalent of EmploymentHistoryDetails and NumOtherDetails
* *** CurrentEmploymentStatusDetails              CurrentEmploymentStatusDetails (identical, but added CurrentEmploymentStatus)
* *** <<not in RAAAP-1>>                               CurrentEmploymentTypeDetails (new)
* *** CurrentRoleLevelDetails                            CurrentRoleLevelDetails (identical, but added CurrentEmploymentStatus)
* *** <<not in RAAAP-1>>                               Education Aligned (new)
* *** EmployerDataset                                     EmployerDataset (equivalent - but Employer has not been cleansed)
* *** EmploymentHistoryDetails                        <<not in RAAAP-2>>  --> equivalent included in CareerDataset
* *** HighestQualificationSubjectDetails            HighestQualificationSubjectDetails (adds before and during)
* *** <<not in RAAAP-1>>                               ImpactDetails [NEW]
* *** InstitutionCharacterDetails                        InstitutionCharacterDetails (identical, but added InstitutionCharacter)
* *** InstitutionTypeDetails                               InstitutionTypeDetails (identical, but added InstitutionType)
* *** NumOtherDetails                                     <<not in RAAAP-2>> --> equivalend included in CareerDataset
* *** OrgDepartmentDetails                              OrgDepartmentDetails (identical, but added OrgDepartment)
* *** PD_OtherDetails                                      PD_OtherDetails (identical)
* *** PQ_OtherDetails                                      PQ_OtherDetails (identical) plus added PQ_OtherComments


CD 'C:\Users\srk\Dropbox\RAAAP-SRK\Main Data Cleansing'.

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.


*** Then need to delete the redundant fields &  text fields (that are to be made available separately (to ensure anonymity [already exported to excel]).

* ***
* *** This will create the main data file - ie all non text responses + ResponsibilityForOtherDetails + Assoc_OtherDetails

match file file *
/drop
CurrentRoleLevelDetails
CurrentEmploymentStatusDetails
CurrentEmploymentTypeDetails
WorksInOtherArea
JRespFor_SomethingElseD
JobDescriptionMatchD
SubjectAreasSupport_OD
EducationAlignedDet
EducationAlignImpDet
OrgDepartmentDetails
InstitutionTypeDet
InstitutionCharDet
NumRARolesDetails
NumYearsOtherD
NumYearsWorkedAtDet
FirstRoleLevelDetails
JoinRAMoreDetails
JoinRAOtherDet
StayRAOtherDet
HighestQualSubjectBeforeDet
HighestQualSubjectDuringDet
HighestQualificationSubjectDet
PQ_OtherDetails
PQ_OtherComments
PD_OtherDetails
IE_ImpactAtWorkDet
IE_ImpactNationalOD
IE_Impact_OtherChallengeDet
IE_OtherDetails
AnyComments
AnyIssues
Employer.
Execute.

SORT CASES BY ResponseID(A).
execute.

save outfile='RAAAP-2_MainDataset.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.

* ***
* *** This will create the career data set - anonymised text responses (+Region) of:
* *** NumRARolesDetails + FirstRoleLevelDetails + JoinRAOther1Details + JoinRAOther2Details + JoinRAOther3Details + JoinRAMoreDetails +
* *** StayRAOther1Details + StayRAOther2Details + StayRAOther3Details + StayRAMoreDetails + WhenSkillsLearnedDetails.

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** Any further data cleansing to be done?.

* *** sort by any "random" field to jumble things up a little first

SORT CASES BY CurrentRoleLevel(A) NumYearsInstitute(A).
execute.

match file file *
/keep
NumRARolesDetails
NumYearsOtherD
NumYearsWorkedAtDet
FirstRoleLevelDetails
JoinRAMoreDetails
JoinRAOtherDet
StayRAOtherDet
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY NumRARolesDetails(A) FirstRoleLevelDetails(A) JoinRAOtherDet(A).
execute.

save outfile='RAAAP-2_CareerDataset.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.


* ***
* *** This will create the AreasWorkingIn in dataset - anonymised text responses (+Region) of:
* *** WorksInOtherArea + JRespFor_SomethingElseD + JobDescriptionMatchD also add SubjectAreasSupport_OD
* *** Is it safe to include the other main WorksIn* and JRespFor* fields...?  Probably not - too many variables... bound to be some unique combinations

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** sort by any "random" field to jumble things up a little first

SORT CASES BY NumRARoles(A) HighestQualification(A).
execute.

match file file *
/keep
WorksInOtherArea
JRespFor_SomethingElseD
JobDescriptionMatchD
SubjectAreasSupport_OD
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY JRespFor_SomethingElseD(A) WorksInOtherArea(A).
execute.

save outfile='RAAAP-2_AreasWorkingIn.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.


* ***
* *** This will create the EducationAlignment dataset - anonymised text responses (+Region) of:
* *** EducationAlignedDet + EducationAlignImpDet
* *** But we can also include the associated likert scale data as there are no unique lines (that contain text responses), so little change of de-anonymising
* *** So it is safe to include tEducationAligned + EducationAlignImp

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** sort by any "random" field to jumble things up a little first

SORT CASES BY  AgeRange(A) CountryOfEmployment(A).
execute.

match file file *
/keep
EducationAligned
EducationAlignedDet
EducationAlignImp
EducationAlignImpDet
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY EducationAligned(A) EducationAlignImp(A).
execute.

save outfile='RAAAP-2_EducationAligned.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.


* ***
* *** This will create the employer data set - information about the Employing instution (+Region) of:
* *** InstitutionType + InstitutionCharacter + ContinentOfEmployment + RegionOfEmployment + AnalysisRegionOfEmployment +
* *** CountryOfEmployment + StateOfEmployment + EmployerCleaned


GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY CurrentEmploymentStatus(A) NumRARoles(A).
execute.

match file file *
/keep
InstitutionType
InstitutionCharacter
InstitutionCharacter2
ContinentOfEmployment
RegionOfEmployment
AnalysisRegionOfEmployment
CountryOfEmployment
AusStateOfEmployment
StateOfEmployment
ProvinceOfEmployment
NationOfEmployment.
/* EmployerCleaned. /* So it looks like we will need to add EmployerCleaned.... sigh.
/* *** NOT in initial RAAAP-2 dataset... this can be done later perhaps - but probably it is not useful, so not needed...?
Execute.

SORT CASES BY InstitutionType(A) InstitutionCharacter2(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_EmployerDataset.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.


* ***
* *** This will create the CurrentRoleLevelDetails - anonymised text responses (+Region)

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY WorksInProposalDevelopment(A) FirstRoleLevel(A).
execute.

match file file *
/keep
CurrentRoleLevel
CurrentRoleLevelDetails
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY CurrentRoleLevel(A) CurrentRoleLevelDetails(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_CurrentRoleLevelDetails.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.


* ***
* *** This will create the CurrentEmploymentStatusDetails - anonymised text responses (+Region).

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY WorksInProjectSupport(A) JoinRAInterested(A).
execute.


match file file *
/keep
CurrentEmploymentStatus
CurrentEmploymentStatusDetails
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY CurrentEmploymentStatus(A) CurrentEmploymentStatusDetails(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_CurrentEmploymentStatusDetails.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.


* ***
* *** This will create the OrgDepartmentDetails - anonymised text responses (+Region)

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY WorksInTranslation(A) JoinRASkillsMatch(A).
execute.

match file file *
/keep
OrgDepartment
OrgDepartmentDetails
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY OrgDepartment(A) OrgDepartmentDetails(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_OrgDepartmentDetails.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.

* ***
* *** This will create the InstitutionTypeDetails - anonymised text responses (+Region)

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY WorksInPGR(A) JoinRATemporary(A).
execute.

match file file *
/keep
InstitutionType
InstitutionTypeDet
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY InstitutionType(A) InstitutionTypeDet(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_InstitutionTypeDetails.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.

* ***
* *** This will create the InstitutionCharacterDetails - anonymised text responses (+Region)

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

SORT CASES BY WorksInPolicy(A) JoinRAFriend(A).
execute.

match file file *
/keep
InstitutionCharacter2
InstitutionCharacter
InstitutionCharDet
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY InstitutionCharacter2(A) InstitutionCharDet(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_InstitutionCharacterDetails.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.

* ***
* *** This will create the NumOtherDetails - anonymised text responses (+Region)
* *** *** These data were not collected for RAAAP-2 ***.

/*GET
/*  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
/*DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

/*SORT CASES BY WorksInMIS_ERA(A) JoinRAJustApplied(A).
/*execute.

/*match file file *
/*/keep
/*NumOtherDetails
/*AnalysisRegionOfEmployment.
/*Execute.

/*SORT CASES BY NumOtherDetails(A) AnalysisRegionOfEmployment(A).
/*execute.

/*save outfile='RAAAP-2_NumOtherDetails.sav'.
/*Execute.

/*DATASET CLOSE RAAAP2_allcleansed.
/*Execute.

* ***
* *** This will create the EmploymentHistoryDetails - anonymised text responses (+Region)
* *** Again - not collected in RAAAP-2 ***

/*GET
/*  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
/*DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

/*SORT CASES BY WorksInCompliance(A) JoinRAResearcher(A).
/*execute.

/*match file file *
/*/keep
/*EmploymentHistoryDetails
/*AnalysisRegionOfEmployment.
/*Execute.

/*SORT CASES BY EmploymentHistoryDetails(A) AnalysisRegionOfEmployment(A).
/*execute.

/*save outfile='RAAAP_EmploymentHistoryDetails.sav'.
/*Execute.

/*DATASET CLOSE RAAAP_allcleansed.
/*Execute.

* ***
* *** This will create the HighestQualificationSubjectDetails - anonymised text responses (+Region)
* *** RAAAP-2 has extra information on qualifications before and during.

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY WorksInServiceDelivery(A) JoinRAAdmin(A).
execute.

match file file *
/keep
HighestQualificationSubjectDet
HighestQualSubjectBeforeDet
HighestQualSubjectDuringDet
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY HighestQualificationSubjectDet(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_HighestQualificationSubjectDetails.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.

* ***
* *** This will create the PQ_OtherDetails - anonymised text responses (+Region)
* *** and add PQ_OtherComments

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY WorksInTraining(A) WorksInOtherArea(A).
execute.


match file file *
/keep
PQ_OtherDetails
PQ_OtherComments
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY PQ_OtherDetails(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_PQ_OtherDetails.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.

* ***
* *** This will create the PD_OtherDetails - anonymised text responses (+Region)

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY OrgDepartment(A) InstitutionType(A).
execute.

match file file *
/keep
PD_OtherDetails
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY PD_OtherDetails(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_PD_OtherDetails.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.

* ***
* *** This will create the AnyComments - anonymised text responses (+Region)

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY InstitutionCharacter(A) NumYearsPUI(A).
execute.

* *** Need to check to anonymise!!!!.

match file file *
/keep
AnyComments
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY AnyComments(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_AnyComments.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.

* ***
* *** This will create the AnyIssues - anonymised text responses (+Region)

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY NumYearsUniActive(A) NumYearsUniIntense(A).
execute.

* *** Need to check to anonymise!!!!.

match file file *
/keep
AnyIssues
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY AnyIssues(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_AnyIssues.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.


* ***
* *** This will create the CurrentEmploymentTypeDetails - anonymised text responses (+Region)

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY JoinRAMoreDetails(A) InstitutionCharacter2(A).
execute.

* *** Need to check to anonymise!!!!.

match file file *
/keep
CurrentEmploymentType
CurrentEmploymentTypeDetails
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY CurrentEmploymentType(A) CurrentEmploymentTypeDetails(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_CurrentEmploymentTypeDetails.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.

* ***
* *** This will create the Impact - anonymised text responses (+Region)

GET
  FILE 'RAAAP-2 All Cleansed Data 20211223.sav'.
DATASET NAME RAAAP2_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY NumYearsFunder(A) NumRARoles(A).
execute.

* *** Need to check to anonymise!!!!.

match file file *
/keep
IE_ImpactAtWorkDet
IE_ImpactNationalOD
IE_Impact_OtherChallengeDet
IE_OtherDetails
AnalysisRegionOfEmployment.
Execute.

SORT CASES BY IE_ImpactAtWorkDet(A) AnalysisRegionOfEmployment(A).
execute.

save outfile='RAAAP-2_ImpactDetails.sav'.
Execute.

DATASET CLOSE RAAAP2_allcleansed.
Execute.

* *** THIS IS THE END OF THE DATA SPLITTING ***
* *** There are two .spv files and this is the last one ***








